<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output encoding="ISO-8859-1"
        method="xml" />
        
    <!-- locales, codepages -->
    
    <xsl:variable name="COMMON_FOR_ARIS.LOCALE.DEFAULT" select="$COMMON_FOR_ARIS.LOCALE.EN" />
    <xsl:variable name="COMMON_FOR_ARIS.LOCALE.DE" select="'1031'" />
    <xsl:variable name="COMMON_FOR_ARIS.LOCALE.EN" select="'1033'" />
    <xsl:variable name="COMMON_FOR_ARIS.LOCALE.FR" select="'1036'" />
    <xsl:variable name="COMMON_FOR_ARIS.LOCALE.JA" select="'1041'" />
    <xsl:variable name="COMMON_FOR_ARIS.LOCALE.ES" select="'1034'" />

    <xsl:variable name="COMMON_FOR_ARIS.CODEPAGE.DEFAULT" select="$COMMON_FOR_ARIS.CODEPAGE.EN" />
    <xsl:variable name="COMMON_FOR_ARIS.CODEPAGE.DE" select="'1252'" />
    <xsl:variable name="COMMON_FOR_ARIS.CODEPAGE.EN" select="'1252'" />
    <xsl:variable name="COMMON_FOR_ARIS.CODEPAGE.FR" select="'1252'" />
    <xsl:variable name="COMMON_FOR_ARIS.CODEPAGE.JA" select="'932'" />
    <xsl:variable name="COMMON_FOR_ARIS.CODEPAGE.ES" select="'1252'" />
    
    <!-- defined AML elements and attributes -->
        <!-- AML Root Node -->
    <xsl:variable name="COMMON_FOR_ARIS.ELEMENT.AML" select="'AML'" />
    
        <!-- Header Info -->
    <xsl:variable name="COMMON_FOR_ARIS.ELEMENT.HEADER_INFO" select="'Header-Info'" />
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_NAME.HEADER_INFO.ARIS_EXE_VERSION" select="'ArisExeVersion'" />
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_VALUE.HEADER_INFO.ARIS_EXE_VERSION" select="'71'" />
    
        <!-- Language -->
    <xsl:variable name="COMMON_FOR_ARIS.ELEMENT.LANGUAGE" select="'Language'" />
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_NAME.LANGUAGE.LOCALE_ID" select="'LocaleId'" />
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_NAME.LANGUAGE.CODEPAGE" select="'Codepage'" />
    
        <!-- Group -->
    <xsl:variable name="COMMON_FOR_ARIS.ELEMENT.GROUP" select="'Group'" />
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_NAME.GROUP.GROUP_ID" select="'Group.ID'" />
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_VALUE.GROUP.MAIN_GROUP.GROUP_ID" select="'Group.Root'" />
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_VALUE.GROUP.GROUP_PREFIX" select="'Group'" />
    
        <!-- ObjDef -->
    <xsl:variable name="COMMON_FOR_ARIS.ELEMENT.OBJDEF" select="'ObjDef'" />
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_NAME.OBJDEF.OBJDEF_ID" select="'ObjDef.ID'" />
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_NAME.OBJDEF.TYPENUM" select="'TypeNum'" />
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_NAME.OBJDEF.SYMBOLNUM" select="'SymbolNum'" />
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_NAME.OBJDEF.LINKEDMODELS_ID_REFS" select="'LinkedModels.IdRefs'" />
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_VALUE.OBJDEF.OBJDEF_PREFIX" select="'ObjDef'" />
    
        <!-- ObjOcc -->
    <xsl:variable name="COMMON_FOR_ARIS.ELEMENT.OBJOCC" select="'ObjOcc'" />
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_NAME.OBJOCC.OBJOCC_ID" select="'ObjOcc.ID'" />
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_NAME.OBJOCC.OBJDEF_ID_REF" select="'ObjDef.IdRef'" />
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_NAME.OBJOCC.SYMBOLNUM" select="'SymbolNum'" />
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_VALUE.OBJOCC.OBJOCC_PREFIX" select="'ObjOcc'" />
    
        <!-- CxnDef -->
    <xsl:variable name="COMMON_FOR_ARIS.ELEMENT.CXNDEF" select="'CxnDef'" />
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_NAME.CXNDEF.CXNDEF_ID" select="'CxnDef.ID'" />
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_NAME.CXNDEF.CXNDEF_TYPE" select="'CxnDef.Type'" />
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_NAME.CXNDEF.TO_OBJDEF_ID_REF" select="'ToObjDef.IdRef'" />
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_VALUE.CXNDEF.CXNDEF_PREFIX" select="'CxnDef'" />

        <!-- CxnOcc -->
    <xsl:variable name="COMMON_FOR_ARIS.ELEMENT.CXNOCC" select="'CxnOcc'" />
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_NAME.CXNOCC.CXNOCC_ID" select="'CxnOcc.ID'" />
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_NAME.CXNOCC.CXNDEF_ID_REF" select="'CxnDef.IdRef'" />
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_NAME.CXNOCC.TO_OBJOCC_ID_REF" select="'ToObjOcc.IdRef'" />
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_VALUE.CXNOCC.CXNOCC_PREFIX" select="'CxnOcc'" />
    
        <!-- Model -->
    <xsl:variable name="COMMON_FOR_ARIS.ELEMENT.MODEL" select="'Model'" />
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_NAME.MODEL.MODEL_ID" select="'Model.ID'" />
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_NAME.MODEL.MODEL_TYPE" select="'Model.Type'" />
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_VALUE.MODEL.MODEL_PREFIX" select="'Model'" />
        
        <!-- GUID -->
    <xsl:variable name="COMMON_FOR_ARIS.ELEMENT.GUID" select="'GUID'" />
    <xsl:variable name="COMMON_FOR_ARIS.ELEMENT.TEMPLATE_GUID" select="'TemplateGUID'" />    
    
        <!-- AttrDef -->
    <xsl:variable name="COMMON_FOR_ARIS.ELEMENT.ATTRDEF" select="'AttrDef'" />
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_NAME.ATTRDEF.ATTRDEF_TYPE" select="'AttrDef.Type'" />
    
        <!-- AttrOcc -->
    <xsl:variable name="COMMON_FOR_ARIS.ELEMENT.ATTROCC" select="'AttrOcc'" />
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_NAME.ATTROCC.ATTR_TYPE_NUM" select="'AttrTypeNum'" />
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_NAME.ATTROCC.PORT" select="'Port'" />
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_NAME.ATTROCC.ORDER_NUM" select="'OrderNum'" />
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_NAME.ATTROCC.SYMBOL_FLAG" select="'SymbolFlag'" />
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_VALUE.ATTROCC.PORT_CENTER" select="'CENTER'" />
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_VALUE.ATTROCC.ORDER_NUM_ZERO" select="'0'" />
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_VALUE.ATTROCC.SYMBOL_FLAG_TEXT" select="'TEXT'" />
    
        <!-- AttrValue -->
    <xsl:variable name="COMMON_FOR_ARIS.ELEMENT.ATTRVALUE" select="'AttrValue'" />
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_NAME.ATTRVALUE.LOCALE_ID" select="'LocaleId'" />
    
    
    <!-- defined ARIS Symbols -->
    
    <xsl:variable name="COMMON_FOR_ARIS.ST_TYPE.FOR_ROLE" select="'ST_SOLAR_ROLE'" />
    <xsl:variable name="COMMON_FOR_ARIS.ST_TYPE.FOR_IVIEW" select="'ST_SOLAR_IVIEW'" />
    <xsl:variable name="COMMON_FOR_ARIS.ST_TYPE.FOR_PAGE" select="'ST_SOLAR_PAGE'" />
    <xsl:variable name="COMMON_FOR_ARIS.ST_TYPE.FOR_WORKSET" select="'ST_SOLAR_WORKSET'" />
    <xsl:variable name="COMMON_FOR_ARIS.ST_TYPE.FOR_BUTTON" select="'ST_BUTTON'" />
    
    
    <!-- defined ARIS CxnDefTypes -->
    
        <!-- from screen to button  -->
    <xsl:variable name="COMMON_FOR_ARIS.CT_TYPE.CT_CONTAINS_2" select="'CT_CONTAINS_2'" />
    
        <!-- from button to screen -->
    <xsl:variable name="COMMON_FOR_ARIS.CT_TYPE.CT_CALLS_1" select="'CT_CALLS_1'" />
    
        <!-- from screen to screen -->
    <xsl:variable name="COMMON_FOR_ARIS.CT_TYPE.CT_CONS_OF_1" select="'CT_CONS_OF_1'" />
    
    
    
    <!-- defined ARIS ModeltTypes -->
    
    <xsl:variable name="COMMON_FOR_ARIS.MT_TYPE.MT_SCREEN_NAV" select="'MT_SCREEN_NAV'" />
    
    
    <!-- defined ARIS ObjectTypes -->
    
    <xsl:variable name="COMMON_FOR_ARIS.OT_TYPE.OT_SCRN" select="'OT_SCRN'" />
    <xsl:variable name="COMMON_FOR_ARIS.OT_TYPE.OT_BUTTON" select="'OT_BUTTON'" />
    
    <!-- defined ARIS attributes -->
    <xsl:variable name="COMMON_FOR_ARIS.ATTR.AT_NAME" select="'AT_NAME'" />
    
        <!-- common Portal Attributes -->
    <xsl:variable name="COMMON_FOR_ARIS.ATTR.AT_SAP_PORTAL_ID" select="'AT_SAP_PORTAL_ID'" />
    <xsl:variable name="COMMON_FOR_ARIS.ATTR.AT_SAP_TEMPLATE_ID" select="'AT_SAP_TEMPLATE_ID'"/>
    <xsl:variable name="COMMON_FOR_ARIS.ATTR.AT_SAP_SRC_PORTAL_ID" select="'AT_SAP_SRC_PORTAL_ID'"/>
    <xsl:variable name="COMMON_FOR_ARIS.ATTR.AT_SAP_MERGE_ID" select="'AT_SAP_MERGE_ID'"/>
    
        <!-- common iView Attributes -->
    <xsl:variable name="COMMON_FOR_ARIS.ATTR.AT_SAP_IVIEW_TYPE" select="'AT_SAP_IVIEW_TYPE'"/>
    <xsl:variable name="COMMON_FOR_ARIS.ATTR.AT_SAP_SYSTEM" select="'AT_SAP_SYSTEM'"/>
    <xsl:variable name="COMMON_FOR_ARIS.ATTR.AT_SAP_APPL_PARAM" select="'AT_SAP_APPL_PARAM'"/>
    
        <!-- IAC iView Attributes -->
    <xsl:variable name="COMMON_FOR_ARIS.ATTR.AT_SAP_IAC" select="'AT_SAP_IAC'"/>
    
        <!-- SAP Transaction iView Attributes -->
    <xsl:variable name="COMMON_FOR_ARIS.ATTR.AT_TRANS_CODE" select="'AT_TRANS_CODE'"/>
    <xsl:variable name="COMMON_FOR_ARIS.ATTR.AT_SAP_GUI_TYPE" select="'AT_SAP_GUI_TYPE'"/>
    
        <!-- BSP iView Attributes -->
    <xsl:variable name="COMMON_FOR_ARIS.ATTR.AT_SAP_APPL_NAMESPACE" select="'AT_SAP_APPL_NAMESPACE'"/>
    <xsl:variable name="COMMON_FOR_ARIS.ATTR.AT_SAP_CUSTOMER_NAMESPACE" select="'AT_SAP_CUSTOMER_NAMESPACE'"/>
    <xsl:variable name="COMMON_FOR_ARIS.ATTR.AT_SAP_BSP_DEF_TYPE" select="'AT_SAP_BSP_DEF_TYPE'"/>
    <xsl:variable name="COMMON_FOR_ARIS.ATTR.AT_SAP_BSP_START_PAGE" select="'AT_SAP_BSP_START_PAGE'"/>
    
        <!-- WebDynpro iView Attributes -->
    <xsl:variable name="COMMON_FOR_ARIS.ATTR.AT_SAP_WEB_DYNPRO_DEF_TYPE" select="'AT_SAP_WEB_DYNPRO_DEF_TYPE'"/>
    <xsl:variable name="COMMON_FOR_ARIS.ATTR.AT_SAP_APPL_NAME" select="'AT_SAP_APPL_NAME'"/>
    <xsl:variable name="COMMON_FOR_ARIS.ATTR.AT_SAP_NAMESPACE" select="'AT_SAP_NAMESPACE'"/>
    
        <!-- URL iView Attributes -->
    <xsl:variable name="COMMON_FOR_ARIS.ATTR.AT_EXT_1" select="'AT_EXT_1'"/>
    <xsl:variable name="COMMON_FOR_ARIS.ATTR.AT_PARM_1" select="'AT_PARM_1'"/>
    
        <!-- Button Attributes -->
    <xsl:variable name="COMMON_FOR_ARIS.ATTR.AT_SAP_ENTRY_POINT" select="'AT_SAP_ENTRY_POINT'"/>
    <xsl:variable name="COMMON_FOR_ARIS.ATTR.AT_SAP_INVISIBLE_IN_NAVIG_AREA" select="'AT_SAP_INVISIBLE_IN_NAVIG_AREA'"/>
    <xsl:variable name="COMMON_FOR_ARIS.ATTR.AT_SAP_INITIAL_STATE_OF_NAVIG_PANEL" select="'AT_SAP_INITIAL_STATE_OF_NAVIG_PANEL'"/>
    <xsl:variable name="COMMON_FOR_ARIS.ATTR.AT_SAP_LAUNCH_IN_NEW_WINDOW" select="'AT_SAP_LAUNCH_IN_NEW_WINDOW'"/>
    
    
    <!-- defined ARIS value types for attributes -->
        <!-- value types common iView-attributes -->
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_TYPE.AVT_SAP_TRANSACTION" select="'AVT_SAP_TRANSACTION'"/>
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_TYPE.AVT_SAP_IAC" select="'AVT_SAP_IAC'"/>
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_TYPE.AVT_SAP_BSP" select="'AVT_SAP_BSP'"/>
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_TYPE.AVT_SAP_WEB_DYNPRO" select="'AVT_SAP_WEB_DYNPRO'"/>
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_TYPE.AVT_SAP_URL" select="'AVT_SAP_URL'"/>
    
        <!-- value types Transaction iView-attributes -->
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_TYPE.AVT_SAP_GUI_WIN" select="'AVT_SAP_GUI_WIN'"/>
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_TYPE.AVT_SAP_GUI_HTML" select="'AVT_SAP_GUI_HTML'"/>
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_TYPE.AVT_SAP_GUI_JAVA" select="'AVT_SAP_GUI_JAVA'"/>
        
        <!-- value types BSP iView-attributes -->
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_TYPE.AVT_SAP_BSP_ALIAS" select="'AVT_SAP_BSP_ALIAS'"/>
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_TYPE.AVT_SAP_BSP_APPL" select="'AVT_SAP_BSP_APPL'"/>
    
        <!-- value types WebDynpro iView-attributes -->
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_TYPE.AVT_SAP_WEB_DYNPRO_ABAP" select="'AVT_SAP_WEB_DYNPRO_ABAP'"/>
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_TYPE.AVT_SAP_WEB_DYNPRO_JAVA" select="'AVT_SAP_WEB_DYNPRO_JAVA'"/>
        
        <!-- value types Button-attributes -->
        <!-- initial state of the navigation panel -->
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_TYPE.AVT_SAP_NAVIG_PANEL_INIT_STATE_AUTO" select="'AVT_SAP_NAVIG_PANEL_INIT_STATE_AUTO'"/>
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_TYPE.AVT_SAP_NAVIG_PANEL_INIT_STATE_OPEN" select="'AVT_SAP_NAVIG_PANEL_INIT_STATE_OPEN'"/>
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_TYPE.AVT_SAP_NAVIG_PANEL_INIT_STATE_CLOSED" select="'AVT_SAP_NAVIG_PANEL_INIT_STATE_CLOSED'"/>
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_TYPE.AVT_SAP_NAVIG_PANEL_INIT_STATE_ALWAYS_CLOSED" select="'AVT_SAP_NAVIG_PANEL_INIT_STATE_ALWAYS_CLOSED'"/>
        <!-- Launch in New Window -->
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_TYPE.AVT_SAP_LAUNCH_IN_CONTENT_AREA" select="'AVT_SAP_LAUNCH_IN_CONTENT_AREA'"/>
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_TYPE.AVT_SAP_LAUNCH_IN_SEPARATE_WINDOW" select="'AVT_SAP_LAUNCH_IN_SEPARATE_WINDOW'"/>
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_TYPE.AVT_SAP_LAUNCH_IN_SEPARATE_PORTAL_WINDOW" select="'AVT_SAP_LAUNCH_IN_SEPARATE_PORTAL_WINDOW'"/>
    <xsl:variable name="COMMON_FOR_ARIS.ATTR_TYPE.AVT_SAP_LAUNCH_IN_SEPARATE_HEADERL_PORTAL_WIN" select="'AVT_SAP_LAUNCH_IN_SEPARATE_HEADERL_PORTAL_WIN'"/>
    
    <!-- 
        Description:
        this template prints out an AML Attribute XML-Element
    -->
    <xsl:template name="common_for_aris.printAttrElement">
        <xsl:param name="varAttrName" />
        <xsl:param name="varAttrValue" />
        <xsl:param name="varLocale" />
        
        <xsl:element name="{$COMMON_FOR_ARIS.ELEMENT.ATTRDEF}">
            <xsl:attribute name="{$COMMON_FOR_ARIS.ATTR_NAME.ATTRDEF.ATTRDEF_TYPE}"><xsl:value-of select="$varAttrName"/></xsl:attribute>
            
            <xsl:element name="{$COMMON_FOR_ARIS.ELEMENT.ATTRVALUE}">
                <xsl:attribute name="{$COMMON_FOR_ARIS.ATTR_NAME.ATTRVALUE.LOCALE_ID}"><xsl:value-of select="$varLocale" /></xsl:attribute><xsl:value-of select="$varAttrValue" />
            </xsl:element>
        </xsl:element>
        
    </xsl:template>
    
    <!-- 
        Description:
        this template prints out an AML Attribute Occurence as XML-Element
    -->
    <xsl:template name="common_for_aris.printAttrOcc">
        <xsl:element name="{$COMMON_FOR_ARIS.ELEMENT.ATTROCC}">
            <xsl:attribute name="{$COMMON_FOR_ARIS.ATTR_NAME.ATTROCC.ATTR_TYPE_NUM}"><xsl:value-of select="$COMMON_FOR_ARIS.ATTR.AT_NAME"/></xsl:attribute>
            <xsl:attribute name="{$COMMON_FOR_ARIS.ATTR_NAME.ATTROCC.PORT}"><xsl:value-of select="$COMMON_FOR_ARIS.ATTR_VALUE.ATTROCC.PORT_CENTER"/></xsl:attribute>
            <xsl:attribute name="{$COMMON_FOR_ARIS.ATTR_NAME.ATTROCC.ORDER_NUM}"><xsl:value-of select="$COMMON_FOR_ARIS.ATTR_VALUE.ATTROCC.ORDER_NUM_ZERO"/></xsl:attribute>
            <xsl:attribute name="{$COMMON_FOR_ARIS.ATTR_NAME.ATTROCC.SYMBOL_FLAG}"><xsl:value-of select="$COMMON_FOR_ARIS.ATTR_VALUE.ATTROCC.SYMBOL_FLAG_TEXT"/></xsl:attribute>
        </xsl:element>
    </xsl:template>
    
    
</xsl:stylesheet>
