<?xml version="1.0" encoding="UTF-8"?>
<!-- 
    Author:
    TPLA / IDS Scheer
    
    Description:
    this stylesheet offers common templates for printing out messages.
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output encoding="ISO-8859-1"
    method="text"/>
    
    <xsl:variable name="COMMON_FOR_TXT.DEBUG_MESSAGE" select="'debug'" />
    <xsl:variable name="COMMON_FOR_TXT.INFO_MESSAGE" select="'info'" />
    <xsl:variable name="COMMON_FOR_TXT.WARN_MESSAGE" select="'warn'" />
    <xsl:variable name="COMMON_FOR_TXT.ERROR_MESSAGE" select="'error'" />
    
    <!-- 
        Description:
        performs a new line on the stream.
    -->
    <xsl:template name="common_for_txt.doNewLine">
        <xsl:text>&#10;</xsl:text>
    </xsl:template>
    
    <!-- 
        Description:
        prints out a message.
        Parameter
        messageType :
        - COMMON_FOR_TXT.DEBUG_MESSAGE
        - COMMON_FOR_TXT.INFO_MESSAGE
        - COMMON_FOR_TXT.WARN_MESSAGE
        - COMMON_FOR_TXT.ERROR_MESSAGE
        
        messageAction:
        template-related action-type. is defined in a stylesheet.
        
        messageResult:
        template-related action-result. is defined in a stylesheet.
        
        name:
        name of the affected element.
        
        type:
        type of the affected element.
    -->
    <xsl:template  name="common_for_txt.doOutputMessage">
        <xsl:param name="messageType" />
        <xsl:param name="messageAction" />
        <xsl:param name="messageResult" />
        <xsl:param name="name" />
        <xsl:param name="type" />
        
        <xsl:value-of select="$messageType"/>
        <xsl:text>:</xsl:text>
        <xsl:value-of select="$messageAction"/>
        <xsl:text>:</xsl:text>
        <xsl:value-of select="$messageResult"/>
        <xsl:text>@</xsl:text>
        <xsl:value-of select="$name"/>
        
        <xsl:if test="string-length($type) > 0">
            <xsl:text>:</xsl:text>
            <xsl:value-of select="$type"/>
        </xsl:if>
    </xsl:template>
    
    
</xsl:stylesheet>
