<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- 
    Author:
    TPLA / IDS Scheer
    
    Description:
    this stylesheet counts the number of GenericCreator and Context-Elements.
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output encoding="ISO-8859-1"
        method="text"/>
    
    <xsl:variable name="ACTION.COUNT_GENERIC_CREATOR" select="'COUNT_GENERIC_CREATOR'" />
    <xsl:variable name="ACTION.COUNT_CONTEXT" select="'COUNT_CONTEXT'" />
    
    <xsl:variable name="ACTION_RESULT.COUNT_GENERIC_CREATOR.SUCCESS" select="'COUNT_GENERIC_CREATOR_SUCCESS'" />
    <xsl:variable name="ACTION_RESULT.COUNT_GENERIC_CREATOR.TOO_MANY" select="'COUNT_GENERIC_CREATOR_TOO_MANY'" />
    <xsl:variable name="ACTION_RESULT.COUNT_GENERIC_CREATOR.NOT_FOUND" select="'COUNT_GENERIC_CREATOR_NOT_FOUND'" />
    
    <xsl:variable name="ACTION_RESULT.COUNT_CONTEXT.SUCCESS" select="'COUNT_CONTEXT_SUCCESS'" />
    <xsl:variable name="ACTION_RESULT.COUNT_CONTEXT.NOT_FOUND" select="'COUNT_CONTEXT_NOT_FOUND'" />
    
    <xsl:include href="common_for_text.xsl"/>
    
    <!--
        Description:
        this template matches the root of the document and counts the number of elements.
    -->
    <xsl:template match="/">
        <xsl:variable name="tempCountGenericCreator" select="count(GenericCreator)" />
        <xsl:variable name="tempCountContext" select="count(descendant::*/Context)" />
        
        <xsl:choose>
            <xsl:when test="$tempCountGenericCreator=1">
                <xsl:call-template name="common_for_txt.doOutputMessage">
                    <xsl:with-param name="messageType" select="$COMMON_FOR_TXT.INFO_MESSAGE" />
                    <xsl:with-param name="messageAction" select="$ACTION.COUNT_GENERIC_CREATOR" />
                    <xsl:with-param name="messageResult" select="$ACTION_RESULT.COUNT_GENERIC_CREATOR.SUCCESS" />
                    <xsl:with-param name="name" select="'GenericCreator'" />
                    <xsl:with-param name="type" select="$tempCountGenericCreator"/>
                </xsl:call-template>
                <xsl:call-template name="common_for_txt.doNewLine" />
            </xsl:when>
            <xsl:when test="$tempCountGenericCreator>0">
                <xsl:call-template name="common_for_txt.doOutputMessage">
                    <xsl:with-param name="messageType" select="$COMMON_FOR_TXT.ERROR_MESSAGE" />
                    <xsl:with-param name="messageAction" select="$ACTION.COUNT_GENERIC_CREATOR" />
                    <xsl:with-param name="messageResult" select="$ACTION_RESULT.COUNT_GENERIC_CREATOR.TOO_MANY" />
                    <xsl:with-param name="name" select="'GenericCreator'" />
                    <xsl:with-param name="type" select="$tempCountGenericCreator"/>
                </xsl:call-template>
                <xsl:call-template name="common_for_txt.doNewLine" />
            </xsl:when>
            <xsl:otherwise>
                <xsl:call-template name="common_for_txt.doOutputMessage">
                    <xsl:with-param name="messageType" select="$COMMON_FOR_TXT.ERROR_MESSAGE" />
                    <xsl:with-param name="messageAction" select="$ACTION.COUNT_GENERIC_CREATOR" />
                    <xsl:with-param name="messageResult" select="$ACTION_RESULT.COUNT_GENERIC_CREATOR.NOT_FOUND" />
                    <xsl:with-param name="name" select="'GenericCreator'" />
                    <xsl:with-param name="type" select="$tempCountGenericCreator"/>
                </xsl:call-template>
                <xsl:call-template name="common_for_txt.doNewLine" />
            </xsl:otherwise>
        </xsl:choose>
        
        <xsl:choose>
            <xsl:when test="$tempCountContext>0">
                <xsl:call-template name="common_for_txt.doOutputMessage">
                    <xsl:with-param name="messageType" select="$COMMON_FOR_TXT.INFO_MESSAGE" />
                    <xsl:with-param name="messageAction" select="$ACTION.COUNT_CONTEXT" />
                    <xsl:with-param name="messageResult" select="$ACTION_RESULT.COUNT_CONTEXT.SUCCESS" />
                    <xsl:with-param name="name" select="'Context'" />
                    <xsl:with-param name="type" select="$tempCountContext"/>
                </xsl:call-template>
            </xsl:when>
            <xsl:otherwise>
                <xsl:call-template name="common_for_txt.doOutputMessage">
                    <xsl:with-param name="messageType" select="$COMMON_FOR_TXT.ERROR_MESSAGE" />
                    <xsl:with-param name="messageAction" select="$ACTION.COUNT_CONTEXT" />
                    <xsl:with-param name="messageResult" select="$ACTION_RESULT.COUNT_CONTEXT.NOT_FOUND" />
                    <xsl:with-param name="name" select="'Context'" />
                    <xsl:with-param name="type" select="$tempCountContext"/>
                </xsl:call-template>
            </xsl:otherwise>
        </xsl:choose>
        
        
    </xsl:template>
    
    
</xsl:stylesheet>
