<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output
   encoding="ISO-8859-1"
   indent="yes"
   method="xml"
   omit-xml-declaration="yes"
/>

<xsl:param name="LocaleID" select="1031" />

<xsl:template match="text()"/>

<xsl:template match="/solutionmap[folder/level0-item]">
   <xsl:apply-templates select="./folder/level0-item" />
   
   <!--
      Hier wird das End-Tag von <Group> geschrieben.
      Der Grund ist, dass die Modelle in die <Group> geschrieben werden
      muessen, zu der sie gehoeren. Wuerden diese stattdessen in einer
      "anderen" <Group> (mit gleicher ID) liegen, wuerde ARIS das nicht
      zulassen, da die ID eingeutig sein muss.
      Die Option disable-output-escaping="yes" ist ziemlich wichtig,
      da sonst "&lt;" statt "<" ausgegeben wird.
      **Das oeffnende Tag wird in [objDefForMAS.xsl]< geschrieben**
   -->
   <xsl:text disable-output-escaping="yes">&lt;/Group&gt;</xsl:text> 
</xsl:template>

<xsl:template match="/solutionmap/folder/level0-item">
   <xsl:variable name="blanksToPrint">
      <xsl:value-of select="18" />
   </xsl:variable>
   
   <xsl:for-each select="level1-item">
      <!--
      <xsl:choose>
         <xsl:when test="@ID='FD6A8110F28411D812D100306E055DA7'">
      -->
            <xsl:call-template name="newLine" />
            <xsl:call-template name="loop">
               <xsl:with-param name="blanksToPrint" select="$blanksToPrint" />
            </xsl:call-template>
            <xsl:element name="Model">
               <xsl:attribute name="Model.ID">
                  <xsl:text>ModelMASProcess.</xsl:text><xsl:value-of select="self::node()/@ID" />
               </xsl:attribute>
               <xsl:attribute name="Model.Type">
                  <xsl:text>MT_VAL_ADD_CHN_DGM</xsl:text>
               </xsl:attribute>
               
               <!-- ############### -->
               <!-- GUID            -->
               <!-- ############### -->
               <xsl:element name="GUID">
                  <xsl:value-of select="concat('[ModelMASProcess.', self::node()/@ID, ']')" />
               </xsl:element>
               
               <!--
               <xsl:call-template name="printAttrDef">
                  <xsl:with-param name="attrDef.Type" select="'AT_LUSER'" />
                  <xsl:with-param name="attrValue.LocalId" select="$LocaleID" />
                  <xsl:with-param name="attrValue.LocalIdValue" select="'system'" />
                  <xsl:with-param name="actualBlanksToPrint" select="$blanksToPrint + 3" />
               </xsl:call-template>
               
               <xsl:call-template name="loop">
                  <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
               </xsl:call-template>
               
               <xsl:call-template name="printAttrDef">
                  <xsl:with-param name="attrDef.Type" select="'AT_LAST_CHNG_2'" />
                  <xsl:with-param name="attrValue.LocalId" select="$LocaleID" />
                  <xsl:with-param name="attrValue.LocalIdValue" select="$AT_LAST_CHNG_2.Value" />
                  <xsl:with-param name="actualBlanksToPrint" select="$blanksToPrint + 3" />
               </xsl:call-template>
               
               <xsl:call-template name="loop">
                  <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
               </xsl:call-template>
               -->
               
               <xsl:call-template name="printAttrDef">
                  <xsl:with-param name="attrDef.Type" select="'AT_NAME'" />
                  <xsl:with-param name="attrValue.LocalId" select="$LocaleID" />
                  <xsl:with-param name="attrValue.LocalIdValue" select="./title" />
                  <xsl:with-param name="actualBlanksToPrint" select="$blanksToPrint + 3" />
               </xsl:call-template>
               
               <xsl:call-template name="loop">
                  <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
               </xsl:call-template>
               <!--
               <xsl:call-template name="printAttrDef">
                  <xsl:with-param name="attrDef.Type" select="'AT_CREAT_TIME_STMP'" />
                  <xsl:with-param name="attrValue.LocalId" select="$LocaleID" />
                  <xsl:with-param name="attrValue.LocalIdValue" select="'10:28:51.000;11/04/2005'" />
                  <xsl:with-param name="actualBlanksToPrint" select="$blanksToPrint + 3" />
               </xsl:call-template>
               
               <xsl:call-template name="loop">
                  <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
               </xsl:call-template>
               -->
               <!--
               <xsl:call-template name="printAttrDef">
                  <xsl:with-param name="attrDef.Type" select="'AT_TEMPLATE'" />
                  <xsl:with-param name="attrValue.LocalId" select="$LocaleID" />
                  <xsl:with-param name="attrValue.LocalIdValue" select="'2ed57d10-68c8-11d7-5d85-000bcd25c95f;0'" />
                  <xsl:with-param name="actualBlanksToPrint" select="$blanksToPrint + 3" />
               </xsl:call-template>
               -->
               
               <xsl:call-template name="loop">
                  <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
               </xsl:call-template>
               <!--
               <xsl:call-template name="printAttrDef">
                  <xsl:with-param name="attrDef.Type" select="'AT_CREATOR'" />
                  <xsl:with-param name="attrValue.LocalId" select="$LocaleID" />
                  <xsl:with-param name="attrValue.LocalIdValue" select="'system'" />
                  <xsl:with-param name="actualBlanksToPrint" select="$blanksToPrint + 3" />
               </xsl:call-template>
               -->
               <xsl:call-template name="printMASProcesses">
                  <xsl:with-param name="posX1" select="195" />
                  <xsl:with-param name="posY1" select="130" />
                  <xsl:with-param name="posX2" select="260" />
                  <xsl:with-param name="posY2" select="299" />
                  <xsl:with-param name="sizeX1" select="910" />
                  <xsl:with-param name="sizeY1" select="520" />
                  <xsl:with-param name="sizeX2" select="715" />
                  <xsl:with-param name="sizeY2" select="260" />
                  <xsl:with-param name="actualBlanksToPrint" select="$blanksToPrint + 3" />
               </xsl:call-template>
               
               <xsl:call-template name="newLine" />
               <xsl:call-template name="loop">
                  <xsl:with-param name="blanksToPrint" select="$blanksToPrint" />
               </xsl:call-template>
            </xsl:element>
      <!--
         </xsl:when>
      </xsl:choose>
      -->
   </xsl:for-each>
</xsl:template>

<xsl:template name="printMASProcesses">
   <xsl:param name="posX1" />
   <xsl:param name="posY1" />
   <xsl:param name="posX2" />
   <xsl:param name="posY2" />
   <xsl:param name="sizeX1" />
   <xsl:param name="sizeY1" />
   <xsl:param name="sizeX2" />
   <xsl:param name="sizeY2" />
   
   <xsl:param name="actualBlanksToPrint" />
   
   <xsl:for-each select="process|level2-item">
      <xsl:variable name="actualRow" select="position()" />
      <xsl:variable name="numberOfProcessRef" select="count(process-ref[not(@Ref=@variantOf)])" />
      
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
      </xsl:call-template>
      <xsl:element name="ObjOcc">
         <xsl:attribute name="ObjOcc.ID">
            <xsl:text>ObjOccMASProcess.</xsl:text><xsl:value-of select="@ID" />
         </xsl:attribute>
         <xsl:attribute name="ObjDef.IdRef">
            <xsl:text>ObjDefMASProcess.</xsl:text><xsl:value-of select="@ID" />
         </xsl:attribute>
         <xsl:attribute name="SymbolNum">
            <xsl:text>ST_VAL_ADD_CHN_SML_1</xsl:text>
         </xsl:attribute>
         <xsl:attribute name="Active">
            <xsl:text>YES</xsl:text>
         </xsl:attribute>
         <xsl:attribute name="Shadow">
            <xsl:text>YES</xsl:text>
         </xsl:attribute>
         <xsl:attribute name="Visible">
            <xsl:text>YES</xsl:text>
         </xsl:attribute>
         <xsl:attribute name="Zorder">
            <xsl:text>0</xsl:text>
         </xsl:attribute>
         
         <xsl:call-template name="newLine" />
         <xsl:call-template name="loop">
            <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
         </xsl:call-template>
         <Pen Color="0" Style="0" Width="3"/>
         
         <xsl:call-template name="newLine" />
         <xsl:call-template name="loop">
            <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
         </xsl:call-template>
         <Brush Color="afff" Style="0" Hatch="0"/>
         
         <xsl:call-template name="newLine" />
         <xsl:call-template name="loop">
            <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
         </xsl:call-template>
         <xsl:element name="Position">
            <xsl:attribute name="Pos.X">
               <xsl:value-of select="$posX1" />
            </xsl:attribute>
            <xsl:attribute name="Pos.Y">
               <xsl:value-of select="($actualRow - 1) * 845 + $posY1" />
            </xsl:attribute>
         </xsl:element>
         
         <xsl:call-template name="newLine" />
         <xsl:call-template name="loop">
            <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
         </xsl:call-template>
         <xsl:element name="Size">
            <xsl:attribute name="Size.dX">
               <xsl:choose>
                  <xsl:when test="($numberOfProcessRef>0)">
                     <xsl:value-of select="$sizeX1 * ($numberOfProcessRef)" />
                  </xsl:when>
                  <xsl:when test="not($numberOfProcessRef>0)">
                     <xsl:value-of select="$sizeX1 * 1" />
                  </xsl:when>
               </xsl:choose>
            </xsl:attribute>
            <xsl:attribute name="Size.dY">
               <xsl:value-of select="$sizeY1" />
            </xsl:attribute>
         </xsl:element>
         
         <xsl:call-template name="newLine" />
         <xsl:call-template name="loop">
            <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
         </xsl:call-template>
         <AttrOcc AttrTypeNum="AT_NAME"
               	Port="UPPER_MIDDLE"
               	OrderNum="0"
               	Alignment="CENTER"
               	SymbolFlag="TEXT"
               	FontSS.IdRef="FontSS.SolutionMap.ProcessCategory"
               	OffsetX="0"
               	OffsetY="0"/>
         
         <xsl:call-template name="newLine" />
         <xsl:call-template name="loop">
            <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
         </xsl:call-template>
      </xsl:element>
      
      <xsl:for-each select="process-ref[not(@Ref=@variantOf)]">
         <xsl:variable name="actualColumn" select="position()" />
         <!-- 
         <xsl:choose>
            <xsl:when test="">
         -->
               <xsl:call-template name="newLine" />
               <xsl:call-template name="loop">
                  <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
               </xsl:call-template>
               <xsl:element name="ObjOcc">
                  <xsl:attribute name="ObjOcc.ID">
                     <xsl:text>ObjOccMASProcessRef.</xsl:text><xsl:value-of select="@ID" />
                  </xsl:attribute>
                  <xsl:attribute name="ObjDef.IdRef">
                     <xsl:text>ObjDefProcess.</xsl:text><xsl:value-of select="@Ref" />
                  </xsl:attribute>
                  <xsl:attribute name="SymbolNum">
                     <xsl:text>ST_VAL_ADD_CHN_SML_2</xsl:text>
                  </xsl:attribute>
                  <xsl:attribute name="Active">
                     <xsl:text>YES</xsl:text>
                  </xsl:attribute>
                  <xsl:attribute name="Shadow">
                     <xsl:text>YES</xsl:text>
                  </xsl:attribute>
                  <xsl:attribute name="Visible">
                     <xsl:text>YES</xsl:text>
                  </xsl:attribute>
                  <xsl:attribute name="Zorder">
                     <xsl:text>1</xsl:text>
                  </xsl:attribute>
                  
                  <xsl:call-template name="newLine" />
                  <xsl:call-template name="loop">
                     <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
                  </xsl:call-template>
                  <Pen Color="0" Style="0" Width="3"/>
                  
                  <xsl:call-template name="newLine" />
                  <xsl:call-template name="loop">
                     <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
                  </xsl:call-template>
                  <Brush Color="dddddd" Style="0" Hatch="0"/>
                  
                  <xsl:call-template name="newLine" />
                  <xsl:call-template name="loop">
                     <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
                  </xsl:call-template>
                  <xsl:element name="Position">
                     <xsl:attribute name="Pos.X">
                        <xsl:value-of select="(($actualColumn - 1) * 730) + $posX2" />
                     </xsl:attribute>
                     <xsl:attribute name="Pos.Y">
                        <xsl:value-of select="($actualRow - 1) * 845 + $posY2" />
                     </xsl:attribute>
                  </xsl:element>
                  
                  <xsl:call-template name="newLine" />
                  <xsl:call-template name="loop">
                     <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
                  </xsl:call-template>
                  <xsl:element name="Size">
                     <xsl:attribute name="Size.dX">
                        <xsl:value-of select="$sizeX2" />
                     </xsl:attribute>
                     <xsl:attribute name="Size.dY">
                        <xsl:value-of select="$sizeY2" />
                     </xsl:attribute>
                  </xsl:element>
                  
                  <xsl:call-template name="newLine" />
                  <xsl:call-template name="loop">
                     <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
                  </xsl:call-template>
                  <xsl:element name="AttrOcc">
                     <xsl:attribute name="AttrTypeNum">
                        <xsl:value-of select="'AT_NAME'" />
                     </xsl:attribute>
                     
                     <xsl:attribute name="Port">
                        <xsl:value-of select="'CENTER'" />
                     </xsl:attribute>
                     
                     <xsl:attribute name="OrderNum">
                        <xsl:value-of select="'0'" />
                     </xsl:attribute>
                     
                     <xsl:attribute name="Alignment">
                        <xsl:value-of select="'CENTER'" />
                     </xsl:attribute>
                     
                     <xsl:attribute name="SymbolFlag">
                        <xsl:value-of select="'TEXT'" />
                     </xsl:attribute>
                     
                     <xsl:attribute name="FontSS.IdRef">
                        <xsl:value-of select="'FontSS.SolutionMap.Process'" />
                     </xsl:attribute>
                     
                     <xsl:attribute name="OffsetX">
                        <xsl:value-of select="'0'" />
                     </xsl:attribute>
                     
                     <xsl:attribute name="OffsetY">
                        <xsl:value-of select="'0'" />
                     </xsl:attribute>
                  </xsl:element>
                  
                  <xsl:call-template name="newLine" />
                  <xsl:call-template name="loop">
                     <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
                  </xsl:call-template>
               </xsl:element>
         <!--
            </xsl:when>
         </xsl:choose>
         -->
      </xsl:for-each>
   </xsl:for-each>
</xsl:template>

<!-- template to print the AttrDef-tags -->
<xsl:template name="printAttrDef">
   <xsl:param name="attrDef.Type" />
   <xsl:param name="attrValue.LocalId" />
   <xsl:param name="attrValue.LocalIdValue" />
   <xsl:param name="actualBlanksToPrint" />
   
   <xsl:call-template name="newLine" />
   <xsl:call-template name="loop">
      <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
   </xsl:call-template>
   
   <xsl:element name="AttrDef">
      <xsl:attribute name="AttrDef.Type">
         <xsl:value-of select="$attrDef.Type" />
      </xsl:attribute>
      
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      
      <!--
       Ausgabe der Attribut-Werte von AttrDef:
       AttrValue
      -->
      <xsl:element name="AttrValue">
         <xsl:attribute name="LocaleId">
            <xsl:value-of select="$attrValue.LocalId" />
         </xsl:attribute>
         <xsl:value-of select="$attrValue.LocalIdValue" />
      </xsl:element>
		<xsl:call-template name="newLine"/>
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
      </xsl:call-template>
   </xsl:element>
</xsl:template>

<!-- ###################################### -->
<!-- Dieses Template dient zur Ausgabe      -->
<!-- einer neuen Zeile                      -->
<!-- ###################################### -->
<xsl:template name="newLine">
   <xsl:text>&#10;</xsl:text>
</xsl:template>

<!-- ###################################### -->
<!-- Dieses Template dient zur Ausgabe von  -->
<!-- Leerzeichen. (Dient zum Einruecken)    -->
<!-- ###################################### -->
<xsl:template name="loop">
   <xsl:param name="blanksToPrint" />
   
   <xsl:choose>
      <xsl:when test="$blanksToPrint &gt; 0">
         <xsl:text> </xsl:text>
         <xsl:call-template name="loop">
            <xsl:with-param name="blanksToPrint" select="$blanksToPrint - 1" />
         </xsl:call-template>
      </xsl:when>
   </xsl:choose>
</xsl:template>

</xsl:stylesheet>