<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output
   encoding="ISO-8859-1"
   indent="yes"
   method="xml"
   omit-xml-declaration="yes"
/>

<xsl:param name="LocaleID" select="1031" />

<xsl:template match="text()"/>

<!-- ############################################# -->
<!-- Diese XSLT dient zur Erzeugung von Modellen   -->
<!-- der SolutionMaps. Hier werden die Modelle     -->
<!-- fuer die BusinessScenario-Prozesse erzeugt.   -->
<!-- ############################################# -->
<xsl:template match="/solutionmap">
   <xsl:apply-templates select="./scenario-group"/>   
</xsl:template>

<xsl:template match="/solutionmap/scenario-group">
   <xsl:variable name="blanksToPrint">
      <xsl:value-of select="18" />
   </xsl:variable>
   
   <!-- ######################################### -->
   <!-- Diese Variable wird verwendet, um die     -->
   <!-- Positionierung der Objekte leichter       -->
   <!-- berechnen zu koennen                      -->
   <!-- ######################################### -->
   <xsl:variable name="actualBusinessScenarioGroup" select="position()" />
   
   <xsl:for-each select="self::node()/business-scenario | self::node()/folder | self::node()/folder/business-scenario">
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$blanksToPrint" />
      </xsl:call-template>
      
      <xsl:element name="Model">
         <xsl:choose>
            <xsl:when test="local-name()='business-scenario'">
               <xsl:attribute name="Model.ID">
                  <xsl:value-of select="concat('ModelBS.', self::node()/@ID)" />
               </xsl:attribute>
            </xsl:when>
            <xsl:when test="local-name()='folder'">
               <xsl:attribute name="Model.ID">
                  <xsl:value-of select="concat('ModelBSFolder.', self::node()/@ID)" />
               </xsl:attribute>
            </xsl:when>
         </xsl:choose>
         <xsl:attribute name="Model.Type">
            <xsl:text>MT_VAL_ADD_CHN_DGM</xsl:text>
         </xsl:attribute>
         
         <!-- ############### -->
         <!-- GUID            -->
         <!-- ############### -->
         <xsl:element name="GUID">
            <xsl:value-of select="concat('[ModelBusinessScenario.', self::node()/@ID, ']')" />
         </xsl:element>
         
         <xsl:call-template name="loop">
            <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
         </xsl:call-template>
         <!--
         <xsl:call-template name="printAttrDef">
            <xsl:with-param name="attrDef.Type" select="'AT_LUSER'" />
            <xsl:with-param name="attrValue.LocalId" select="$LocaleID" />
            <xsl:with-param name="attrValue.LocalIdValue" select="'system'" />
            <xsl:with-param name="actualBlanksToPrint" select="$blanksToPrint + 3" />
         </xsl:call-template>
         
         <xsl:call-template name="loop">
            <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
         </xsl:call-template>
         
         <xsl:call-template name="printAttrDef">
            <xsl:with-param name="attrDef.Type" select="'AT_LAST_CHNG_2'" />
            <xsl:with-param name="attrValue.LocalId" select="$LocaleID" />
            <xsl:with-param name="attrValue.LocalIdValue" select="$AT_LAST_CHNG_2.Value" />
            <xsl:with-param name="actualBlanksToPrint" select="$blanksToPrint + 3" />
         </xsl:call-template>
         
         
         <xsl:call-template name="loop">
            <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
         </xsl:call-template>
         -->
         
         <xsl:call-template name="printAttrDef">
            <xsl:with-param name="attrDef.Type" select="'AT_NAME'" />
            <xsl:with-param name="attrValue.LocalId" select="$LocaleID" />
            <xsl:with-param name="attrValue.LocalIdValue" select="self::node()/title" />
            <xsl:with-param name="actualBlanksToPrint" select="$blanksToPrint + 3" />
         </xsl:call-template>
         
         <xsl:call-template name="loop">
            <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
         </xsl:call-template>
         
         <!--
         <xsl:call-template name="printAttrDef">
            <xsl:with-param name="attrDef.Type" select="'AT_CREAT_TIME_STMP'" />
            <xsl:with-param name="attrValue.LocalId" select="$LocaleID" />
            <xsl:with-param name="attrValue.LocalIdValue" select="'10:28:51.000;11/04/2005'" />
            <xsl:with-param name="actualBlanksToPrint" select="$blanksToPrint + 3" />
         </xsl:call-template>
         
         <xsl:call-template name="loop">
            <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
         </xsl:call-template>
         -->
         <!--
         <xsl:call-template name="printAttrDef">
            <xsl:with-param name="attrDef.Type" select="'AT_TEMPLATE'" />
            <xsl:with-param name="attrValue.LocalId" select="$LocaleID" />
            <xsl:with-param name="attrValue.LocalIdValue" select="'2ed57d10-68c8-11d7-5d85-000bcd25c95f;0'" />
            <xsl:with-param name="actualBlanksToPrint" select="$blanksToPrint + 3" />
         </xsl:call-template>
         
         
         <xsl:call-template name="loop">
            <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
         </xsl:call-template>
         -->
         
         <!--
         <xsl:call-template name="printAttrDef">
            <xsl:with-param name="attrDef.Type" select="'AT_CREATOR'" />
            <xsl:with-param name="attrValue.LocalId" select="$LocaleID" />
            <xsl:with-param name="attrValue.LocalIdValue" select="'system'" />
            <xsl:with-param name="actualBlanksToPrint" select="$blanksToPrint + 3" />
         </xsl:call-template>
         -->
         
         <xsl:choose>
            <xsl:when test="local-name()='business-scenario'">
               <xsl:call-template name="printScenarioProcesses">
                  <xsl:with-param name="posX1" select="195" />
                  <xsl:with-param name="posY1" select="130" />
                  <xsl:with-param name="posX2" select="260" />
                  <xsl:with-param name="posY2" select="299" />
                  <xsl:with-param name="sizeX1" select="910" />
                  <xsl:with-param name="sizeY1" select="520" />
                  <xsl:with-param name="sizeX2" select="715" />
                  <xsl:with-param name="sizeY2" select="260" />
                  <xsl:with-param name="actualBlanksToPrint" select="$blanksToPrint + 3" />
               </xsl:call-template>
            </xsl:when>
            <xsl:when test="local-name()='folder'">
               <xsl:call-template name="printBusinessScenarioOfFolder">
                  <xsl:with-param name="posX" select="65" />
                  <xsl:with-param name="posY" select="195" />
                  <xsl:with-param name="sizeX" select="858" />
                  <xsl:with-param name="sizeY" select="280" />
                  <xsl:with-param name="actualBusinessScenarioGroup" select="$actualBusinessScenarioGroup" />
                  <xsl:with-param name="actualBlanksToPrint" select="$blanksToPrint + 3" />
               </xsl:call-template>
            </xsl:when>
         </xsl:choose>
         
         <xsl:call-template name="newLine" />
         <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$blanksToPrint" />
         </xsl:call-template>
      </xsl:element>
   </xsl:for-each>
</xsl:template>

<xsl:template name="printScenarioProcesses">
   <xsl:param name="posX1" />
   <xsl:param name="posY1" />
   <xsl:param name="posX2" />
   <xsl:param name="posY2" />
   <xsl:param name="sizeX1" />
   <xsl:param name="sizeY1" />
   <xsl:param name="sizeX2" />
   <xsl:param name="sizeY2" />
   
   <xsl:param name="actualBlanksToPrint" />
   
   <xsl:for-each select="process">
      <xsl:variable name="actualRow" select="position()" />
      <xsl:variable name="numberOfProcessRef" select="count(process-ref[not(@Ref=@variantOf) and not(@Ref=../@ID)])" />
      
     <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
      </xsl:call-template>
      <xsl:element name="ObjOcc">
         <xsl:attribute name="ObjOcc.ID">
            <xsl:text>ObjOccProcess.</xsl:text><xsl:value-of select="@ID" />
         </xsl:attribute>
         
         <!--
         <xsl:choose>
            <xsl:when test="self::node()[@bprid and not(@bprid = @variantOf)]">
               <xsl:attribute name="ObjDef.IdRef">
                  <xsl:text>ObjDefProcess.</xsl:text><xsl:value-of select="@bprid" />
               </xsl:attribute>
            </xsl:when>
            <xsl:otherwise>
        -->
               <xsl:attribute name="ObjDef.IdRef">
                  <xsl:text>ObjDefProcess.</xsl:text><xsl:value-of select="@ID" />
               </xsl:attribute>
         <!--
            </xsl:otherwise>
         </xsl:choose>
         -->
         
         <xsl:attribute name="SymbolNum">
            <xsl:text>ST_VAL_ADD_CHN_SML_1</xsl:text>
         </xsl:attribute>
         <xsl:attribute name="Active">
            <xsl:text>YES</xsl:text>
         </xsl:attribute>
         <xsl:attribute name="Shadow">
            <xsl:text>YES</xsl:text>
         </xsl:attribute>
         <xsl:attribute name="Visible">
            <xsl:text>YES</xsl:text>
         </xsl:attribute>
         <xsl:attribute name="Zorder">
            <xsl:text>0</xsl:text>
         </xsl:attribute>
         
         <xsl:call-template name="newLine" />
         <xsl:call-template name="loop">
            <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
         </xsl:call-template>
         
         <!-- ############################## -->
         <!-- Element <Pen> von ObjOcc       -->
         <!-- ############################## -->
         <xsl:element name="Pen">
            <!-- ############################## -->
            <!-- Attribut 'Color' von           -->
            <!-- <Pen>                          -->
            <!-- ############################## -->
            <xsl:attribute name="Color">
               <xsl:value-of select="'0'" />
            </xsl:attribute>
            
            <!-- ############################## -->
            <!-- Attribut 'Style' von           -->
            <!-- <Pen>                          -->
            <!-- ############################## -->
            <xsl:attribute name="Style">
               <xsl:value-of select="'0'" />
            </xsl:attribute>
            
            <!-- ############################## -->
            <!-- Attribut 'Width' von           -->
            <!-- <Pen>                          -->
            <!-- ############################## -->
            <xsl:attribute name="Width">
               <xsl:value-of select="'3'" />
            </xsl:attribute>
         </xsl:element>
         
         <xsl:call-template name="newLine" />
         <xsl:call-template name="loop">
            <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
         </xsl:call-template>
         
         
         <!-- ############################## -->
         <!-- Element <Brush> von ObjOcc     -->
         <!-- ############################## -->
         <xsl:element name="Brush">
            <!-- ############################## -->
            <!-- Attribut 'Color' von           -->
            <!-- <Brush>. Der Wert entspricht   -->
            <!-- der Farbe orange               -->
            <!-- ############################## -->
            <xsl:attribute name="Color">
               <xsl:value-of select="'afff'" />
            </xsl:attribute>
            
            <!-- ############################## -->
            <!-- Attribut 'Style' von           -->
            <!-- <Brush>                        -->
            <!-- ############################## -->
            <xsl:attribute name="Style">
               <xsl:value-of select="'0'" />
            </xsl:attribute>
            
            <!-- ############################## -->
            <!-- Attribut 'Hatch' von           -->
            <!-- <Brush>                        -->
            <!-- ############################## -->
            <xsl:attribute name="Hatch">
               <xsl:value-of select="'0'" />
            </xsl:attribute>
         </xsl:element>
         <!--
         <Brush Color="afff" Style="0" Hatch="0"/>
         -->
         
         <xsl:call-template name="newLine" />
         <xsl:call-template name="loop">
            <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
         </xsl:call-template>
         
         <!-- ############################## -->
         <!-- Element <Position> von ObjOcc  -->
         <!-- ############################## -->
         <xsl:element name="Position">
            <!-- ############################## -->
            <!-- Attribut 'Pos.X' von           -->
            <!-- <Position>                     -->
            <!-- ############################## -->
            <xsl:attribute name="Pos.X">
               <xsl:value-of select="$posX1" />
            </xsl:attribute>
            
            <!-- ############################## -->
            <!-- Attribut 'Pos.Y' von           -->
            <!-- <Position>                     -->
            <!-- ############################## -->
            <xsl:attribute name="Pos.Y">
               <xsl:value-of select="($actualRow - 1) * 845 + $posY1" />
            </xsl:attribute>
         </xsl:element>
         
         <xsl:call-template name="newLine" />
         <xsl:call-template name="loop">
            <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
         </xsl:call-template>
         
         <!-- ############################## -->
         <!-- Element <Size> von ObjOcc      -->
         <!-- ############################## -->
         <xsl:element name="Size">
            <!-- ############################## -->
            <!-- Attribut 'Size.dX' von         -->
            <!-- <Size>                         -->
            <!-- ############################## -->
            <xsl:choose>
               <xsl:when test="$numberOfProcessRef > 0">
                  <xsl:attribute name="Size.dX">
                     <xsl:value-of select="$sizeX1 * ($numberOfProcessRef)" />
                  </xsl:attribute>
               </xsl:when>
               <xsl:when test="$numberOfProcessRef = 0">
                  <xsl:attribute name="Size.dX">
                     <xsl:value-of select="$sizeX1" />
                  </xsl:attribute>
               </xsl:when>
            </xsl:choose>
            
            <!-- ############################## -->
            <!-- Attribut 'Size.dY' von         -->
            <!-- <Size>                         -->
            <!-- ############################## -->
            <xsl:attribute name="Size.dY">
               <xsl:value-of select="$sizeY1" />
            </xsl:attribute>
         </xsl:element>
         
         <xsl:call-template name="newLine" />
         <xsl:call-template name="loop">
            <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
         </xsl:call-template>
         
         <!-- ############################## -->
         <!-- Element <AttrOcc> von ObjOcc   -->
         <!-- ############################## -->
         <xsl:element name="AttrOcc">
            <!-- ############################## -->
            <!-- Attribut 'AttrTypeNum' von     -->
            <!-- <AttrOcc>                      -->
            <!-- ############################## -->
            <xsl:attribute name="AttrTypeNum">
               <xsl:value-of select="'AT_NAME'" />
            </xsl:attribute>
            
            <!-- ############################## -->
            <!-- Attribut 'Port' von <AttrOcc>  -->
            <!-- ############################## -->
            <xsl:attribute name="Port">
               <xsl:value-of select="'UPPER_MIDDLE'" />
            </xsl:attribute>
            
            <!-- ############################## -->
            <!-- Attribut 'Port' von <OrderNum> -->
            <!-- ############################## -->
            <xsl:attribute name="OrderNum">
               <xsl:value-of select="'0'" />
            </xsl:attribute>
            
            <!-- ############################## -->
            <!-- Attribut 'Alignment' von       -->
            <!-- <AttrOcc>                      -->
            <!-- ############################## -->
            <xsl:attribute name="Alignment">
               <xsl:value-of select="'CENTER'" />
            </xsl:attribute>
            
            <!-- ############################## -->
            <!-- Attribut 'SymbolFlag' von      -->
            <!-- <AttrOcc>                      -->
            <!-- ############################## -->
            <xsl:attribute name="SymbolFlag">
               <xsl:value-of select="'TEXT'" />
            </xsl:attribute>
            
            <!-- ############################## -->
            <!-- Attribut 'FontSS.IdRef' von    -->
            <!-- <AttrOcc>                      -->
            <!-- ############################## -->
            <xsl:attribute name="FontSS.IdRef">
               <xsl:value-of select="'FontSS.SolutionMap.ProcessCategory'" />
            </xsl:attribute>
            
            <!-- ############################## -->
            <!-- Attribut 'OffsetX' von         -->
            <!-- <AttrOcc>                      -->
            <!-- ############################## -->
            <xsl:attribute name="OffsetX">
               <xsl:value-of select="'0'" />
            </xsl:attribute>
            
            <!-- ############################## -->
            <!-- Attribut 'OffsetY' von         -->
            <!-- <AttrOcc>                      -->
            <!-- ############################## -->
            <xsl:attribute name="OffsetY">
               <xsl:value-of select="'0'" />
            </xsl:attribute>
         </xsl:element>
         
         <xsl:call-template name="newLine" />
         <xsl:call-template name="loop">
            <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
         </xsl:call-template>
      </xsl:element>
      
      <!--
      <xsl:for-each select="process-ref[not(@Ref=@variantOf)]">
      -->
      <xsl:for-each select="process-ref[not(@Ref=@variantOf) and not(@Ref=../@ID)]">
         <!-- ######################################### -->
         <!-- Diese Variable wird verwendet, um die     -->
         <!-- Positionierung der Objekte leichter       -->
         <!-- berechnen zu koennen                      -->
         <!-- ######################################### -->
         <xsl:variable name="actualColumn" select="position()" />
         
         <xsl:call-template name="newLine" />
         <xsl:call-template name="loop">
            <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
         </xsl:call-template>
         
         <!-- ############################## -->
         <!-- Element <AttrOcc> von ObjOcc   -->
         <!-- ############################## -->
         <xsl:element name="ObjOcc">
            <!-- ############################## -->
            <!-- Attribut 'ObjOcc.ID' von       -->
            <!-- <ObjOcc>                       -->
            <!-- ############################## -->
            <xsl:attribute name="ObjOcc.ID">
               <xsl:value-of select="concat('ObjOccPROCESSREF.', self::node()/@ID)" />
            </xsl:attribute>
            
            <!-- ############################## -->
            <!-- Attribut 'ObjDef.IdRef' von    -->
            <!-- <ObjOcc>                       -->
            <!-- ############################## -->
            <xsl:attribute name="ObjDef.IdRef">
               <xsl:value-of select="concat('ObjDefProcess.', self::node()/@Ref)" />
            </xsl:attribute>
            
            <!-- ############################## -->
            <!-- Attribut 'SymbolNum' von       -->
            <!-- <ObjOcc>                       -->
            <!-- ############################## -->
            <xsl:attribute name="SymbolNum">
               <xsl:text>ST_VAL_ADD_CHN_SML_2</xsl:text>
            </xsl:attribute>
            
            <!-- ############################## -->
            <!-- Attribut 'Active' von          -->
            <!-- <ObjOcc>                       -->
            <!-- ############################## -->
            <xsl:attribute name="Active">
               <xsl:text>YES</xsl:text>
            </xsl:attribute>
            
            <!-- ############################## -->
            <!-- Attribut 'Shadow' von          -->
            <!-- <ObjOcc>                       -->
            <!-- ############################## -->
            <xsl:attribute name="Shadow">
               <xsl:text>YES</xsl:text>
            </xsl:attribute>
            
            <!-- ############################## -->
            <!-- Attribut 'Visible' von         -->
            <!-- <ObjOcc>                       -->
            <!-- ############################## -->
            <xsl:attribute name="Visible">
               <xsl:text>YES</xsl:text>
            </xsl:attribute>
            
            <!-- ############################## -->
            <!-- Attribut 'Zorder' von          -->
            <!-- <ObjOcc>                       -->
            <!-- ############################## -->
            <xsl:attribute name="Zorder">
               <xsl:text>1</xsl:text>
            </xsl:attribute>
            
            <xsl:call-template name="newLine" />
            <xsl:call-template name="loop">
               <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
            </xsl:call-template>
            
            <!-- ############################## -->
            <!-- Element <Pen> von ObjOcc       -->
            <!-- ############################## -->
            <xsl:element name="Pen">
               <!-- ############################## -->
               <!-- Attribut 'Color' von           -->
               <!-- <Pen>                          -->
               <!-- ############################## -->
               <xsl:attribute name="Color">
                  <xsl:value-of select="'0'" />
               </xsl:attribute>
               
               <!-- ############################## -->
               <!-- Attribut 'Style' von           -->
               <!-- <Pen>                          -->
               <!-- ############################## -->
               <xsl:attribute name="Style">
                  <xsl:value-of select="'0'" />
               </xsl:attribute>
               
               <!-- ############################## -->
               <!-- Attribut 'Width' von           -->
               <!-- <Pen>                          -->
               <!-- ############################## -->
               <xsl:attribute name="Width">
                  <xsl:value-of select="'3'" />
               </xsl:attribute>
            </xsl:element>
            
            <xsl:call-template name="newLine" />
            <xsl:call-template name="loop">
               <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
            </xsl:call-template>
            
            <!-- ############################## -->
            <!-- Element <Brush> von ObjOcc     -->
            <!-- ############################## -->
            <xsl:element name="Brush">
               <!-- ############################## -->
               <!-- Attribut 'Color' von           -->
               <!-- <Brush>. Der Wert entspricht   -->
               <!-- der Farbe grau                 -->
               <!-- ############################## -->
               <xsl:attribute name="Color">
                  <xsl:value-of select="'dddddd'" />
               </xsl:attribute>
               
               <!-- ############################## -->
               <!-- Attribut 'Style' von           -->
               <!-- <Brush>                        -->
               <!-- ############################## -->
               <xsl:attribute name="Style">
                  <xsl:value-of select="'0'" />
               </xsl:attribute>
               
               <!-- ############################## -->
               <!-- Attribut 'Hatch' von           -->
               <!-- <Brush>                        -->
               <!-- ############################## -->
               <xsl:attribute name="Hatch">
                  <xsl:value-of select="'0'" />
               </xsl:attribute>
            </xsl:element>
            
            <xsl:call-template name="newLine" />
            <xsl:call-template name="loop">
               <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
            </xsl:call-template>
            
            <!-- ############################## -->
            <!-- Element <Position> von ObjOcc  -->
            <!-- ############################## -->
            <xsl:element name="Position">
               <xsl:attribute name="Pos.X">
                  <xsl:value-of select="(($actualColumn - 1) * 780) + $posX2" />
               </xsl:attribute>
               <xsl:attribute name="Pos.Y">
                  <xsl:value-of select="($actualRow - 1) * 845 + $posY2" />
               </xsl:attribute>
            </xsl:element>
            
            <xsl:call-template name="newLine" />
            <xsl:call-template name="loop">
               <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
            </xsl:call-template>
            <xsl:element name="Size">
               <xsl:attribute name="Size.dX">
                  <xsl:value-of select="$sizeX2" />
               </xsl:attribute>
               <xsl:attribute name="Size.dY">
                  <xsl:value-of select="$sizeY2" />
               </xsl:attribute>
            </xsl:element>
            
            <xsl:call-template name="newLine" />
            <xsl:call-template name="loop">
               <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
            </xsl:call-template>
            <AttrOcc AttrTypeNum="AT_NAME"
                  	Port="CENTER"
                  	OrderNum="0"
                  	Alignment="CENTER"
                  	SymbolFlag="TEXT"
                  	FontSS.IdRef="FontSS.SolutionMap.Process"
                  	OffsetX="0"
                  	OffsetY="0"/>
                  	
            <xsl:call-template name="newLine" />
            <xsl:call-template name="loop">
               <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
            </xsl:call-template>
         </xsl:element>
      </xsl:for-each>
   </xsl:for-each>
</xsl:template>

<xsl:template name="printBusinessScenarioOfFolder">
   <xsl:param name="posX" />
   <xsl:param name="posY" />
   <xsl:param name="sizeX" />
   <xsl:param name="sizeY" />
   
   <xsl:param name="actualBusinessScenarioGroup" />
   
   <xsl:param name="actualBlanksToPrint" />
   
   <xsl:for-each select="business-scenario">
      <!-- ######################################### -->
      <!-- Diese Variable wird verwendet, um die     -->
      <!-- Positionierung der Objekte leichter       -->
      <!-- berechnen zu koennen                      -->
      <!-- ######################################### -->
      <xsl:variable name="actualPos" select="position()" />
   
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
      </xsl:call-template>
      
      <!-- ############################## -->
      <!-- Erzeugung der ObjOcc fuer die  -->
      <!-- BusinessScenarien              -->
      <!-- ############################## -->
      <xsl:element name="ObjOcc">
         <!-- ############################## -->
         <!-- Attribut 'ObjOcc.ID' von       -->
         <!-- <ObjOcc>                       -->
         <!-- ############################## -->
         <xsl:attribute name="ObjOcc.ID">
            <xsl:value-of select="concat('ObjOccBSFolder.', self::node()/@ID)" />
         </xsl:attribute>
         
         <!-- ############################## -->
         <!-- Attribut 'ObjDef.IdRef' von    -->
         <!-- <ObjOcc>                       -->
         <!-- ############################## -->
         <xsl:attribute name="ObjDef.IdRef">
            <xsl:value-of select="concat('ObjDefBS.', @ID)" />
         </xsl:attribute>
         
         <!-- ############################## -->
         <!-- Attribut 'SymbolNum' von       -->
         <!-- <ObjOcc>                       -->
         <!-- ############################## -->
         <xsl:attribute name="SymbolNum">
            <xsl:value-of select="'ST_VAL_ADD_CHN_SML_2'" />
         </xsl:attribute>
         
         <!-- ############################## -->
         <!-- Attribut 'Active' von          -->
         <!-- <ObjOcc>                       -->
         <!-- ############################## -->
         <xsl:attribute name="Active">
            <xsl:value-of select="'YES'" />
         </xsl:attribute>
         
         <!-- ############################## -->
         <!-- Attribut 'Shadow' von          -->
         <!-- <ObjOcc>                       -->
         <!-- ############################## -->
         <xsl:attribute name="Shadow">
            <xsl:value-of select="'YES'" />
         </xsl:attribute>
         
         <!-- ############################## -->
         <!-- Attribut 'Visible' von         -->
         <!-- <ObjOcc>                       -->
         <!-- ############################## -->
         <xsl:attribute name="Visible">
            <xsl:value-of select="'YES'" />
         </xsl:attribute>
         
         <!-- ############################## -->
         <!-- Hier werden die Farben der     -->
         <!-- einzelnen BusinessScenarien    -->
         <!-- ausgegeben. Dabei wird auf die -->
         <!-- korrekte Farbe geachtet.       -->
         <!-- ############################## -->
         <xsl:call-template name="printColor">
            <xsl:with-param name="actualBusinessScenarioGroup" select="$actualBusinessScenarioGroup" />
            <xsl:with-param name="actualBlanksToPrint" select="$actualBlanksToPrint + 3" />
         </xsl:call-template>
         
         <xsl:call-template name="newLine" />
         <xsl:call-template name="loop">
            <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
         </xsl:call-template>
         
         <!-- ############################## -->
         <!-- Element <Position> von ObjOcc  -->
         <!-- ############################## -->
         <xsl:element name="Position">
            <!-- ############################## -->
            <!-- Attribut 'Pos.X' von           -->
            <!-- <Position>                     -->
            <!-- ############################## -->
            <xsl:attribute name="Pos.X">
               <xsl:value-of select="$posX" />
            </xsl:attribute>
            
            <!-- ############################## -->
            <!-- Attribut 'Pos.Y' von           -->
            <!-- <Position>                     -->
            <!-- ############################## -->
            <xsl:attribute name="Pos.Y">
               <xsl:value-of select="($actualPos - 1) * 455 + $posY" />
            </xsl:attribute>
         </xsl:element>
         
         <xsl:call-template name="newLine" />
         <xsl:call-template name="loop">
            <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
         </xsl:call-template>
         
         <!-- ############################## -->
         <!-- Element <Size> von ObjOcc      -->
         <!-- ############################## -->
         <xsl:element name="Size">
            <!-- ############################## -->
            <!-- Attribut 'Size.dX' von <Size>  -->
            <!-- ############################## -->
            <xsl:attribute name="Size.dX">
               <xsl:value-of select="$sizeX" />
            </xsl:attribute>
            
            <!-- ############################## -->
            <!-- Attribut 'Size.dY' von <Size>  -->
            <!-- ############################## -->
            <xsl:attribute name="Size.dY">
               <xsl:value-of select="$sizeY" />
            </xsl:attribute>
         </xsl:element>
         
         <xsl:call-template name="newLine" />
         <xsl:call-template name="loop">
            <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
         </xsl:call-template>
         
         <!-- ############################## -->
         <!-- Element <AttrOcc> von ObjOcc   -->
         <!-- ############################## -->
         <xsl:element name="AttrOcc">
            <!-- ############################## -->
            <!-- Attribut 'AttrTypeNum' von     -->
            <!-- <AttrOcc>                         -->
            <!-- ############################## -->
            <xsl:attribute name="AttrTypeNum">
               <xsl:value-of select="'AT_NAME'" />
            </xsl:attribute>
            
            <!-- ############################## -->
            <!-- Attribut 'Port' von <AttrOcc>  -->
            <!-- ############################## -->
            <xsl:attribute name="Port">
               <xsl:value-of select="'CENTER'" />
            </xsl:attribute>
            
            <!-- ############################## -->
            <!-- Attribut 'OrderNum' von        -->
            <!-- <AttrOcc>                      -->
            <!-- ############################## -->
            <xsl:attribute name="OrderNum">
               <xsl:value-of select="'0'" />
            </xsl:attribute>
            
            <!-- ############################## -->
            <!-- Attribut 'Alignment' von       -->
            <!-- <AttrOcc>                      -->
            <!-- ############################## -->
            <xsl:attribute name="Alignment">
               <xsl:value-of select="'CENTER'" />
            </xsl:attribute>
            
            <!-- ############################## -->
            <!-- Attribut 'SymbolFlag' von      -->
            <!-- <AttrOcc>                      -->
            <!-- ############################## -->
            <xsl:attribute name="SymbolFlag">
               <xsl:value-of select="'TEXT'" />
            </xsl:attribute>
            
            <!-- ############################## -->
            <!-- Attribut 'FontSS.IdRef' von    -->
            <!-- <AttrOcc>                      -->
            <!-- ############################## -->
            <xsl:attribute name="FontSS.IdRef">
               <xsl:value-of select="'FontSS.SolutionMap.Business.Scenario'" />
            </xsl:attribute>
            
            <!-- ############################## -->
            <!-- Attribut 'OffsetX' von         -->
            <!-- <AttrOcc>                      -->
            <!-- ############################## -->
            <xsl:attribute name="OffsetX">
               <xsl:value-of select="'0'" />
            </xsl:attribute>
            
            <!-- ############################## -->
            <!-- Attribut 'OffsetY' von         -->
            <!-- <AttrOcc>                      -->
            <!-- ############################## -->
            <xsl:attribute name="OffsetY">
               <xsl:value-of select="'0'" />
            </xsl:attribute>
         </xsl:element>
         
         <xsl:call-template name="newLine" />
         <xsl:call-template name="loop">
            <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
         </xsl:call-template>
      </xsl:element>
   </xsl:for-each>
</xsl:template>

<xsl:template name="printColor">
   <xsl:param name="actualBusinessScenarioGroup" />
   
   <xsl:param name="actualBlanksToPrint" />
   
   <xsl:call-template name="newLine" />
   <xsl:call-template name="loop">
      <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
   </xsl:call-template>
   
   <!-- ############################## -->
   <!-- Element <Pen> von ObjOcc       -->
   <!-- ############################## -->
   <xsl:element name="Pen">
      <!-- ############################## -->
      <!-- Attribut 'Color' von <Pen>   -->
      <!-- ############################## -->
      <xsl:attribute name="Color">
         <xsl:value-of select="0" />
      </xsl:attribute>
      
      <!-- ############################## -->
      <!-- Attribut 'Style' von <Pen>   -->
      <!-- ############################## -->
      <xsl:attribute name="Style">
         <xsl:value-of select="0" />
      </xsl:attribute>
      
      <!-- ############################## -->
      <!-- Attribut 'Width' von <Pen>   -->
      <!-- ############################## -->
      <xsl:attribute name="Width">
         <xsl:value-of select="3" />
      </xsl:attribute>
   </xsl:element>
   
   <xsl:call-template name="newLine" />
   <xsl:call-template name="loop">
      <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
   </xsl:call-template>
   
   <!-- ############################## -->
   <!-- Element <Brush> von ObjOcc     -->
   <!-- ############################## -->
   <xsl:element name="Brush">
      <!-- ############################## -->
      <!-- Attribut 'Color' von <Brush>   -->
      <!-- ############################## -->
      <xsl:attribute name="Color">
         <!-- ##################################################### -->
         <!-- Die Reihenfolge der Farben entspricht der Reihenfolge -->
         <!-- der Farben im SolutionComposer                        -->
         <!-- ##################################################### -->
         <xsl:choose>
            <!-- ############ -->
            <!-- blau         -->
            <!-- ############ -->
            <xsl:when test="($actualBusinessScenarioGroup mod 8)=1">
               <xsl:value-of select="'996633'" />
            </xsl:when>
            
            <!-- ############ -->
            <!-- dunkel blau  -->
            <!-- ############ -->
            <xsl:when test="($actualBusinessScenarioGroup mod 8)=2">
               <xsl:value-of select="'5d0e17'" />
            </xsl:when>
            
            <!-- ############ -->
            <!-- dunkel gruen -->
            <!-- ############ -->
            <xsl:when test="($actualBusinessScenarioGroup mod 8)=3">
               <xsl:value-of select="'194100'" />
            </xsl:when>
            
            <!-- ############ -->
            <!-- gruen        -->
            <!-- ############ -->
            <xsl:when test="($actualBusinessScenarioGroup mod 8)=4">
               <xsl:value-of select="'128020'" />
            </xsl:when>
            
            <!-- ############ -->
            <!-- hell gruen   -->
            <!-- ############ -->
            <xsl:when test="($actualBusinessScenarioGroup mod 8)=5">
               <xsl:value-of select="'6aa76'" />
            </xsl:when>
            
            <!-- ############ -->
            <!-- orange       -->
            <!-- ############ -->
            <xsl:when test="($actualBusinessScenarioGroup mod 8)=6">
               <xsl:value-of select="'36fff'" />
            </xsl:when>
            
            <!-- ############ -->
            <!-- rot          -->
            <!-- ############ -->
            <xsl:when test="($actualBusinessScenarioGroup mod 8)=7">
               <xsl:value-of select="'f00cb'" />
            </xsl:when>
            
            <!-- ############ -->
            <!-- dunkel red   -->
            <!-- ############ -->
            <xsl:when test="($actualBusinessScenarioGroup mod 8)=0">
               <xsl:value-of select="'2d199e'" />
            </xsl:when>
         </xsl:choose>
      </xsl:attribute>
      
      <!-- ############################## -->
      <!-- Attribut 'Style' von <Brush>   -->
      <!-- ############################## -->
      <xsl:attribute name="Style">
         <xsl:value-of select="0" />
      </xsl:attribute>
      
      <!-- ############################## -->
      <!-- Attribut 'Hatch' von <Brush>   -->
      <!-- ############################## -->
      <xsl:attribute name="Hatch">
         <xsl:value-of select="0" />
      </xsl:attribute>
   </xsl:element>
</xsl:template>

<!-- template to print the AttrDef-tags -->
<xsl:template name="printAttrDef">
   <xsl:param name="attrDef.Type" />
   <xsl:param name="attrValue.LocalId" />
   <xsl:param name="attrValue.LocalIdValue" />
   <xsl:param name="actualBlanksToPrint" />
   
   <xsl:call-template name="newLine" />
   <xsl:call-template name="loop">
      <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
   </xsl:call-template>
   
   <xsl:element name="AttrDef">
      <xsl:attribute name="AttrDef.Type">
         <xsl:value-of select="$attrDef.Type" />
      </xsl:attribute>
      
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      
      <!--
       Ausgabe der Attribut-Werte von AttrDef:
       AttrValue
      -->
      <xsl:element name="AttrValue">
         <xsl:attribute name="LocaleId">
            <xsl:value-of select="$attrValue.LocalId" />
         </xsl:attribute>
         <xsl:value-of select="$attrValue.LocalIdValue" />
      </xsl:element>
		<xsl:call-template name="newLine"/>
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
      </xsl:call-template>
   </xsl:element>
</xsl:template>

<!-- ###################################### -->
<!-- Dieses Template dient zur Ausgabe      -->
<!-- einer neuen Zeile                      -->
<!-- ###################################### -->
<xsl:template name="newLine">
   <xsl:text>&#10;</xsl:text>
</xsl:template>

<!-- ###################################### -->
<!-- Dieses Template dient zur Ausgabe von  -->
<!-- Leerzeichen. (Dient zum Einruecken)    -->
<!-- ###################################### -->
<xsl:template name="loop">
   <xsl:param name="blanksToPrint" />
   
   <xsl:choose>
      <xsl:when test="$blanksToPrint &gt; 0">
         <xsl:text> </xsl:text>
         <xsl:call-template name="loop">
            <xsl:with-param name="blanksToPrint" select="$blanksToPrint - 1" />
         </xsl:call-template>
      </xsl:when>
   </xsl:choose>
</xsl:template>

</xsl:stylesheet>