<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output
   encoding="ISO-8859-1"
   indent="yes"
   method="xml"
   omit-xml-declaration="yes"
/>

<xsl:param name="LocaleID" select="1031" />

<xsl:template match="text()"/>

<xsl:template match="/folder[@contentElementType='enterprise-service']">
   <xsl:variable name="blanksToPrint" select="15" />
   <!--
   <xsl:apply-templates select="self::node()/enterprise-service"/>
   -->
   
   <xsl:call-template name="loop">
      <xsl:with-param name="blanksToPrint" select="$blanksToPrint" />
   </xsl:call-template>
   <xsl:element name="Model">
      <xsl:attribute name="Model.ID">
         <xsl:text>ModelEnterpriseService.</xsl:text><xsl:value-of select="@ID" />
      </xsl:attribute>
      
      <xsl:attribute name="Model.Type">
         <xsl:text>MT_EEPC</xsl:text>
      </xsl:attribute>
      
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
      <xsl:element name="Flag">
         <xsl:text>8</xsl:text>
      </xsl:element>
      
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
      <xsl:element name="GUID">
         <xsl:value-of select="self::node()/@ID" />
      </xsl:element>
      
      <!--
      <xsl:call-template name="printAttrDef">
         <xsl:with-param name="attrDef.Type" select="'AT_LUSER'" />
         <xsl:with-param name="attrValue.LocalId" select="$LocaleID" />
         <xsl:with-param name="attrValue.LocalIdValue" select="'system'" />
         <xsl:with-param name="actualBlanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
      
      <xsl:call-template name="printAttrDef">
         <xsl:with-param name="attrDef.Type" select="'AT_LAST_CHNG_2'" />
         <xsl:with-param name="attrValue.LocalId" select="$LocaleID" />
         <xsl:with-param name="attrValue.LocalIdValue" select="$AT_LAST_CHNG_2.Value" />
         <xsl:with-param name="actualBlanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
      -->
      
      <xsl:call-template name="printAttrDef">
         <xsl:with-param name="attrDef.Type" select="'AT_NAME'" />
         <xsl:with-param name="attrValue.LocalId" select="$LocaleID" />
         <xsl:with-param name="attrValue.LocalIdValue" select="./title" />
         <xsl:with-param name="actualBlanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
      
      <!--
      <xsl:call-template name="printAttrDef">
         <xsl:with-param name="attrDef.Type" select="'AT_CREAT_TIME_STMP'" />
         <xsl:with-param name="attrValue.LocalId" select="$LocaleID" />
         <xsl:with-param name="attrValue.LocalIdValue" select="'10:28:51.000;11/04/2005'" />
         <xsl:with-param name="actualBlanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
      
      <xsl:call-template name="printAttrDef">
         <xsl:with-param name="attrDef.Type" select="'AT_CREATOR'" />
         <xsl:with-param name="attrValue.LocalId" select="$LocaleID" />
         <xsl:with-param name="attrValue.LocalIdValue" select="'system'" />
         <xsl:with-param name="actualBlanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
      -->
      
      <xsl:for-each select="self::node()/enterprise-service">
         <xsl:call-template name="printEnterpriseService">
            <xsl:with-param name="blanksToPrint" select="$blanksToPrint" />
         </xsl:call-template>
      </xsl:for-each>
      
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
      <xsl:with-param name="blanksToPrint" select="$blanksToPrint" />
      </xsl:call-template>
   </xsl:element>
   
   <!--
      Hier wird das End-Tag von <Group> geschrieben.
      Der Grund ist, dass die Modelle in die <Group> geschrieben werden
      muessen, zu der sie gehoeren. Wuerden diese stattdessen in einer
      "anderen" <Group> (mit gleicher ID) liegen, wuerde ARIS das nicht
      zulassen, da die ID eingeutig sein muss.
      Die Option disable-output-escaping="yes" ist ziemlich wichtig,
      da sonst "&lt;" statt "<" ausgegeben wird.
      **Das oeffnende Tag wird in [objDefForEnterpriseServices.xsl]< geschrieben**
   -->
   <xsl:call-template name="newLine" />
   <xsl:call-template name="loop">
      <xsl:with-param name="blanksToPrint" select="$blanksToPrint - 3" />
   </xsl:call-template>
   <xsl:text disable-output-escaping="yes">&lt;/Group&gt;</xsl:text>
</xsl:template>

<xsl:template name="printEnterpriseService">
   <xsl:param name="blanksToPrint" />
      
   <xsl:call-template name="printESA">
      <xsl:with-param name="posX" select="65" />
      <xsl:with-param name="posY" select="195" />
      <xsl:with-param name="sizeX" select="455" />
      <xsl:with-param name="sizeY" select="260" />
      <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
   </xsl:call-template>
   
   <xsl:for-each select="self::node()/service-operation">
      <xsl:call-template name="printESAOperation">
         <xsl:with-param name="posX" select="65" />
         <xsl:with-param name="posY" select="195" />
         <xsl:with-param name="sizeX" select="455" />
         <xsl:with-param name="sizeY" select="260" />
         <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
   </xsl:for-each>
</xsl:template>

<xsl:template name="printESA">
   <xsl:param name="posX" />
   <xsl:param name="posY" />
   <xsl:param name="sizeX" />
   <xsl:param name="sizeY" />
   
   <xsl:param name="blanksToPrint" />
   
   <xsl:call-template name="newLine" />
   <xsl:call-template name="loop">
      <xsl:with-param name="blanksToPrint" select="$blanksToPrint" />
   </xsl:call-template>
   
   <xsl:element name="ObjOcc">
      <xsl:attribute name="ObjOcc.ID">
         <xsl:value-of select="concat('ObjOccEnterpriseService.', @ID)" />
      </xsl:attribute>
      <xsl:attribute name="ObjDef.IdRef">
         <xsl:value-of select="concat('ObjDefEnterpriseService.', @ID)" />
      </xsl:attribute>
      <xsl:attribute name="SymbolNum">
         <xsl:text>ST_IS_FUNC</xsl:text>
      </xsl:attribute>
      <xsl:attribute name="Active">
         <xsl:text>YES</xsl:text>
      </xsl:attribute>
      <xsl:attribute name="Shadow">
         <xsl:text>YES</xsl:text>
      </xsl:attribute>
      <xsl:attribute name="Visible">
         <xsl:text>YES</xsl:text>
      </xsl:attribute>
      
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
      <xsl:element name="Size">
         <xsl:attribute name="Size.dX">
            <xsl:value-of select="$sizeX" />
         </xsl:attribute>
         <xsl:attribute name="Size.dY">
            <xsl:value-of select="$sizeY" />
         </xsl:attribute>
      </xsl:element>
      
      <xsl:for-each select="self::node()/service-operation">
         <xsl:call-template name="newLine" />
         <xsl:call-template name="loop">
            <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
         </xsl:call-template>
         
         <xsl:element name="CxnOcc">
            <xsl:attribute name="CxnOcc.ID">
               <xsl:value-of select="concat('CxnOccServiceOperation.', @ID)" />
            </xsl:attribute>
            
            <xsl:attribute name="CxnDef.IdRef">
               <xsl:value-of select="concat('CxnDefServiceOperation.', @ID)" />
            </xsl:attribute>
            
            <xsl:attribute name="ToObjOcc.IdRef">
               <xsl:value-of select="concat('ObjOccESAOperation.', @ID)" />
            </xsl:attribute>
         </xsl:element>
      </xsl:for-each>
      
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
      <xsl:element name="AttrOcc">
         <xsl:attribute name="AttrTypeNum">
            <xsl:value-of select="'AT_NAME'" />
         </xsl:attribute>
         
         <xsl:attribute name="Port">
            <xsl:value-of select="'CENTER'" />
         </xsl:attribute>
         
         <xsl:attribute name="OrderNum">
            <xsl:value-of select="'0'" />
         </xsl:attribute>
         
         <xsl:attribute name="Alignment">
            <xsl:value-of select="'CENTER'" />
         </xsl:attribute>
         
         <xsl:attribute name="SymbolFlag">
            <xsl:value-of select="'TEXT'" />
         </xsl:attribute>
         
         <xsl:attribute name="OffsetX">
            <xsl:value-of select="'0'" />
         </xsl:attribute>
         
         <xsl:attribute name="OffsetY">
            <xsl:value-of select="'0'" />
         </xsl:attribute>
      </xsl:element>
      
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$blanksToPrint" />
      </xsl:call-template>
   </xsl:element>
</xsl:template>

<xsl:template name="printESAOperation">
   <xsl:param name="posX" />
   <xsl:param name="posY" />
   <xsl:param name="sizeX" />
   <xsl:param name="sizeY" />
   
   <xsl:param name="blanksToPrint" />
   
   <xsl:call-template name="newLine" />
   <xsl:call-template name="loop">
      <xsl:with-param name="blanksToPrint" select="$blanksToPrint" />
   </xsl:call-template>
   
   <xsl:element name="ObjOcc">
      <xsl:attribute name="ObjOcc.ID">
         <xsl:value-of select="concat('ObjOccESAOperation.', @ID)" />
      </xsl:attribute>
      <xsl:attribute name="ObjDef.IdRef">
         <xsl:value-of select="concat('ObjDefESAOperation.', @ID)" />
      </xsl:attribute>
      <xsl:attribute name="SymbolNum">
         <xsl:text>ST_OP_1</xsl:text>
      </xsl:attribute>
      <xsl:attribute name="Active">
         <xsl:text>YES</xsl:text>
      </xsl:attribute>
      <xsl:attribute name="Shadow">
         <xsl:text>YES</xsl:text>
      </xsl:attribute>
      <xsl:attribute name="Visible">
         <xsl:text>YES</xsl:text>
      </xsl:attribute>
      
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
      <xsl:element name="Brush">
         <xsl:attribute name="Color">
            <xsl:value-of select="'d2d2d2'" />
         </xsl:attribute>
         
         <xsl:attribute name="Style">
            <xsl:value-of select="'0'" />
         </xsl:attribute>
         
         <xsl:attribute name="Hatch">
            <xsl:value-of select="'0'" />
         </xsl:attribute>
      </xsl:element>
      
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
      <xsl:element name="Size">
         <xsl:attribute name="Size.dX">
            <xsl:value-of select="$sizeX" />
         </xsl:attribute>
         <xsl:attribute name="Size.dY">
            <xsl:value-of select="$sizeY" />
         </xsl:attribute>
      </xsl:element>
      
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
      
      <xsl:element name="AttrOcc">
         <xsl:attribute name="AttrTypeNum">
            <xsl:value-of select="'AT_NAME'" />
         </xsl:attribute>
         
         <xsl:attribute name="Port">
            <xsl:value-of select="'CENTER'" />
         </xsl:attribute>
         
         <xsl:attribute name="OrderNum">
            <xsl:value-of select="'0'" />
         </xsl:attribute>
         
         <xsl:attribute name="Alignment">
            <xsl:value-of select="'CENTER'" />
         </xsl:attribute>
         
         <xsl:attribute name="SymbolFlag">
            <xsl:value-of select="'TEXT'" />
         </xsl:attribute>
         
         <xsl:attribute name="OffsetX">
            <xsl:value-of select="'0'" />
         </xsl:attribute>
         
         <xsl:attribute name="OffsetY">
            <xsl:value-of select="'0'" />
         </xsl:attribute>
      </xsl:element>
      
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$blanksToPrint" />
      </xsl:call-template>
   </xsl:element>
</xsl:template>

<!-- template to print the AttrDef-tags -->
<xsl:template name="printAttrDef">
   <xsl:param name="attrDef.Type" />
   <xsl:param name="attrValue.LocalId" />
   <xsl:param name="attrValue.LocalIdValue" />
   <xsl:param name="actualBlanksToPrint" />
   
   <xsl:call-template name="newLine" />
   <xsl:call-template name="loop">
      <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
   </xsl:call-template>
   
   <xsl:element name="AttrDef">
      <xsl:attribute name="AttrDef.Type">
         <xsl:value-of select="$attrDef.Type" />
      </xsl:attribute>
      
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      
      <!--
       Ausgabe der Attribut-Werte von AttrDef:
       AttrValue
      -->
      <xsl:element name="AttrValue">
         <xsl:attribute name="LocaleId">
            <xsl:value-of select="$attrValue.LocalId" />
         </xsl:attribute>
         <xsl:value-of select="$attrValue.LocalIdValue" />
      </xsl:element>
		<xsl:call-template name="newLine"/>
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
      </xsl:call-template>
   </xsl:element>
</xsl:template>

<!-- ###################################### -->
<!-- Dieses Template dient zur Ausgabe      -->
<!-- einer neuen Zeile                      -->
<!-- ###################################### -->
<xsl:template name="newLine">
   <xsl:text>&#10;</xsl:text>
</xsl:template>

<!-- ###################################### -->
<!-- Dieses Template dient zur Ausgabe von  -->
<!-- Leerzeichen. (Dient zum Einruecken)    -->
<!-- ###################################### -->
<xsl:template name="loop">
   <xsl:param name="blanksToPrint" />
   
   <xsl:choose>
      <xsl:when test="$blanksToPrint &gt; 0">
         <xsl:text> </xsl:text>
         <xsl:call-template name="loop">
            <xsl:with-param name="blanksToPrint" select="$blanksToPrint - 1" />
         </xsl:call-template>
      </xsl:when>
   </xsl:choose>
</xsl:template>

</xsl:stylesheet>