<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output
   encoding="ISO-8859-1"
   indent="yes"
   method="xml"
   omit-xml-declaration="yes"
/>

<xsl:param name="LocaleID" select="1031" />

<xsl:template match="text()"/>

<xsl:template match="/esaOverview[folder]">
   <xsl:variable name="blanksToPrint" select="12" />
   <!--
   <xsl:apply-templates select="self::node()/enterprise-service"/>
   -->
   
   <xsl:call-template name="loop">
      <xsl:with-param name="blanksToPrint" select="$blanksToPrint" />
   </xsl:call-template>
   <xsl:element name="Model">
      <xsl:attribute name="Model.ID">
         <xsl:text>ModelESAOverview.</xsl:text><xsl:value-of select="@ID" />
      </xsl:attribute>
      
      <xsl:attribute name="Model.Type">
         <xsl:text>MT_EEPC</xsl:text>
      </xsl:attribute>
      
      <!--
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
      <xsl:element name="Flag">
         <xsl:text>8</xsl:text>
      </xsl:element>
      -->
      
      <!-- ############### -->
      <!-- GUID            -->
      <!-- ############### -->
      <xsl:element name="GUID">
         <xsl:value-of select="concat('[ModelESAOverview.', @ID, ']')" />
      </xsl:element>
      
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
      
      
      <!--
      <xsl:call-template name="printAttrDef">
         <xsl:with-param name="attrDef.Type" select="'AT_LUSER'" />
         <xsl:with-param name="attrValue.LocalId" select="$LocaleID" />
         <xsl:with-param name="attrValue.LocalIdValue" select="'system'" />
         <xsl:with-param name="actualBlanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
      
      <xsl:call-template name="printAttrDef">
         <xsl:with-param name="attrDef.Type" select="'AT_LAST_CHNG_2'" />
         <xsl:with-param name="attrValue.LocalId" select="$LocaleID" />
         <xsl:with-param name="attrValue.LocalIdValue" select="$AT_LAST_CHNG_2.Value" />
         <xsl:with-param name="actualBlanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
      -->
      
      <xsl:call-template name="printAttrDef">
         <xsl:with-param name="attrDef.Type" select="'AT_NAME'" />
         <xsl:with-param name="attrValue.LocalId" select="$LocaleID" />
         <xsl:with-param name="attrValue.LocalIdValue" select="'EnterpriseServiceOverview'" />
         <xsl:with-param name="actualBlanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
      
      <!--
      <xsl:call-template name="printAttrDef">
         <xsl:with-param name="attrDef.Type" select="'AT_CREAT_TIME_STMP'" />
         <xsl:with-param name="attrValue.LocalId" select="$LocaleID" />
         <xsl:with-param name="attrValue.LocalIdValue" select="'10:28:51.000;11/04/2005'" />
         <xsl:with-param name="actualBlanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
      
      <xsl:call-template name="printAttrDef">
         <xsl:with-param name="attrDef.Type" select="'AT_CREATOR'" />
         <xsl:with-param name="attrValue.LocalId" select="$LocaleID" />
         <xsl:with-param name="attrValue.LocalIdValue" select="'system'" />
         <xsl:with-param name="actualBlanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
      -->
      
      <xsl:for-each select="self::node()/folder">
         <xsl:sort select="self::node()/title" />
            <xsl:call-template name="printESAGroupOcc">
               <xsl:with-param name="posX" select="50" />
               <xsl:with-param name="posY" select="150" />
               <xsl:with-param name="sizeX" select="350" />
               <xsl:with-param name="sizeY" select="200" />
               <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
            </xsl:call-template>
      </xsl:for-each>
      
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
      <xsl:with-param name="blanksToPrint" select="$blanksToPrint" />
      </xsl:call-template>
   </xsl:element>
</xsl:template>

<xsl:template name="printESAGroupOcc">
   <xsl:param name="posX" />
   <xsl:param name="posY" />
   <xsl:param name="sizeX" />
   <xsl:param name="sizeY" />
   
   <xsl:param name="blanksToPrint" />
   
   <xsl:variable name="actualRow" select="position()" />
   
   <xsl:call-template name="newLine" />
   <xsl:call-template name="loop">
      <xsl:with-param name="blanksToPrint" select="$blanksToPrint" />
   </xsl:call-template>
   
   <xsl:element name="ObjOcc">
      <xsl:attribute name="ObjOcc.ID">
         <xsl:value-of select="concat('ObjOccESAGroup.', @ID)" />
      </xsl:attribute>
      <xsl:attribute name="ObjDef.IdRef">
         <xsl:value-of select="concat('ObjDefESAFolder.', @ID)" />
      </xsl:attribute>
      <xsl:attribute name="SymbolNum">
         <xsl:text>ST_FUNC_TRG</xsl:text>
      </xsl:attribute>
      <xsl:attribute name="Active">
         <xsl:text>YES</xsl:text>
      </xsl:attribute>
      <xsl:attribute name="Shadow">
         <xsl:text>YES</xsl:text>
      </xsl:attribute>
      <xsl:attribute name="Visible">
         <xsl:text>YES</xsl:text>
      </xsl:attribute>
      
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
      <xsl:element name="Brush">
         <xsl:attribute name="Color">
            <xsl:value-of select="'96ffff'" />
         </xsl:attribute>
         
         <xsl:attribute name="Style">
            <xsl:value-of select="'0'" />
         </xsl:attribute>
         
         <xsl:attribute name="Hatch">
            <xsl:value-of select="'0'" />
         </xsl:attribute>
      </xsl:element>
      
      <xsl:call-template name="newLine" />
         <xsl:call-template name="loop">
            <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
         </xsl:call-template>
         
         <!-- ############################## -->
         <!-- Element <Position> von ObjOcc  -->
         <!-- ############################## -->
         <xsl:element name="Position">
            <!-- ############################## -->
            <!-- Attribut 'Pos.X' von           -->
            <!-- <Position>                     -->
            <!-- ############################## -->
            <xsl:attribute name="Pos.X">
               <xsl:value-of select="$posX" />
            </xsl:attribute>
            
            <!-- ############################## -->
            <!-- Attribut 'Pos.Y' von           -->
            <!-- <Position>                     -->
            <!-- ############################## -->
            <xsl:attribute name="Pos.Y">
               <xsl:value-of select="($actualRow - 1) * 300 + $posY" />
            </xsl:attribute>
         </xsl:element>
      
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
      <xsl:element name="Size">
         <xsl:attribute name="Size.dX">
            <xsl:value-of select="$sizeX" />
         </xsl:attribute>
         <xsl:attribute name="Size.dY">
            <xsl:value-of select="$sizeY" />
         </xsl:attribute>
      </xsl:element>
      
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
      
      <xsl:element name="AttrOcc">
         <xsl:attribute name="AttrTypeNum">
            <xsl:value-of select="'AT_NAME'" />
         </xsl:attribute>
         
         <xsl:attribute name="Port">
            <xsl:value-of select="'CENTER'" />
         </xsl:attribute>
         
         <xsl:attribute name="OrderNum">
            <xsl:value-of select="'0'" />
         </xsl:attribute>
         
         <xsl:attribute name="Alignment">
            <xsl:value-of select="'CENTER'" />
         </xsl:attribute>
         
         <xsl:attribute name="SymbolFlag">
            <xsl:value-of select="'TEXT'" />
         </xsl:attribute>
         
         <xsl:attribute name="OffsetX">
            <xsl:value-of select="'0'" />
         </xsl:attribute>
         
         <xsl:attribute name="OffsetY">
            <xsl:value-of select="'0'" />
         </xsl:attribute>
      </xsl:element>
      
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$blanksToPrint" />
      </xsl:call-template>
   </xsl:element>
</xsl:template>


<!-- ###################################### -->
<!-- Dieses Template dient zur Ausgabe von  -->
<!-- ObjDefs.                               -->
<!-- Es werden aber auch die Tags <CxnDef>  -->
<!-- fuer die KPIs erzeugt. Diese gehoeren  -->
<!-- aber nur zu den BusinessScenarien      -->
<!-- ###################################### -->
<xsl:template name="printObjDef">
   <xsl:param name="attrObjDefID.Value" />
   <xsl:param name="attrTypeNum.Value" />
   <xsl:param name="attrLinkedModelsIdRefs.Value" />
   <xsl:param name="attrSymbolNum.Value" />
   <xsl:param name="attrLocalID.Value" />
   
   <xsl:param name="GUID" />
   <!--
   <xsl:param name="AT_LAST_CHNG_2.Value" />
   -->
   <xsl:param name="AT_LUSER.Value" />
   <xsl:param name="AT_CREATOR.Value" />
   <xsl:param name="AT_CREAT_TIME_STMP.Value" />
   <xsl:param name="AT_NAME.Value" />
   
   <xsl:param name="actualBlanksToPrint" />
   
   <!-- Erzeugung des ObjDef-Elements -->
   <xsl:element name="ObjDef">
      <!-- ObjDef.ID -->
      <xsl:attribute name="ObjDef.ID">
         <xsl:value-of select="$attrObjDefID.Value" />
      </xsl:attribute>
      
      <!-- TypeNum -->
      <xsl:attribute name="TypeNum">
         <xsl:value-of select="$attrTypeNum.Value" />
      </xsl:attribute>
      
      <!-- LinkedModels.IdRefs -->
      <xsl:attribute name="LinkedModels.IdRefs">
         <xsl:value-of select="$attrLinkedModelsIdRefs.Value" />
      </xsl:attribute>
      
      <!-- ############### -->
      <!-- SymbolNum       -->
      <!-- ############### -->
      <xsl:attribute name="SymbolNum">
         <xsl:value-of select="$attrSymbolNum.Value" />
      </xsl:attribute>
      
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      
      <!-- ############### -->
      <!-- GUID            -->
      <!-- ############### -->
      <xsl:element name="GUID">
         <xsl:value-of select="$GUID" />
      </xsl:element>
      
      <!-- ############### -->
      <!-- AT_LAST_CHNG_2  -->
      <!-- ############### -->
      <!--
      <xsl:call-template name="printAttrDef">
         <xsl:with-param name="attrDef.Type" select="'AT_LAST_CHNG_2'" />
         <xsl:with-param name="attrValue.LocalId" select="$attrLocalID.Value" />
         <xsl:with-param name="attrValue.LocalIdValue" select="$AT_LAST_CHNG_2.Value" />
         <xsl:with-param name="actualBlanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      -->
      <!-- ############### -->
      <!-- AT_LUSER        -->
      <!-- ############### -->
      <!--
      <xsl:call-template name="printAttrDef">
         <xsl:with-param name="attrDef.Type" select="'AT_LUSER'" />
         <xsl:with-param name="attrValue.LocalId" select="$attrLocalID.Value" />
         <xsl:with-param name="attrValue.LocalIdValue" select="$AT_LUSER.Value" />
         <xsl:with-param name="actualBlanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      -->
      <!-- ############### -->
      <!-- AT_CREATOR      -->
      <!-- ############### -->
      <!--
      <xsl:call-template name="printAttrDef">
         <xsl:with-param name="attrDef.Type" select="'AT_CREATOR'" />
         <xsl:with-param name="attrValue.LocalId" select="$attrLocalID.Value" />
         <xsl:with-param name="attrValue.LocalIdValue" select="$AT_CREATOR.Value" />
         <xsl:with-param name="actualBlanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      -->
      <!-- ################## -->
      <!-- AT_CREAT_TIME_STMP -->
      <!-- ################## -->
      <!--
      <xsl:call-template name="printAttrDef">
         <xsl:with-param name="attrDef.Type" select="'AT_CREAT_TIME_STMP'" />
         <xsl:with-param name="attrValue.LocalId" select="$attrLocalID.Value" />
         <xsl:with-param name="attrValue.LocalIdValue" select="$AT_CREAT_TIME_STMP.Value" />
         <xsl:with-param name="actualBlanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      -->
      <!-- ################## -->
      <!-- AT_NAME            -->
      <!-- ################## -->
      <xsl:call-template name="printAttrDef">
         <xsl:with-param name="attrDef.Type" select="'AT_NAME'" />
         <xsl:with-param name="attrValue.LocalId" select="$attrLocalID.Value" />
         <xsl:with-param name="attrValue.LocalIdValue" select="$AT_NAME.Value" />
         <xsl:with-param name="actualBlanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
      </xsl:call-template>
   </xsl:element>
</xsl:template>

<!-- ###################################### -->
<!-- Dieses Template dient zur Ausgabe der  -->
<!-- Tas <AttrDef>. Zu deb <AttrDef>s       -->
<!-- werden auch die zugehoerigen           -->
<!-- <AttrValue>-Tags erzeugt.              -->
<!-- ###################################### -->
<xsl:template name="printAttrDef">
   <xsl:param name="attrDef.Type" />
   <xsl:param name="attrValue.LocalId" />
   <xsl:param name="attrValue.LocalIdValue" />
   <xsl:param name="actualBlanksToPrint" />
   
   <xsl:call-template name="newLine" />
   <xsl:call-template name="loop">
      <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
   </xsl:call-template>
   
   <!-- ################################# -->
   <!-- Erzeugung der Tags <AttrDef>      -->
   <!-- ################################# -->
   <xsl:element name="AttrDef">
      <xsl:attribute name="AttrDef.Type">
         <xsl:value-of select="$attrDef.Type" />
      </xsl:attribute>
      
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      
      <!-- ################################# -->
      <!-- Erzeugung der Tags <AttrValue>    -->
      <!-- ################################# -->
      <xsl:element name="AttrValue">
         <xsl:attribute name="LocaleId">
            <xsl:value-of select="$attrValue.LocalId" />
         </xsl:attribute>
         <xsl:value-of select="$attrValue.LocalIdValue" />
      </xsl:element>
      
		<xsl:call-template name="newLine"/>
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
      </xsl:call-template>
   </xsl:element>
</xsl:template>

<!-- ###################################### -->
<!-- Dieses Template dient zur Ausgabe      -->
<!-- einer neuen Zeile                      -->
<!-- ###################################### -->
<xsl:template name="newLine">
   <xsl:text>&#10;</xsl:text>
</xsl:template>

<!-- ###################################### -->
<!-- Dieses Template dient zur Ausgabe von  -->
<!-- Leerzeichen. (Dient zum Einruecken)    -->
<!-- ###################################### -->
<xsl:template name="loop">
   <xsl:param name="blanksToPrint" />
   
   <xsl:choose>
      <xsl:when test="$blanksToPrint &gt; 0">
         <xsl:text> </xsl:text>
         <xsl:call-template name="loop">
            <xsl:with-param name="blanksToPrint" select="$blanksToPrint - 1" />
         </xsl:call-template>
      </xsl:when>
   </xsl:choose>
</xsl:template>

</xsl:stylesheet>