<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output
   encoding="ISO-8859-1"
   indent="yes"
   method="xml"
   omit-xml-declaration="yes"
/>

<xsl:param name="LocaleID" select="1031" />

<xsl:template match="text()"/>

<xsl:template match="/temp">
   <!-- SolutionMap - ValueChain -->
   <xsl:call-template name="printFontStyle">
      <xsl:with-param name="FontSS.ID" select="'FontSS.SolutionMap.ValueChain'" />
      <xsl:with-param name="AttrDef.Type" select="'AT_NAME'" />
      <xsl:with-param name="AttrValue.LocaleId" select="$LocaleID" />
      <xsl:with-param name="AttrValue.Name" select="'SolutionMap - ValueChain'" />
      
      <xsl:with-param name="FontNode.LocaleId" select="$LocaleID" />
      <xsl:with-param name="FontNode.FaceName" select="'Arial'" />
      <xsl:with-param name="FontNode.Height" select="-11" />
      <xsl:with-param name="FontNode.Width" select="0" />
      <xsl:with-param name="FontNode.Escapement" select="0" />
      <xsl:with-param name="FontNode.Orientation" select="0" />
      <xsl:with-param name="FontNode.Weight" select="400" />
      <xsl:with-param name="FontNode.Italic" select="'NO'" />
      <xsl:with-param name="FontNode.Underline" select="'NO'" />
      <xsl:with-param name="FontNode.StrikeOut" select="'NO'" />
      <xsl:with-param name="FontNode.CharSet" select="0" />
      <xsl:with-param name="FontNode.OutPrecision" select="3" />
      <xsl:with-param name="FontNode.ClipPrecision" select="2" />
      <xsl:with-param name="FontNode.Quality" select="1" />
      <xsl:with-param name="FontNode.PitchAndFamily" select="34" />
      <xsl:with-param name="FontNode.Color" select="'0'" />
   </xsl:call-template>
   
   <!-- SolutionMap - Process Category -->
   <xsl:call-template name="printFontStyle">
      <xsl:with-param name="FontSS.ID" select="'FontSS.SolutionMap.ProcessCategory'" />
      <xsl:with-param name="AttrDef.Type" select="'AT_NAME'" />
      <xsl:with-param name="AttrValue.LocaleId" select="$LocaleID" />
      <xsl:with-param name="AttrValue.Name" select="'SolutionMap - Process Category'" />
      
      <xsl:with-param name="FontNode.LocaleId" select="$LocaleID" />
      <xsl:with-param name="FontNode.FaceName" select="'Arial'" />
      <xsl:with-param name="FontNode.Height" select="-11" />
      <xsl:with-param name="FontNode.Width" select="0" />
      <xsl:with-param name="FontNode.Escapement" select="0" />
      <xsl:with-param name="FontNode.Orientation" select="0" />
      <xsl:with-param name="FontNode.Weight" select="700" />
      <xsl:with-param name="FontNode.Italic" select="'NO'" />
      <xsl:with-param name="FontNode.Underline" select="'NO'" />
      <xsl:with-param name="FontNode.StrikeOut" select="'NO'" />
      <xsl:with-param name="FontNode.CharSet" select="0" />
      <xsl:with-param name="FontNode.OutPrecision" select="3" />
      <xsl:with-param name="FontNode.ClipPrecision" select="2" />
      <xsl:with-param name="FontNode.Quality" select="1" />
      <xsl:with-param name="FontNode.PitchAndFamily" select="34" />
      <xsl:with-param name="FontNode.Color" select="'ff0000'" />
   </xsl:call-template>
   
   <!-- SolutionMap - Business Scenario -->
   <xsl:call-template name="printFontStyle">
      <xsl:with-param name="FontSS.ID" select="'FontSS.SolutionMap.Business.Scenario'" />
      <xsl:with-param name="AttrDef.Type" select="'AT_NAME'" />
      <xsl:with-param name="AttrValue.LocaleId" select="$LocaleID" />
      <xsl:with-param name="AttrValue.Name" select="'SolutionMap - Business Scenario'" />
      
      <xsl:with-param name="FontNode.LocaleId" select="$LocaleID" />
      <xsl:with-param name="FontNode.FaceName" select="'Arial'" />
      <xsl:with-param name="FontNode.Height" select="-11" />
      <xsl:with-param name="FontNode.Width" select="0" />
      <xsl:with-param name="FontNode.Escapement" select="0" />
      <xsl:with-param name="FontNode.Orientation" select="0" />
      <xsl:with-param name="FontNode.Weight" select="400" />
      <xsl:with-param name="FontNode.Italic" select="'NO'" />
      <xsl:with-param name="FontNode.Underline" select="'NO'" />
      <xsl:with-param name="FontNode.StrikeOut" select="'NO'" />
      <xsl:with-param name="FontNode.CharSet" select="0" />
      <xsl:with-param name="FontNode.OutPrecision" select="3" />
      <xsl:with-param name="FontNode.ClipPrecision" select="2" />
      <xsl:with-param name="FontNode.Quality" select="1" />
      <xsl:with-param name="FontNode.PitchAndFamily" select="34" />
      <xsl:with-param name="FontNode.Color" select="'ffffff'" />
   </xsl:call-template>
   
   <!-- SolutionMap - Business Scenario Group -->
   <xsl:call-template name="printFontStyle">
      <xsl:with-param name="FontSS.ID" select="'FontSS.SolutionMap.Business.Scenario.Group'" />
      <xsl:with-param name="AttrDef.Type" select="'AT_NAME'" />
      <xsl:with-param name="AttrValue.LocaleId" select="$LocaleID" />
      <xsl:with-param name="AttrValue.Name" select="'SolutionMap - Business Scenario Group'" />
      
      <xsl:with-param name="FontNode.LocaleId" select="$LocaleID" />
      <xsl:with-param name="FontNode.FaceName" select="'Arial'" />
      <xsl:with-param name="FontNode.Height" select="-11" />
      <xsl:with-param name="FontNode.Width" select="0" />
      <xsl:with-param name="FontNode.Escapement" select="0" />
      <xsl:with-param name="FontNode.Orientation" select="0" />
      <xsl:with-param name="FontNode.Weight" select="700" />
      <xsl:with-param name="FontNode.Italic" select="'NO'" />
      <xsl:with-param name="FontNode.Underline" select="'NO'" />
      <xsl:with-param name="FontNode.StrikeOut" select="'NO'" />
      <xsl:with-param name="FontNode.CharSet" select="0" />
      <xsl:with-param name="FontNode.OutPrecision" select="3" />
      <xsl:with-param name="FontNode.ClipPrecision" select="2" />
      <xsl:with-param name="FontNode.Quality" select="1" />
      <xsl:with-param name="FontNode.PitchAndFamily" select="34" />
      <xsl:with-param name="FontNode.Color" select="'ffffff'" />
   </xsl:call-template>
   
   <!-- SolutionMap - Management &amp; Support Group -->
   <xsl:call-template name="printFontStyle">
      <xsl:with-param name="FontSS.ID" select="'FontSS.SolutionMap.Management.Support.Group'" />
      <xsl:with-param name="AttrDef.Type" select="'AT_NAME'" />
      <xsl:with-param name="AttrValue.LocaleId" select="$LocaleID" />
      <xsl:with-param name="AttrValue.Name" select="'SolutionMap - Management &amp; Support Group'" />
      
      <xsl:with-param name="FontNode.LocaleId" select="$LocaleID" />
      <xsl:with-param name="FontNode.FaceName" select="'Arial'" />
      <xsl:with-param name="FontNode.Height" select="-11" />
      <xsl:with-param name="FontNode.Width" select="0" />
      <xsl:with-param name="FontNode.Escapement" select="0" />
      <xsl:with-param name="FontNode.Orientation" select="0" />
      <xsl:with-param name="FontNode.Weight" select="700" />
      <xsl:with-param name="FontNode.Italic" select="'NO'" />
      <xsl:with-param name="FontNode.Underline" select="'NO'" />
      <xsl:with-param name="FontNode.StrikeOut" select="'NO'" />
      <xsl:with-param name="FontNode.CharSet" select="0" />
      <xsl:with-param name="FontNode.OutPrecision" select="3" />
      <xsl:with-param name="FontNode.ClipPrecision" select="2" />
      <xsl:with-param name="FontNode.Quality" select="1" />
      <xsl:with-param name="FontNode.PitchAndFamily" select="34" />
      <xsl:with-param name="FontNode.Color" select="'0'" />
   </xsl:call-template>
   
   <!-- SolutionMap - Process -->
   <xsl:call-template name="printFontStyle">
      <xsl:with-param name="FontSS.ID" select="'FontSS.SolutionMap.Process'" />
      <xsl:with-param name="AttrDef.Type" select="'AT_NAME'" />
      <xsl:with-param name="AttrValue.LocaleId" select="$LocaleID" />
      <xsl:with-param name="AttrValue.Name" select="'SolutionMap - Process'" />
      
      <xsl:with-param name="FontNode.LocaleId" select="$LocaleID" />
      <xsl:with-param name="FontNode.FaceName" select="'Arial'" />
      <xsl:with-param name="FontNode.Height" select="-11" />
      <xsl:with-param name="FontNode.Width" select="0" />
      <xsl:with-param name="FontNode.Escapement" select="0" />
      <xsl:with-param name="FontNode.Orientation" select="0" />
      <xsl:with-param name="FontNode.Weight" select="700" />
      <xsl:with-param name="FontNode.Italic" select="'NO'" />
      <xsl:with-param name="FontNode.Underline" select="'NO'" />
      <xsl:with-param name="FontNode.StrikeOut" select="'NO'" />
      <xsl:with-param name="FontNode.CharSet" select="0" />
      <xsl:with-param name="FontNode.OutPrecision" select="3" />
      <xsl:with-param name="FontNode.ClipPrecision" select="2" />
      <xsl:with-param name="FontNode.Quality" select="1" />
      <xsl:with-param name="FontNode.PitchAndFamily" select="34" />
      <xsl:with-param name="FontNode.Color" select="'0'" />
   </xsl:call-template>
   
   <!-- SolutionMap - Management &amp; Support -->
   <xsl:call-template name="printFontStyle">
      <xsl:with-param name="FontSS.ID" select="'FontSS.SolutionMap.Management.Support'" />
      <xsl:with-param name="AttrDef.Type" select="'AT_NAME'" />
      <xsl:with-param name="AttrValue.LocaleId" select="$LocaleID" />
      <xsl:with-param name="AttrValue.Name" select="'SolutionMap - Management &amp; Support'" />
      
      <xsl:with-param name="FontNode.LocaleId" select="$LocaleID" />
      <xsl:with-param name="FontNode.FaceName" select="'Arial'" />
      <xsl:with-param name="FontNode.Height" select="-11" />
      <xsl:with-param name="FontNode.Width" select="0" />
      <xsl:with-param name="FontNode.Escapement" select="0" />
      <xsl:with-param name="FontNode.Orientation" select="0" />
      <xsl:with-param name="FontNode.Weight" select="400" />
      <xsl:with-param name="FontNode.Italic" select="'NO'" />
      <xsl:with-param name="FontNode.Underline" select="'NO'" />
      <xsl:with-param name="FontNode.StrikeOut" select="'NO'" />
      <xsl:with-param name="FontNode.CharSet" select="0" />
      <xsl:with-param name="FontNode.OutPrecision" select="3" />
      <xsl:with-param name="FontNode.ClipPrecision" select="2" />
      <xsl:with-param name="FontNode.Quality" select="1" />
      <xsl:with-param name="FontNode.PitchAndFamily" select="34" />
      <xsl:with-param name="FontNode.Color" select="'0'" />
   </xsl:call-template>
   
</xsl:template>

<xsl:template name="printFontStyle">
   <xsl:param name="FontSS.ID" />
   
   <xsl:param name="AttrDef.Type" />
   
   <xsl:param name="AttrValue.LocaleId" />
   <xsl:param name="AttrValue.Name" />
   
   <xsl:param name="FontNode.LocaleId" />
   <xsl:param name="FontNode.FaceName" />
   <xsl:param name="FontNode.Height" />
   <xsl:param name="FontNode.Width" />
   <xsl:param name="FontNode.Escapement" />
   <xsl:param name="FontNode.Orientation" />
   <xsl:param name="FontNode.Weight" />
   <xsl:param name="FontNode.Italic" />
   <xsl:param name="FontNode.Underline" />
   <xsl:param name="FontNode.StrikeOut" />
   <xsl:param name="FontNode.CharSet" />
   <xsl:param name="FontNode.OutPrecision" />
   <xsl:param name="FontNode.ClipPrecision" />
   <xsl:param name="FontNode.Quality" />
   <xsl:param name="FontNode.PitchAndFamily" />
   <xsl:param name="FontNode.Color" />
   
   <xsl:element name="FontStyleSheet">
      <xsl:attribute name="FontSS.ID">
         <xsl:value-of select="$FontSS.ID" />
      </xsl:attribute>
      
      <xsl:element name="GUID">
         <xsl:value-of select="concat('[', $FontSS.ID, ']')" />
      </xsl:element>
      
      <xsl:element name="AttrDef">
         <xsl:attribute name="AttrDef.Type">
            <xsl:value-of select="$AttrDef.Type" />
         </xsl:attribute>
         
         <xsl:element name="AttrValue">
            <xsl:attribute name="LocaleId">
               <xsl:value-of select="$AttrValue.LocaleId" />
            </xsl:attribute>
            <xsl:value-of select="$AttrValue.Name" />
         </xsl:element>
      </xsl:element>
      
      <xsl:element name="FontNode">
         <xsl:attribute name="LocaleId">
            <xsl:value-of select="$FontNode.LocaleId" />
         </xsl:attribute>
         
         <xsl:attribute name="FaceName">
            <xsl:value-of select="$FontNode.FaceName" />
         </xsl:attribute>
         
         <xsl:attribute name="Height">
            <xsl:value-of select="$FontNode.Height" />
         </xsl:attribute>
         
         <xsl:attribute name="Width">
            <xsl:value-of select="$FontNode.Width" />
         </xsl:attribute>
         
         <xsl:attribute name="Escapement">
            <xsl:value-of select="$FontNode.Escapement" />
         </xsl:attribute>
         
         <xsl:attribute name="Orientation">
            <xsl:value-of select="$FontNode.Orientation" />
         </xsl:attribute>
         
         <xsl:attribute name="Weight">
            <xsl:value-of select="$FontNode.Weight" />
         </xsl:attribute>
         
         <xsl:attribute name="Italic">
            <xsl:value-of select="$FontNode.Italic" />
         </xsl:attribute>
         
         <xsl:attribute name="Underline">
            <xsl:value-of select="$FontNode.Underline" />
         </xsl:attribute>
         
         <xsl:attribute name="StrikeOut">
            <xsl:value-of select="$FontNode.StrikeOut" />
         </xsl:attribute>
         
         <xsl:attribute name="CharSet">
            <xsl:value-of select="$FontNode.CharSet" />
         </xsl:attribute>
         
         <xsl:attribute name="OutPrecision">
            <xsl:value-of select="$FontNode.OutPrecision" />
         </xsl:attribute>
         
         <xsl:attribute name="ClipPrecision">
            <xsl:value-of select="$FontNode.ClipPrecision" />
         </xsl:attribute>
         
         <xsl:attribute name="Quality">
            <xsl:value-of select="$FontNode.Quality" />
         </xsl:attribute>
         
         <xsl:attribute name="PitchAndFamily">
            <xsl:value-of select="$FontNode.PitchAndFamily" />
         </xsl:attribute>
         
         <xsl:attribute name="Color">
            <xsl:value-of select="$FontNode.Color" />
         </xsl:attribute>
      </xsl:element>
   </xsl:element>
</xsl:template>

</xsl:stylesheet>