<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output
   encoding="ISO-8859-1"
   indent="yes"
   method="xml"
   omit-xml-declaration="yes"
/>

<xsl:param name="LocaleID" select="1031" />

<xsl:template match="text()"/>

<xsl:template match="/solutionmap[folder]">
   <xsl:apply-templates select="self::node()/folder[level0-item]"/>   
</xsl:template>

<xsl:template match="/solutionmap/folder[level0-item]">
   <xsl:variable name="blanksToPrint">
      <xsl:value-of select="18" />
   </xsl:variable>
   <xsl:call-template name="loop">
      <xsl:with-param name="blanksToPrint" select="$blanksToPrint" />
   </xsl:call-template>
   
   <xsl:element name="Model">
      <xsl:attribute name="Model.ID">
         <xsl:text>ModelMangementAndSupport.</xsl:text><xsl:value-of select="self::node()/@ID" />
      </xsl:attribute>
      <xsl:attribute name="Model.Type">
         <xsl:text>MT_VAL_ADD_CHN_DGM</xsl:text>
      </xsl:attribute>
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
      
      <!-- ############### -->
      <!-- GUID            -->
      <!-- ############### -->
      <GUID>
         <xsl:value-of select="self::node()/@ID" />
      </GUID>
      
      <!--
      <xsl:call-template name="printAttrDef">
         <xsl:with-param name="attrDef.Type" select="'AT_LUSER'" />
         <xsl:with-param name="attrValue.LocalId" select="$LocaleID" />
         <xsl:with-param name="attrValue.LocalIdValue" select="'system'" />
         <xsl:with-param name="actualBlanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
      
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
      
      <xsl:call-template name="printAttrDef">
         <xsl:with-param name="attrDef.Type" select="'AT_LAST_CHNG_2'" />
         <xsl:with-param name="attrValue.LocalId" select="$LocaleID" />
         <xsl:with-param name="attrValue.LocalIdValue" select="$AT_LAST_CHNG_2.Value" />
         <xsl:with-param name="actualBlanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
      
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
      -->
      <xsl:call-template name="printAttrDef">
         <xsl:with-param name="attrDef.Type" select="'AT_NAME'" />
         <xsl:with-param name="attrValue.LocalId" select="$LocaleID" />
         <xsl:with-param name="attrValue.LocalIdValue" select="concat(../title, '_EM&amp;S')" />
         <xsl:with-param name="actualBlanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
      
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
      <!--
      <xsl:call-template name="printAttrDef">
         <xsl:with-param name="attrDef.Type" select="'AT_CREAT_TIME_STMP'" />
         <xsl:with-param name="attrValue.LocalId" select="$LocaleID" />
         <xsl:with-param name="attrValue.LocalIdValue" select="'10:28:51.000;11/04/2005'" />
         <xsl:with-param name="actualBlanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
      
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
      -->
      <!--
      <xsl:call-template name="printAttrDef">
         <xsl:with-param name="attrDef.Type" select="'AT_TEMPLATE'" />
         <xsl:with-param name="attrValue.LocalId" select="$LocaleID" />
         <xsl:with-param name="attrValue.LocalIdValue" select="'2ed57d10-68c8-11d7-5d85-000bcd25c95f;0'" />
         <xsl:with-param name="actualBlanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
      
      
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
      -->
      <xsl:call-template name="printAttrDef">
         <xsl:with-param name="attrDef.Type" select="'AT_CREATOR'" />
         <xsl:with-param name="attrValue.LocalId" select="$LocaleID" />
         <xsl:with-param name="attrValue.LocalIdValue" select="'system'" />
         <xsl:with-param name="actualBlanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
      
      <!-- Ausgabe der Scenario-Groups -->
      
      <xsl:for-each select="level0-item">
         <xsl:call-template name="printLevel0Item">
            <xsl:with-param name="posX" select="65" />
            <xsl:with-param name="posY" select="195" />
            <xsl:with-param name="sizeX" select="858" />
            <xsl:with-param name="sizeY" select="280" />
            <xsl:with-param name="actualBlanksToPrint" select="$blanksToPrint + 3" />
         </xsl:call-template>
      </xsl:for-each>
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$blanksToPrint" />
      </xsl:call-template>
   </xsl:element>
</xsl:template>


<xsl:template name="printLevel0Item">
   <xsl:param name="posX" />
   <xsl:param name="posY" />
   <xsl:param name="sizeX" />
   <xsl:param name="sizeY" />
   
   <xsl:param name="actualBlanksToPrint" />
   
   <xsl:variable name="actualRow" select="position()" />
   
   <xsl:call-template name="newLine" />
   <xsl:call-template name="loop">
      <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
   </xsl:call-template>
   <xsl:element name="ObjOcc">
      <xsl:attribute name="ObjOcc.ID">
         <xsl:text>ObjOccManagementAndSupport.</xsl:text><xsl:value-of select="@ID" />
      </xsl:attribute>
      <xsl:attribute name="ObjDef.IdRef">
         <xsl:text>ObjDefLevel0-Item.</xsl:text><xsl:value-of select="@ID" />
      </xsl:attribute>
      <xsl:attribute name="SymbolNum">
         <xsl:text>ST_VAL_ADD_CHN_SML_2</xsl:text>
      </xsl:attribute>
      <xsl:attribute name="Active">
         <xsl:text>YES</xsl:text>
      </xsl:attribute>
      <xsl:attribute name="Shadow">
         <xsl:text>YES</xsl:text>
      </xsl:attribute>
      <xsl:attribute name="Visible">
         <xsl:text>YES</xsl:text>
      </xsl:attribute>
      <Pen Color="0" Style="0" Width="3"/>
      <Brush Color="afff" Style="0" Hatch="0"/>
      <xsl:element name="Position">
         <xsl:attribute name="Pos.X">
            <xsl:value-of select="$posX" />
         </xsl:attribute>
         <xsl:attribute name="Pos.Y">
            <xsl:value-of select="($actualRow - 1) * 455 + $posY" />
         </xsl:attribute>
      </xsl:element>
      <xsl:element name="Size">
         <xsl:attribute name="Size.dX">
            <xsl:value-of select="$sizeX" />
         </xsl:attribute>
         <xsl:attribute name="Size.dY">
            <xsl:value-of select="$sizeY" />
         </xsl:attribute>
      </xsl:element>
      <AttrOcc AttrTypeNum="AT_NAME"
            	Port="CENTER"
            	OrderNum="0"
            	Alignment="CENTER"
            	SymbolFlag="TEXT"
            	FontSS.IdRef="FontSS.SolutionMap.Management.Support.Group"
            	OffsetX="0"
            	OffsetY="0"/>
   </xsl:element>
   
   <xsl:for-each select="level1-item">
      <xsl:variable name="actualColumn" select="position()" />
      
      <xsl:element name="ObjOcc">
         <xsl:attribute name="ObjOcc.ID">
            <xsl:text>ObjOcc.</xsl:text><xsl:value-of select="@ID" />
         </xsl:attribute>
         <xsl:attribute name="ObjDef.IdRef">
            <xsl:text>ObjDefLevel1-Item.</xsl:text><xsl:value-of select="@ID" />
         </xsl:attribute>
         <xsl:attribute name="SymbolNum">
            <xsl:text>ST_VAL_ADD_CHN_SML_2</xsl:text>
         </xsl:attribute>
         <xsl:attribute name="Active">
            <xsl:text>YES</xsl:text>
         </xsl:attribute>
         <xsl:attribute name="Shadow">
            <xsl:text>YES</xsl:text>
         </xsl:attribute>
         <xsl:attribute name="Visible">
            <xsl:text>YES</xsl:text>
         </xsl:attribute>
         
         <xsl:element name="Pen">
            <xsl:attribute name="Color">
               <xsl:value-of select="0" />
            </xsl:attribute>
            <xsl:attribute name="Style">
               <xsl:value-of select="0" />
            </xsl:attribute>
            <xsl:attribute name="Width">
               <xsl:value-of select="3" />
            </xsl:attribute>
         </xsl:element>
         
         <xsl:element name="Brush">
            <xsl:attribute name="Color">
               <xsl:value-of select="'dddddd'" />
            </xsl:attribute>
               <xsl:attribute name="Style">
               <xsl:value-of select="0" />
            </xsl:attribute>
            <xsl:attribute name="Hatch">
               <xsl:value-of select="0" />
            </xsl:attribute>
         </xsl:element>  
         
         <!--
         <xsl:call-template name="printColor">
            <xsl:with-param name="actualRow" select="$actualRow" />
         </xsl:call-template>
         -->
         
         <xsl:element name="Position">
            <xsl:attribute name="Pos.X">
               <xsl:value-of select="($actualColumn * 910) + $posX" />
            </xsl:attribute>
            <xsl:attribute name="Pos.Y">
               <xsl:value-of select="($actualRow - 1) * 455 + $posY" />
            </xsl:attribute>
         </xsl:element>
         <xsl:element name="Size">
            <xsl:attribute name="Size.dX">
               <xsl:value-of select="$sizeX" />
            </xsl:attribute>
            <xsl:attribute name="Size.dY">
               <xsl:value-of select="$sizeY" />
            </xsl:attribute>
         </xsl:element>
         
         <AttrOcc AttrTypeNum="AT_NAME"
               	Port="CENTER"
               	OrderNum="0"
               	Alignment="CENTER"
               	SymbolFlag="TEXT"
               	FontSS.IdRef="FontSS.SolutionMap.Management.Support"
               	OffsetX="0"
               	OffsetY="0"/>
      </xsl:element>
		<xsl:call-template name="newLine" />
   </xsl:for-each>
</xsl:template>

<xsl:template name="printColor">
   <xsl:param name="actualRow" />
   
   <xsl:param name="actualBlanksToPrint" />
   
   <xsl:element name="Brush">
      <xsl:attribute name="Color">
         <!-- Die Reihenfolge der Farben entspricht der Reihenfolge der Farben im SolutionComposer -->
         <xsl:choose>
            <!-- blue -->
            <xsl:when test="($actualRow mod 8)=1">
               <xsl:value-of select="'996633'" />
            </xsl:when>
            <!-- dark blue -->
            <xsl:when test="($actualRow mod 8)=2">
               <xsl:value-of select="'5d0e17'" />
            </xsl:when>
            <!-- dark green -->
            <xsl:when test="($actualRow mod 8)=3">
               <xsl:value-of select="'194100'" />
            </xsl:when>
            <!-- green -->
            <xsl:when test="($actualRow mod 8)=4">
               <xsl:value-of select="'128020'" />
            </xsl:when>
            <!-- ligth green -->
            <xsl:when test="($actualRow mod 8)=5">
               <xsl:value-of select="'6aa76'" />
            </xsl:when>
            <!-- orange -->
            <xsl:when test="($actualRow mod 8)=6">
               <xsl:value-of select="'36fff'" />
            </xsl:when>
            <!-- red -->
            <xsl:when test="($actualRow mod 8)=7">
               <xsl:value-of select="'f00cb'" />
            </xsl:when>
            <!-- dark red -->
            <xsl:when test="($actualRow mod 8)=0">
               <xsl:value-of select="'2d199e'" />
            </xsl:when>
         </xsl:choose>
      </xsl:attribute>
      <xsl:attribute name="Style">
         <xsl:value-of select="0" />
      </xsl:attribute>
      <xsl:attribute name="Hatch">
         <xsl:value-of select="0" />
      </xsl:attribute>
   </xsl:element>
</xsl:template>

<!-- template to print the AttrDef-tags -->
<xsl:template name="printAttrDef">
   <xsl:param name="attrDef.Type" />
   <xsl:param name="attrValue.LocalId" />
   <xsl:param name="attrValue.LocalIdValue" />
   <xsl:param name="actualBlanksToPrint" />
   
   <xsl:call-template name="newLine" />
   <xsl:call-template name="loop">
      <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
   </xsl:call-template>
   
   <xsl:element name="AttrDef">
      <xsl:attribute name="AttrDef.Type">
         <xsl:value-of select="$attrDef.Type" />
      </xsl:attribute>
      
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      
      <!--
       Ausgabe der Attribut-Werte von AttrDef:
       AttrValue
      -->
      <xsl:element name="AttrValue">
         <xsl:attribute name="LocaleId">
            <xsl:value-of select="$attrValue.LocalId" />
         </xsl:attribute>
         <xsl:value-of select="$attrValue.LocalIdValue" />
      </xsl:element>
		<xsl:call-template name="newLine"/>
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
      </xsl:call-template>
   </xsl:element>
   
</xsl:template>

<!-- ###################################### -->
<!-- Dieses Template dient zur Ausgabe      -->
<!-- einer neuen Zeile                      -->
<!-- ###################################### -->
<xsl:template name="newLine">
   <xsl:text>&#10;</xsl:text>
</xsl:template>

<!-- ###################################### -->
<!-- Dieses Template dient zur Ausgabe von  -->
<!-- Leerzeichen. (Dient zum Einruecken)    -->
<!-- ###################################### -->
<xsl:template name="loop">
   <xsl:param name="blanksToPrint" />
   
   <xsl:choose>
      <xsl:when test="$blanksToPrint &gt; 0">
         <xsl:text> </xsl:text>
         <xsl:call-template name="loop">
            <xsl:with-param name="blanksToPrint" select="$blanksToPrint - 1" />
         </xsl:call-template>
      </xsl:when>
   </xsl:choose>
</xsl:template>

</xsl:stylesheet>