<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output
   encoding="ISO-8859-1"
   indent="yes"
   method="xml"
   omit-xml-declaration="yes"
/>

<xsl:param name="LocaleID" select="1031" />

<xsl:template match="text()"/>

<xsl:template match="/folder[@contentElementType='business-objective']">
   <xsl:choose>
      <xsl:when test="@contentElementType='business-objective'">
         <xsl:variable name="blanksToPrint">
            <xsl:value-of select="12" />
         </xsl:variable>
         
         <xsl:call-template name="loop">
            <xsl:with-param name="blanksToPrint" select="$blanksToPrint" />
         </xsl:call-template>
         
         <xsl:element name="Group">
            <xsl:attribute name="Group.ID">
               <xsl:value-of select="concat('BusinessObjectives.', @ID)" />
            </xsl:attribute>
            
            <xsl:call-template name="newLine" />
            <xsl:call-template name="loop">
               <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
            </xsl:call-template>
            
            <xsl:element name="AttrDef">
               <xsl:attribute name="AttrDef.Type">
                  <xsl:value-of select="'AT_NAME'" />
               </xsl:attribute>
               
               <xsl:call-template name="newLine" />
               <xsl:call-template name="loop">
                  <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 6" />
               </xsl:call-template>
            
               <xsl:element name="AttrValue">
                  <xsl:attribute name="LocaleId">
                     <xsl:value-of select="$LocaleID" />
                  </xsl:attribute>
                  
                  <xsl:value-of select="self::node()/title" />
               </xsl:element>
               
               <xsl:call-template name="newLine" />
               <xsl:call-template name="loop">
                  <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
               </xsl:call-template>
            </xsl:element>
            
            <xsl:apply-templates select="business-objective">
               <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
            </xsl:apply-templates>
            
            <xsl:call-template name="newLine" />
            <xsl:call-template name="loop">
               <xsl:with-param name="blanksToPrint" select="$blanksToPrint" />
            </xsl:call-template>
         </xsl:element>
      </xsl:when>
   </xsl:choose>
</xsl:template>

<xsl:template match="/folder/business-objective">
   <xsl:param name="blanksToPrint" />
   
   <xsl:call-template name="printObjDef" >
      <xsl:with-param name="attrObjDefID.Value" select="concat('ObjDefBusiness-objective.', @ID)" />
      <xsl:with-param name="attrTypeNum.Value" select="'OT_OBJECTIVE'" />
      <xsl:with-param name="attrSymbolNum.Value" select="'ST_OBJCTV'" />
      <xsl:with-param name="GUID" select="self::node()/@ID" />
      <xsl:with-param name="attrLocalID.Value" select="$LocaleID" />
      <!--
      <xsl:with-param name="AT_LAST_CHNG_2.Value" select="'15:25:32.000;11/07/2005'" />
      -->
      <!--
      <xsl:with-param name="AT_LUSER.Value" select="'system'" />
      <xsl:with-param name="AT_CREATOR.Value" select="'system'" />
      <xsl:with-param name="AT_CREAT_TIME_STMP.Value" select="'15:25:18.000;11/07/2005'" />
      -->
      <xsl:with-param name="AT_NAME.Value" select="self::node()/title" />
      <xsl:with-param name="actualBlanksToPrint" select="$blanksToPrint" />
   </xsl:call-template>
</xsl:template>

<!-- Erzeugt die ObjDefs -->
<xsl:template name="printObjDef">
   <xsl:param name="attrObjDefID.Value" />
   <xsl:param name="attrTypeNum.Value" />
   <xsl:param name="attrLinkedModelsIdRefs.Value" />
   <xsl:param name="attrSymbolNum.Value" />
   <xsl:param name="attrLocalID.Value" />
   
   <xsl:param name="GUID" />
   
   <!--
   <xsl:param name="AT_LAST_CHNG_2.Value" />
   -->
   <xsl:param name="AT_LUSER.Value" />
   <xsl:param name="AT_CREATOR.Value" />
   <xsl:param name="AT_CREAT_TIME_STMP.Value" />
   <xsl:param name="AT_NAME.Value" />
   
   <xsl:param name="actualBlanksToPrint" />
   
   <xsl:call-template name="newLine"/>
   <xsl:call-template name="loop">
      <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
   </xsl:call-template>
   <!-- Erzeugung des ObjDef-Elements -->
   <xsl:element name="ObjDef">
      <!-- ObjDef.ID -->
      <xsl:attribute name="ObjDef.ID">
         <xsl:value-of select="$attrObjDefID.Value" />
      </xsl:attribute>
      
      <!-- TypeNum -->
      <xsl:attribute name="TypeNum">
         <xsl:value-of select="$attrTypeNum.Value" />
      </xsl:attribute>
      
      <!-- LinkedModels.IdRefs -->
      <xsl:choose>
         <!-- 
            Diese Abfrage ist fuer Management & Support
            wichtig. Hier wird ueberprueft, ob das 
            level1-item Prozesse hat. Wenn keine vorhanden
            sind, muessen keine Hinterlegungen erzeugt werden.
          -->
         <xsl:when test="self::node()[process|level2-item]">
            <xsl:if test="not($attrLinkedModelsIdRefs.Value='')">
               <xsl:attribute name="LinkedModels.IdRefs">
                  <xsl:value-of select="$attrLinkedModelsIdRefs.Value" />
               </xsl:attribute>
            </xsl:if>
         </xsl:when>
         <!-- Diese Abfrage war fuer Business-Scenario-Prozesse
         <xsl:when test="not($attrLinkedModelsIdRefs.Value='')">
            <xsl:attribute name="LinkedModels.IdRefs">
               <xsl:value-of select="$attrLinkedModelsIdRefs.Value" />
            </xsl:attribute>
         </xsl:when>
         -->
      </xsl:choose>
      
      <!-- SymbolNum -->
      <xsl:attribute name="SymbolNum">
         <xsl:value-of select="$attrSymbolNum.Value" />
      </xsl:attribute>
      
      <xsl:if test="not($GUID='')">
         <xsl:call-template name="newLine" />
         <xsl:call-template name="loop">
            <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
         </xsl:call-template>
         
         <!-- GUID -->
         <xsl:element name="GUID">
            <xsl:value-of select="$GUID" />
         </xsl:element>
      </xsl:if>
      
      <!-- AT_LAST_CHNG_2 -->
      <!--
      <xsl:call-template name="printAttrDef">
         <xsl:with-param name="attrDef.Type" select="'AT_LAST_CHNG_2'" />
         <xsl:with-param name="attrValue.LocalId" select="$attrLocalID.Value" />
         <xsl:with-param name="attrValue.LocalIdValue" select="$AT_LAST_CHNG_2.Value" />
         <xsl:with-param name="actualBlanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      -->
      <!-- AT_LUSER -->
      <!--
      <xsl:call-template name="printAttrDef">
         <xsl:with-param name="attrDef.Type" select="'AT_LUSER'" />
         <xsl:with-param name="attrValue.LocalId" select="$attrLocalID.Value" />
         <xsl:with-param name="attrValue.LocalIdValue" select="$AT_LUSER.Value" />
         <xsl:with-param name="actualBlanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      -->
      <!-- AT_CREATOR -->
      <!--
      <xsl:call-template name="printAttrDef">
         <xsl:with-param name="attrDef.Type" select="'AT_CREATOR'" />
         <xsl:with-param name="attrValue.LocalId" select="$attrLocalID.Value" />
         <xsl:with-param name="attrValue.LocalIdValue" select="$AT_CREATOR.Value" />
         <xsl:with-param name="actualBlanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      -->
      <!-- AT_CREAT_TIME_STMP -->
      <!--
      <xsl:call-template name="printAttrDef">
         <xsl:with-param name="attrDef.Type" select="'AT_CREAT_TIME_STMP'" />
         <xsl:with-param name="attrValue.LocalId" select="$attrLocalID.Value" />
         <xsl:with-param name="attrValue.LocalIdValue" select="$AT_CREAT_TIME_STMP.Value" />
         <xsl:with-param name="actualBlanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      -->
      <!-- AT_NAME -->
      <xsl:call-template name="printAttrDef">
         <xsl:with-param name="attrDef.Type" select="'AT_NAME'" />
         <xsl:with-param name="attrValue.LocalId" select="$attrLocalID.Value" />
         <xsl:with-param name="attrValue.LocalIdValue" select="$AT_NAME.Value" />
         <xsl:with-param name="actualBlanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      
      <xsl:call-template name="newLine" />
   	<xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
      </xsl:call-template>
   </xsl:element>
</xsl:template>

<!-- template to print the AttrDef-tags -->
<xsl:template name="printAttrDef">
   <xsl:param name="attrDef.Type" />
   <xsl:param name="attrValue.LocalId" />
   <xsl:param name="attrValue.LocalIdValue" />
   <xsl:param name="actualBlanksToPrint" />
   
   <xsl:call-template name="newLine" />
   <xsl:call-template name="loop">
      <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
   </xsl:call-template>
   
   <xsl:element name="AttrDef">
      <xsl:attribute name="AttrDef.Type">
         <xsl:value-of select="$attrDef.Type" />
      </xsl:attribute>
      
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      
      <!--
       Ausgabe der Attribut-Werte von AttrDef:
       AttrValue
      -->
      <xsl:element name="AttrValue">
         <xsl:attribute name="LocaleId">
            <xsl:value-of select="$attrValue.LocalId" />
         </xsl:attribute>
         <xsl:value-of select="$attrValue.LocalIdValue" />
      </xsl:element>
      
		<xsl:call-template name="newLine"/>
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
      </xsl:call-template>
   </xsl:element>
</xsl:template>

<!-- ###################################### -->
<!-- Dieses Template dient zur Ausgabe      -->
<!-- einer neuen Zeile                      -->
<!-- ###################################### -->
<xsl:template name="newLine">
   <xsl:text>&#10;</xsl:text>
</xsl:template>

<!-- ###################################### -->
<!-- Dieses Template dient zur Ausgabe von  -->
<!-- Leerzeichen. (Dient zum Einruecken)    -->
<!-- ###################################### -->
<xsl:template name="loop">
   <xsl:param name="blanksToPrint" />
   
   <xsl:choose>
      <xsl:when test="$blanksToPrint &gt; 0">
         <xsl:text> </xsl:text>
         <xsl:call-template name="loop">
            <xsl:with-param name="blanksToPrint" select="$blanksToPrint - 1" />
         </xsl:call-template>
      </xsl:when>
   </xsl:choose>
</xsl:template>

</xsl:stylesheet>