<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output
   encoding="ISO-8859-1"
   indent="yes"
   method="xml"
   omit-xml-declaration="yes"
/>

<xsl:param name="LocaleID" select="1031" />


<!--
<xsl:template match="*|/" mode="m">
  <xsl:apply-templates mode="m"/>
</xsl:template>


<xsl:template match="text()|@*">
</xsl:template>

<xsl:template match="@* | / | node()" />
-->

<xsl:template match="text()" />

<xsl:template match="/folder[@contentElementType='process']">
   <xsl:choose>
      <xsl:when test="@contentElementType='process'">
         <xsl:variable name="blanksToPrint">
            <xsl:value-of select="12" />
         </xsl:variable>
         
         <xsl:call-template name="loop">
            <xsl:with-param name="blanksToPrint" select="$blanksToPrint" />
         </xsl:call-template>
         
         <!-- ############################################################## -->
         <!-- Die Gruppierung, die hier gemacht wird, ist die Gruppierung,   -->
         <!-- wie sie im SolutionComposer ist. Zu dieser Gruppe gibt es der  -->
         <!-- wieder Untergruppen. Diese Untergruppen repraesentieren die    -->
         <!-- Prozesse. Parallel zu den Untergruppen gibt es die Objekte der -->
         <!-- Prozesse. Sie befinden sich ausserhalb der Untergruppen, da    -->
         <!-- sie nicht zu einem bestimmten Modell gehoeren, haben aber      -->
         <!-- eine Hinterlegung zu den Modellen der Prozess-Schritten.       -->
         <!-- ############################################################## -->
         <xsl:element name="Group">
            <xsl:attribute name="Group.ID">
               <xsl:value-of select="concat('ProcessSteps.', @ID)" />
            </xsl:attribute>
            
            <xsl:call-template name="newLine" />
            <xsl:call-template name="loop">
               <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
            </xsl:call-template>
            
            <!-- ############### -->
            <!-- AttrDef         -->
            <!-- ############### -->
            <xsl:element name="AttrDef">
               <xsl:attribute name="AttrDef.Type">
                  <xsl:value-of select="'AT_NAME'" />
               </xsl:attribute>
               
               <xsl:call-template name="newLine" />
               <xsl:call-template name="loop">
                  <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 6" />
               </xsl:call-template>
               
               <!-- ############### -->
               <!-- AttrValue       -->
               <!-- ############### -->
               <xsl:element name="AttrValue">
                  <xsl:attribute name="LocaleId">
                     <xsl:value-of select="$LocaleID" />
                  </xsl:attribute>
                  
                  <xsl:value-of select="self::node()/title" />
               </xsl:element>
               
               <xsl:call-template name="newLine" />
               <xsl:call-template name="loop">
                  <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
               </xsl:call-template>
            </xsl:element>
            
            <!-- ############################################################## -->
            <!-- Diese Verarbeitung wird fuer Prozesse gemacht, die Prozess-    -->
            <!-- Schritte haben. Hierbei werden alle Objekte bzw. Modelle in    -->
            <!-- einer Gruppe zugeordnet.                                       -->
            <!-- ############################################################## -->
            <!--
            <xsl:apply-templates select="process[level2-item]">
            -->
            <xsl:apply-templates select="process">
               <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
            </xsl:apply-templates>
            
            <!-- ############################################################## -->
            <!-- Diese Verarbeitung wird fuer Prozesse gemacht, die keine       -->
            <!-- Prozess-Schritte haben. Die Abfrage "not(@ID = @variantOf)"    -->
            <!-- dient zuer Identifizierung von Prozessen, die nicht als        -->
            <!-- "Wurzel-"Prozess definiert sind.                               -->
            <!-- Da diese Prozesse keine Prozess-Schritte haben, werden hier    -->
            <!-- "Leer-"Modelle erzeugt. Auf diese Weise werden sie auch im     -->
            <!-- SolutionComposer dargestellt.                                  -->
            <!-- Auch hier werden alle Objekte bzw. Modelle in einer Gruppe     -->
            <!-- zugeordnet.                                                    -->
            <!-- ############################################################## -->
            <!--
            <xsl:apply-templates select="process[not(level2-item) and not(@ID = @variantOf)]">
               <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
            </xsl:apply-templates>
            -->
            
            <!-- ############################################################## -->
            <!-- Hier werden die Objekte zu den Prozessen erzeugt.              -->
            <!-- ############################################################## -->
            <xsl:for-each select="process">
               <xsl:call-template name="printObjDef">
                  <xsl:with-param name="attrObjDefID.Value" select="concat('ObjDefProcess.', @ID)" />
                  <xsl:with-param name="attrTypeNum.Value" select="'OT_FUNC'" />
                  <xsl:with-param name="attrLinkedModelsIdRefs.Value" select="concat('ModelProcessStep.', @ID)" />
                  <xsl:with-param name="attrSymbolNum.Value" select="'ST_SOLAR_FUNC'" />
                  <xsl:with-param name="GUID" select="self::node()/@ID" />
                  <xsl:with-param name="MasterGUID" select="self::node()/@variantOf" />
                  <xsl:with-param name="attrLocalID.Value" select="$LocaleID" />
                  <!--
                  <xsl:with-param name="AT_LAST_CHNG_2.Value" select="'15:25:32.000;11/07/2005'" />
                  -->
                  <!--
                  <xsl:with-param name="AT_LUSER.Value" select="'system'" />
                  <xsl:with-param name="AT_CREATOR.Value" select="'system'" />
                  <xsl:with-param name="AT_CREAT_TIME_STMP.Value" select="'15:25:18.000;11/07/2005'" />
                  -->
                  <xsl:with-param name="AT_NAME.Value" select="self::node()/title" />
                  <xsl:with-param name="AT_SOLAR_ORIGIN.Value" select="'SOLUTION_COMPOSER_IMPORT'" />
                  <xsl:with-param name="AT_SAP_FUNC_TYPE.Value" select="'AVT_PROC_1'" />
                  <xsl:with-param name="AT_SOLAR_ORIGINAL_NAME.Value" select="self::node()/title" />
                  <xsl:with-param name="AT_SOLAR_AREA_ID.Value" select="self::node()/bpr-element-ref/@Ref" />
                  <!--
                  <xsl:with-param name="AT_SAP_ID.Value" select="concat('ForeignID.', self::node()/@bprid, ';0')" />
                  -->
                  <xsl:with-param name="AT_SOLAR_ENTERPRISE_AREA.Value" select="/folder/title" />
                  <xsl:with-param name="actualBlanksToPrint" select="$blanksToPrint" />
               </xsl:call-template>
            </xsl:for-each>
         </xsl:element>
      </xsl:when>
   </xsl:choose>
</xsl:template>

<!-- ############################################################## -->
<!-- Hier werden die Prozesse mit Prozess-Schritten bearbeitet.     -->
<!-- Zuerst werden die Objekte erzeugt, anschliessend die Modelle.  -->
<!-- Alle Objekte bzw. Modelle werden in eine Gruppe geschrieben.   -->
<!-- ############################################################## -->
<!--
<xsl:template match="/folder[@contentElementType='process']/process[level2-item]">
-->
<xsl:template match="/folder[@contentElementType='process']/process">
   <xsl:param name="blanksToPrint" />
   
   <xsl:call-template name="newLine" />
   <xsl:call-template name="loop">
      <xsl:with-param name="blanksToPrint" select="$blanksToPrint" />
   </xsl:call-template>
   
   <xsl:element name="Group">
      <xsl:attribute name="Group.ID">
         <xsl:value-of select="concat('ProcessStep.', @ID)" />
      </xsl:attribute>
      
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
      
      <!-- ############### -->
      <!-- AttrDef         -->
      <!-- ############### -->
      <xsl:element name="AttrDef">
         <xsl:attribute name="AttrDef.Type">
            <xsl:value-of select="'AT_NAME'" />
         </xsl:attribute>
         
         <xsl:call-template name="newLine" />
         <xsl:call-template name="loop">
            <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 6" />
         </xsl:call-template>
         
         <!-- ############### -->
         <!-- AttrValue       -->
         <!-- ############### -->
         <xsl:element name="AttrValue">
            <xsl:attribute name="LocaleId">
               <xsl:value-of select="$LocaleID" />
            </xsl:attribute>
            
            <xsl:value-of select="self::node()/title" />
         </xsl:element>
         
         <xsl:call-template name="newLine" />
         <xsl:call-template name="loop">
            <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
         </xsl:call-template>
      </xsl:element>
      
      <!-- ############################################################## -->
      <!-- Hier werden Objekte fuer die Prozess-Schritte mit vorhandener  -->
      <!-- Fremd-ID erzeugt.                                              -->
      <!-- ############################################################## -->
      <xsl:for-each select="level2-item[bpr-element-ref]">
         <xsl:call-template name="printObjDef" >
            <xsl:with-param name="attrObjDefID.Value" select="concat('ObjDefProcessStep.', @ID)" />
            <xsl:with-param name="attrTypeNum.Value" select="'OT_FUNC'" />
            <xsl:with-param name="attrSymbolNum.Value" select="'ST_SOLAR_FUNC'" />
            <xsl:with-param name="GUID" select="self::node()/@ID" />
            <xsl:with-param name="attrLocalID.Value" select="$LocaleID" />
            <!--
            <xsl:with-param name="AT_LAST_CHNG_2.Value" select="$AT_LAST_CHNG_2.Value" />
            -->
            <!--
            <xsl:with-param name="AT_LUSER.Value" select="'system'" />
            <xsl:with-param name="AT_CREATOR.Value" select="'system'" />
            <xsl:with-param name="AT_CREAT_TIME_STMP.Value" select="'15:25:18.000;11/07/2005'" />
            -->
            <xsl:with-param name="AT_NAME.Value" select="self::node()/title" />
            <xsl:with-param name="AT_SOLAR_ORIGIN.Value" select="'SOLUTION_COMPOSER_IMPORT'" />
            <xsl:with-param name="AT_SAP_FUNC_TYPE.Value" select="'AVT_SOLAR_PROCESS_STEP'" />
            <xsl:with-param name="AT_SOLAR_ORIGINAL_NAME.Value" select="self::node()/title" />
            <xsl:with-param name="AT_SAP_ID.Value" select="concat('ForeignID.' ,self::node()/bpr-element-ref/@Ref, ';0')" />
            <xsl:with-param name="AT_SOLAR_ENTERPRISE_AREA.Value" select="/folder/title" />
            <xsl:with-param name="actualBlanksToPrint" select="$blanksToPrint + 3" />
         </xsl:call-template>
      </xsl:for-each>
      
      <!-- ############################################################## -->
      <!-- Hier werden Objekte fuer die Prozess-Schritte mit fehlender    -->
      <!-- Fremd-ID erzeugt.                                              -->
      <!-- ############################################################## -->
      <xsl:for-each select="level2-item[not(bpr-element-ref)]">
         <xsl:call-template name="printObjDef" >
            <xsl:with-param name="attrObjDefID.Value" select="concat('ObjDefProcessStep.', @ID)" />
            <xsl:with-param name="attrTypeNum.Value" select="'OT_FUNC'" />
            <xsl:with-param name="attrSymbolNum.Value" select="'ST_SOLAR_FUNC'" />
            <xsl:with-param name="GUID" select="self::node()/@ID" />
            <xsl:with-param name="attrLocalID.Value" select="$LocaleID" />
            <!--
            <xsl:with-param name="AT_LAST_CHNG_2.Value" select="'15:25:32.000;11/07/2005'" />
            -->
            <!--
            <xsl:with-param name="AT_LUSER.Value" select="'system'" />
            <xsl:with-param name="AT_CREATOR.Value" select="'system'" />
            <xsl:with-param name="AT_CREAT_TIME_STMP.Value" select="'15:25:18.000;11/07/2005'" />
            -->
            <xsl:with-param name="AT_NAME.Value" select="self::node()/title" />
            <xsl:with-param name="AT_SOLAR_ORIGIN.Value" select="'SOLUTION_COMPOSER_IMPORT'" />
            <xsl:with-param name="AT_SAP_FUNC_TYPE.Value" select="'AVT_SOLAR_PROCESS_STEP'" />
            <xsl:with-param name="AT_SOLAR_ORIGINAL_NAME.Value" select="self::node()/title" />
            <xsl:with-param name="AT_SOLAR_ENTERPRISE_AREA.Value" select="/folder/title" />
            <xsl:with-param name="actualBlanksToPrint" select="$blanksToPrint + 3" />
         </xsl:call-template>
      </xsl:for-each>
      
      <!-- ############################################################## -->
      <!-- Hier wird ein Modell fuer den Prozess erzeugt. Der Inhalt sind -->
      <!-- die Prozess-Schritte.                                          -->
      <!-- ############################################################## -->
      <xsl:call-template name="printProcess">
         <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
      
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$blanksToPrint" />
      </xsl:call-template>
   </xsl:element>
</xsl:template>

<!-- ############################################################## -->
<!-- Dieses Template dient zum Erzeugen der ObjDefs.                -->
<!-- ############################################################## -->
<xsl:template name="printObjDef">
   <xsl:param name="attrObjDefID.Value" />
   <xsl:param name="attrTypeNum.Value" />
   <xsl:param name="attrLinkedModelsIdRefs.Value" />
   <xsl:param name="attrSymbolNum.Value" />
   <xsl:param name="attrLocalID.Value" />
   
   <xsl:param name="GUID" />
   <xsl:param name="MasterGUID" />
   
   <!--
   <xsl:param name="AT_LAST_CHNG_2.Value" />
   -->
   <xsl:param name="AT_LUSER.Value" />
   <xsl:param name="AT_CREATOR.Value" />
   <xsl:param name="AT_CREAT_TIME_STMP.Value" />
   <xsl:param name="AT_NAME.Value" />
   
   <xsl:param name="AT_SOLAR_ORIGIN.Value" />
   <xsl:param name="AT_SAP_FUNC_TYPE.Value" />
   <xsl:param name="AT_SOLAR_ORIGINAL_NAME.Value" />
   <xsl:param name="AT_SOLAR_AREA_ID.Value" />
   <xsl:param name="AT_SAP_ID.Value" />
   <xsl:param name="AT_SOLAR_ENTERPRISE_AREA.Value" />
   
   <xsl:param name="actualBlanksToPrint" />
   
   <xsl:call-template name="newLine"/>
   <xsl:call-template name="loop">
      <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
   </xsl:call-template>
   <!-- Erzeugung des ObjDef-Elements -->
   <xsl:element name="ObjDef">
      <!-- ############### -->
      <!-- ObjDef.ID       -->
      <!-- ############### -->
      <xsl:attribute name="ObjDef.ID">
         <xsl:value-of select="$attrObjDefID.Value" />
      </xsl:attribute>
      
      <!-- ############### -->
      <!-- TypeNum         -->
      <!-- ############### -->
      <xsl:attribute name="TypeNum">
         <xsl:value-of select="$attrTypeNum.Value" />
      </xsl:attribute>
      
      <!-- ################### -->
      <!-- LinkedModels.IdRefs -->
      <!-- ################### -->
      <xsl:choose>
         <xsl:when test="not($attrLinkedModelsIdRefs.Value = '')">
            <xsl:attribute name="LinkedModels.IdRefs">
               <xsl:value-of select="$attrLinkedModelsIdRefs.Value" />
            </xsl:attribute>
         </xsl:when>
      </xsl:choose>
      
      <!-- ############### -->
      <!-- SymbolNum       -->
      <!-- ############### -->
      <xsl:attribute name="SymbolNum">
         <xsl:value-of select="$attrSymbolNum.Value" />
      </xsl:attribute>
      
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      
      <!-- ############### -->
      <!-- GUID            -->
      <!-- ############### -->
      <xsl:element name="GUID">
         <xsl:value-of select="$GUID" />
      </xsl:element>
      
      <!-- ############### -->
      <!-- MasterGUID      -->
      <!-- ############### -->
      <xsl:if test="string-length($MasterGUID) > 1">
         <xsl:choose>
            <xsl:when test="not($GUID = $MasterGUID)">
               <xsl:element name="MasterGUID">
                  <xsl:value-of select="$MasterGUID" />
               </xsl:element>
            </xsl:when>
         </xsl:choose>
      </xsl:if>
      
      <!-- ############### -->
      <!-- AT_LAST_CHNG_2  -->
      <!-- ############### -->
      <!--
      <xsl:call-template name="printAttrDef">
         <xsl:with-param name="attrDef.Type" select="'AT_LAST_CHNG_2'" />
         <xsl:with-param name="attrValue.LocalId" select="$attrLocalID.Value" />
         <xsl:with-param name="attrValue.LocalIdValue" select="$AT_LAST_CHNG_2.Value" />
         <xsl:with-param name="actualBlanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      -->
      <!-- ############### -->
      <!-- AT_LUSER        -->
      <!-- ############### -->
      <!--
      <xsl:call-template name="printAttrDef">
         <xsl:with-param name="attrDef.Type" select="'AT_LUSER'" />
         <xsl:with-param name="attrValue.LocalId" select="$attrLocalID.Value" />
         <xsl:with-param name="attrValue.LocalIdValue" select="$AT_LUSER.Value" />
         <xsl:with-param name="actualBlanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      -->
      <!-- ############### -->
      <!-- AT_CREATOR      -->
      <!-- ############### -->
      <!--
      <xsl:call-template name="printAttrDef">
         <xsl:with-param name="attrDef.Type" select="'AT_CREATOR'" />
         <xsl:with-param name="attrValue.LocalId" select="$attrLocalID.Value" />
         <xsl:with-param name="attrValue.LocalIdValue" select="$AT_CREATOR.Value" />
         <xsl:with-param name="actualBlanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      -->
      <!-- ############### -->
      <!-- AT_SOLAR_ORIGIN -->
      <!-- ############### -->
      <xsl:call-template name="printAttrDef">
         <xsl:with-param name="attrDef.Type" select="'AT_SOLAR_ORIGIN'" />
         <xsl:with-param name="attrValue.LocalId" select="$attrLocalID.Value" />
         <xsl:with-param name="attrValue.LocalIdValue" select="$AT_SOLAR_ORIGIN.Value" />
         <xsl:with-param name="actualBlanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      
      <!-- ################ -->
      <!-- AT_SAP_FUNC_TYPE -->
      <!-- ################ -->
      <xsl:call-template name="printAttrDef">
         <xsl:with-param name="attrDef.Type" select="'AT_SAP_FUNC_TYPE'" />
         <xsl:with-param name="attrValue.LocalId" select="$attrLocalID.Value" />
         <xsl:with-param name="attrValue.LocalIdValue" select="$AT_SAP_FUNC_TYPE.Value" />
         <xsl:with-param name="actualBlanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      
      <!-- ###################### -->
      <!-- AT_SOLAR_ORIGINAL_NAME -->
      <!-- ###################### -->
      <xsl:call-template name="printAttrDef">
         <xsl:with-param name="attrDef.Type" select="'AT_SOLAR_ORIGINAL_NAME'" />
         <xsl:with-param name="attrValue.LocalId" select="$attrLocalID.Value" />
         <xsl:with-param name="attrValue.LocalIdValue" select="$AT_SOLAR_ORIGINAL_NAME.Value" />
         <xsl:with-param name="actualBlanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      
      <!-- ################ -->
      <!-- AT_SOLAR_AREA_ID -->
      <!-- ################ -->
      <xsl:choose>
         <xsl:when test="not($AT_SOLAR_AREA_ID.Value = '')">
            <xsl:call-template name="printAttrDef">
               <xsl:with-param name="attrDef.Type" select="'AT_SOLAR_AREA_ID'" />
               <xsl:with-param name="attrValue.LocalId" select="$attrLocalID.Value" />
               <xsl:with-param name="attrValue.LocalIdValue" select="$AT_SOLAR_AREA_ID.Value" />
               <xsl:with-param name="actualBlanksToPrint" select="$actualBlanksToPrint + 3" />
            </xsl:call-template>
         </xsl:when>
      </xsl:choose>
      
      <!-- ############### -->
      <!-- AT_SAP_ID       -->
      <!-- ############### -->
      <xsl:choose>
         <xsl:when test="string-length($AT_SAP_ID.Value) &gt; 32">
            <xsl:call-template name="printAttrDef">
               <xsl:with-param name="attrDef.Type" select="'AT_SAP_ID'" />
               <xsl:with-param name="attrValue.LocalId" select="$attrLocalID.Value" />
               <xsl:with-param name="attrValue.LocalIdValue" select="$AT_SAP_ID.Value" />
               <xsl:with-param name="actualBlanksToPrint" select="$actualBlanksToPrint + 3" />
            </xsl:call-template>
         </xsl:when>
      </xsl:choose>
      
      <!-- ######################## -->
      <!-- AT_SOLAR_ENTERPRISE_AREA -->
      <!-- ######################## -->
      <xsl:call-template name="printAttrDef">
         <xsl:with-param name="attrDef.Type" select="'AT_SOLAR_ENTERPRISE_AREA'" />
         <xsl:with-param name="attrValue.LocalId" select="$attrLocalID.Value" />
         <xsl:with-param name="attrValue.LocalIdValue" select="$AT_SOLAR_ENTERPRISE_AREA.Value" />
         <xsl:with-param name="actualBlanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      
      <!-- ############################### -->
      <!-- AT_FOR_SAP_NW_PROD_AVAILABILITY -->
      <!-- ############################### -->
      <xsl:choose>
         <xsl:when test="self::node()[sap-cover and not(partner-cover)]">
            <xsl:call-template name="printSAPCover">
               <xsl:with-param name="attrDef.Type" select="'AT_FOR_SAP_NW_PROD_AVAILABILITY'" />
               <xsl:with-param name="attrValue.LocalId" select="$attrLocalID.Value" />
               <xsl:with-param name="actualBlanksToPrint" select="$actualBlanksToPrint + 3" />
            </xsl:call-template>
         </xsl:when>
         <xsl:when test="self::node()[not(sap-cover) and partner-cover]">
            <xsl:call-template name="printPartnerCover">
               <xsl:with-param name="attrDef.Type" select="'AT_FOR_SAP_NW_PROD_AVAILABILITY'" />
               <xsl:with-param name="attrValue.LocalId" select="$attrLocalID.Value" />
               <xsl:with-param name="actualBlanksToPrint" select="$actualBlanksToPrint + 3" />
            </xsl:call-template>
         </xsl:when>
         <xsl:when test="self::node()[sap-cover and partner-cover]">
            <xsl:call-template name="printSAPPartnerCover">
               <xsl:with-param name="attrDef.Type" select="'AT_FOR_SAP_NW_PROD_AVAILABILITY'" />
               <xsl:with-param name="attrValue.LocalId" select="$attrLocalID.Value" />
               <xsl:with-param name="actualBlanksToPrint" select="$actualBlanksToPrint + 3" />
            </xsl:call-template>
         </xsl:when>
      </xsl:choose>
      
      <!-- ########################## -->
      <!-- AT_FOR_SAP_NW_PARTNER_PROD -->
      <!-- ########################## -->
      <xsl:if test="self::node()[product-ref]">
         <xsl:call-template name="printProducts">
            <xsl:with-param name="attrDef.Type" select="'AT_FOR_SAP_NW_PARTNER_PROD'" />
            <xsl:with-param name="attrValue.LocalId" select="$attrLocalID.Value" />
            <xsl:with-param name="actualBlanksToPrint" select="$actualBlanksToPrint + 3" />
         </xsl:call-template>
      </xsl:if>
      
      <!-- ############### -->
      <!-- AT_DESC         -->
      <!-- ############### -->
      <xsl:choose>
         <xsl:when test="self::node()[short-description and content]">
            <xsl:call-template name="printShortDescriptionContent">
               <xsl:with-param name="attrDef.Type" select="'AT_DESC'" />
               <xsl:with-param name="attrValue.LocalId" select="$attrLocalID.Value" />
               <xsl:with-param name="actualBlanksToPrint" select="$actualBlanksToPrint + 3" />
            </xsl:call-template>
         </xsl:when>
         <xsl:when test="self::node()[short-description and not(content)]">
            <xsl:choose>
               <xsl:when test="not(self::node()/short-description/node()[name()='P' or name()='p'])">
                  <xsl:call-template name="printAttrDef">
                     <xsl:with-param name="attrDef.Type" select="'AT_DESC'" />
                     <xsl:with-param name="attrValue.LocalId" select="$attrLocalID.Value" />
                     <xsl:with-param name="attrValue.LocalIdValue" select="self::node()/short-description" />
                     <xsl:with-param name="actualBlanksToPrint" select="$actualBlanksToPrint + 3" />
                  </xsl:call-template>
               </xsl:when>
               <xsl:when test="self::node()/short-description/node()[name()='P' or name()='p']">
                  <xsl:choose>
                     <xsl:when test="count(self::node()/short-description/node()[name()='P' or name()='p']) = 1">
                        <xsl:call-template name="printAttrDef">
                           <xsl:with-param name="attrDef.Type" select="'AT_DESC'" />
                           <xsl:with-param name="attrValue.LocalId" select="$attrLocalID.Value" />
                           <xsl:with-param name="attrValue.LocalIdValue" select="self::node()/short-description/node()[name()='P' or name()='p']" />
                           <xsl:with-param name="actualBlanksToPrint" select="$actualBlanksToPrint + 3" />
                        </xsl:call-template>
                     </xsl:when>
                     <xsl:when test="count(self::node()/short-description/node()[name()='P' or name()='p']) > 1">
                        <xsl:call-template name="printShortDescriptionWithPs">
                           <xsl:with-param name="attrDef.Type" select="'AT_DESC'" />
                           <xsl:with-param name="attrValue.LocalId" select="$attrLocalID.Value" />
                           <xsl:with-param name="description.value" select="''" />
                           <xsl:with-param name="actualBlanksToPrint" select="$actualBlanksToPrint + 3" />
                           <xsl:with-param name="actualPosition" select="1" />
                           <xsl:with-param name="quantity" select="count(self::node()/short-description/node()[name()='P' or name()='p'])" />
                        </xsl:call-template>
                     </xsl:when>
                 </xsl:choose>
               </xsl:when>
            </xsl:choose>
         </xsl:when>
         <xsl:when test="self::node()[not(short-description) and content]">
            <xsl:choose>
               <xsl:when test="not(self::node()/content/node()[name()='P' or name()='p'])">
                  <xsl:call-template name="printAttrDef">
                     <xsl:with-param name="attrDef.Type" select="'AT_DESC'" />
                     <xsl:with-param name="attrValue.LocalId" select="$attrLocalID.Value" />
                     <xsl:with-param name="attrValue.LocalIdValue" select="self::node()/content" />
                     <xsl:with-param name="actualBlanksToPrint" select="$actualBlanksToPrint + 3" />
                  </xsl:call-template>
               </xsl:when>
               <xsl:when test="self::node()/content/node()[name()='P' or name()='p']">
                  <xsl:choose>
                     <xsl:when test="count(self::node()/content/node()[name()='P' or name()='p']) = 1">
                        <xsl:call-template name="printAttrDef">
                           <xsl:with-param name="attrDef.Type" select="'AT_DESC'" />
                           <xsl:with-param name="attrValue.LocalId" select="$attrLocalID.Value" />
                           <xsl:with-param name="attrValue.LocalIdValue" select="self::node()/content/node()[name()='P' or name()='p']" />
                           <xsl:with-param name="actualBlanksToPrint" select="$actualBlanksToPrint + 3" />
                        </xsl:call-template>
                     </xsl:when>
                     <xsl:when test="count(self::node()/content/node()[name()='P' or name()='p']) > 1">
                        <xsl:call-template name="printContentPs">
                           <xsl:with-param name="attrDef.Type" select="'AT_DESC'" />
                           <xsl:with-param name="attrValue.LocalId" select="$attrLocalID.Value" />
                           <xsl:with-param name="description.value" select="''" />
                           <xsl:with-param name="actualBlanksToPrint" select="$actualBlanksToPrint + 3" />
                           <xsl:with-param name="actualPosition" select="1" />
                           <xsl:with-param name="quantity" select="count(self::node()/content/node()[name()='P' or name()='p'])" />
                        </xsl:call-template>
                     </xsl:when>
                 </xsl:choose>
               </xsl:when>
            </xsl:choose>
         </xsl:when>
      </xsl:choose>
      
      <!-- ################## -->
      <!-- AT_CREAT_TIME_STMP -->
      <!-- ################## -->
      <!--
      <xsl:call-template name="printAttrDef">
         <xsl:with-param name="attrDef.Type" select="'AT_CREAT_TIME_STMP'" />
         <xsl:with-param name="attrValue.LocalId" select="$attrLocalID.Value" />
         <xsl:with-param name="attrValue.LocalIdValue" select="$AT_CREAT_TIME_STMP.Value" />
         <xsl:with-param name="actualBlanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      -->
      
      <!-- ############### -->
      <!-- AT_NAME         -->
      <!-- ############### -->
      <xsl:call-template name="printAttrDef">
         <xsl:with-param name="attrDef.Type" select="'AT_NAME'" />
         <xsl:with-param name="attrValue.LocalId" select="$attrLocalID.Value" />
         <xsl:with-param name="attrValue.LocalIdValue" select="$AT_NAME.Value" />
         <xsl:with-param name="actualBlanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      
      <xsl:call-template name="newLine" />
   	<xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
      </xsl:call-template>
   </xsl:element>
</xsl:template>

<xsl:template name="printSAPCover">
   <xsl:param name="attrDef.Type" />
   <xsl:param name="attrValue.LocalId" />
   <xsl:param name="actualBlanksToPrint" />
   
   <xsl:call-template name="newLine" />
   <xsl:call-template name="loop">
      <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
   </xsl:call-template>
   
   <!-- ############### -->
   <!-- AttrDef         -->
   <!-- ############### -->
   <xsl:element name="AttrDef">
      <!-- ############### -->
      <!-- AttrDef.Type    -->
      <!-- ############### -->
      <xsl:attribute name="AttrDef.Type">
         <xsl:value-of select="$attrDef.Type" />
      </xsl:attribute>
      
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      
      <!-- ############### -->
      <!-- AttrValue    -->
      <!-- ############### -->
      <xsl:element name="AttrValue">
         <xsl:attribute name="LocaleId">
            <xsl:value-of select="$attrValue.LocalId" />
         </xsl:attribute>
         <xsl:for-each select="self::node()/sap-cover">
            <xsl:if test="position() &gt; 1">
               <xsl:text>&#10;</xsl:text>
            </xsl:if>
            <xsl:choose>
               <xsl:when test="self::node()[text() = '1']">
                  <xsl:value-of select="'SAP Product Available'" />
               </xsl:when>
               <xsl:when test="self::node()[text() = '2']">
                  <xsl:value-of select="'SAP Product Available with Future Release'" />
               </xsl:when>
               <xsl:when test="self::node()[text() = '3']">
                  <xsl:value-of select="'Future Focus'" />
               </xsl:when>
            </xsl:choose>
         </xsl:for-each>
      </xsl:element>
      
		<xsl:call-template name="newLine"/>
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
      </xsl:call-template>
   </xsl:element>
</xsl:template>

<xsl:template name="printPartnerCover">
   <xsl:param name="attrDef.Type" />
   <xsl:param name="attrValue.LocalId" />
   <xsl:param name="actualBlanksToPrint" />
   
   <xsl:call-template name="newLine" />
   <xsl:call-template name="loop">
      <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
   </xsl:call-template>
   
   <!-- ############### -->
   <!-- AttrDef         -->
   <!-- ############### -->
   <xsl:element name="AttrDef">
      <!-- ############### -->
      <!-- AttrDef.Type    -->
      <!-- ############### -->
      <xsl:attribute name="AttrDef.Type">
         <xsl:value-of select="$attrDef.Type" />
      </xsl:attribute>
      
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      
      <!-- ############### -->
      <!-- AttrValue    -->
      <!-- ############### -->
      <xsl:element name="AttrValue">
         <xsl:attribute name="LocaleId">
            <xsl:value-of select="$attrValue.LocalId" />
         </xsl:attribute>
         <xsl:for-each select="self::node()/partner-cover">
            <xsl:if test="position() &gt; 1">
               <xsl:text>&#10;</xsl:text>
            </xsl:if>
            <xsl:choose>
               <xsl:when test="self::node()[text() = '4']">
                  <xsl:value-of select="'Partner Product Available'" />
               </xsl:when>
               <xsl:when test="self::node()[text() = '5']">
                  <xsl:value-of select="'Partner Product Available with Future Release'" />
               </xsl:when>
            </xsl:choose>
         </xsl:for-each>
      </xsl:element>
      
		<xsl:call-template name="newLine"/>
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
      </xsl:call-template>
   </xsl:element>
</xsl:template>

<xsl:template name="printSAPPartnerCover">
   <xsl:param name="attrDef.Type" />
   <xsl:param name="attrValue.LocalId" />
   <xsl:param name="actualBlanksToPrint" />
   
   <xsl:call-template name="newLine" />
   <xsl:call-template name="loop">
      <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
   </xsl:call-template>
   
   <!-- ############### -->
   <!-- AttrDef         -->
   <!-- ############### -->
   <xsl:element name="AttrDef">
      <!-- ############### -->
      <!-- AttrDef.Type    -->
      <!-- ############### -->
      <xsl:attribute name="AttrDef.Type">
         <xsl:value-of select="$attrDef.Type" />
      </xsl:attribute>
      
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      
      <!-- ############### -->
      <!-- AttrValue    -->
      <!-- ############### -->
      <xsl:element name="AttrValue">
         <xsl:attribute name="LocaleId">
            <xsl:value-of select="$attrValue.LocalId" />
         </xsl:attribute>
         
         <xsl:for-each select="self::node()/sap-cover">
            <xsl:if test="position() &gt; 1">
               <xsl:text>&#10;</xsl:text>
            </xsl:if>
            <xsl:choose>
               <xsl:when test="self::node()[text() = '1']">
                  <xsl:value-of select="'SAP Product Available'" />
               </xsl:when>
               <xsl:when test="self::node()[text() = '2']">
                  <xsl:value-of select="'SAP Product Available with Future Release'" />
               </xsl:when>
               <xsl:when test="self::node()[text() = '3']">
                  <xsl:value-of select="'Future Focus'" />
               </xsl:when>
            </xsl:choose>
         </xsl:for-each>
         
         <xsl:for-each select="self::node()/partner-cover">
            <xsl:text>&#10;</xsl:text>
            <xsl:choose>
               <xsl:when test="self::node()[text() = '4']">
                  <xsl:value-of select="'Partner Product Available'" />
               </xsl:when>
               <xsl:when test="self::node()[text() = '5']">
                  <xsl:value-of select="'Partner Product Available with Future Release'" />
               </xsl:when>
            </xsl:choose>
         </xsl:for-each>
      </xsl:element>
      
		<xsl:call-template name="newLine"/>
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
      </xsl:call-template>
   </xsl:element>
</xsl:template>

<xsl:template name="printProducts">
   <xsl:param name="attrDef.Type" />
   <xsl:param name="attrValue.LocalId" />
   <xsl:param name="actualBlanksToPrint" />
   
   <xsl:call-template name="newLine" />
   <xsl:call-template name="loop">
      <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
   </xsl:call-template>
   
   <!-- ############### -->
   <!-- AttrDef         -->
   <!-- ############### -->
   <xsl:element name="AttrDef">
      <!-- ############### -->
      <!-- AttrDef.Type    -->
      <!-- ############### -->
      <xsl:attribute name="AttrDef.Type">
         <xsl:value-of select="$attrDef.Type" />
      </xsl:attribute>
      
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      
      <!-- ############### -->
      <!-- AttrValue       -->
      <!-- ############### -->
      <xsl:element name="AttrValue">
         <xsl:attribute name="LocaleId">
            <xsl:value-of select="$attrValue.LocalId" />
         </xsl:attribute>
         
         <xsl:for-each select="self::node()/product-ref">
            <xsl:if test="position() &gt; 1">
               <xsl:text>&#10;</xsl:text>
            </xsl:if>
            
            <xsl:value-of select="self::node()/title" />
         </xsl:for-each>
      </xsl:element>
      
		<xsl:call-template name="newLine"/>
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
      </xsl:call-template>
   </xsl:element>
</xsl:template>

<!-- ############################################################## -->

<!-- ############################################################## -->
<!-- Dieses Template dient zur Ausgabe der Beschreibung/Definition. -->
<!-- Manche Prozesse bzw. Prozess-Schritte haben mehrere            -->
<!-- "short-description"-Tags. Hierfuer gibt es eine spezielle      -->
<!-- Abarbeitung.                                                   -->
<!-- ############################################################## -->
<xsl:template name="printShortDescriptionWithPs">
   <xsl:param name="attrDef.Type" />
   <xsl:param name="attrValue.LocalId" />
   <xsl:param name="description.value" />
   <xsl:param name="actualBlanksToPrint" />
   <xsl:param name="actualPosition" />
   <xsl:param name="quantity" />
   
   <!-- ############################################################## -->
   <!-- Wenn mehrere "short-description"-Tags existieren, wird dieses  -->
   <!-- Template noch mal aufgerufen. Dabei wird der Inhalt vom Tag    -->
   <!-- "short-description" mitgegeben. Dabei wird ein Zeilen-Umbruch  -->
   <!-- angehangen. Dieser Vorgang wird so lange wiederholt, bis der   -->
   <!-- letzte "short-description"-Tag bearbeitet wurde. Beim letzten  -->
   <!-- "short-description" wird dann das Template "printAttrDef"      -->
   <!-- aufgerufen.                                                    -->
   <!-- ############################################################## -->
   <xsl:choose>
      <xsl:when test="$actualPosition = 1">
         <xsl:call-template name="printShortDescriptionWithPs">
            <xsl:with-param name="attrDef.Type" select="$attrDef.Type" />
            <xsl:with-param name="attrValue.LocalId" select="$attrValue.LocalId" />
            <xsl:with-param name="description.value" select="self::node()/short-description/node()[name()='P' or name()='p'][$actualPosition]" />
            <xsl:with-param name="actualBlanksToPrint" select="$actualBlanksToPrint" />
            <xsl:with-param name="actualPosition" select="$actualPosition + 1" />
            <xsl:with-param name="quantity" select="$quantity" />
         </xsl:call-template>
      </xsl:when>
      <xsl:when test="$actualPosition &lt; $quantity">
         <xsl:call-template name="printShortDescriptionWithPs">
            <xsl:with-param name="attrDef.Type" select="$attrDef.Type" />
            <xsl:with-param name="attrValue.LocalId" select="$attrValue.LocalId" />
            <xsl:with-param name="description.value" select="concat($description.value, '&#10;',self::node()/short-description/node()[name()='P' or name()='p'][$actualPosition])" />
            <xsl:with-param name="actualBlanksToPrint" select="$actualBlanksToPrint" />
            <xsl:with-param name="actualPosition" select="$actualPosition + 1" />
            <xsl:with-param name="quantity" select="$quantity" />
         </xsl:call-template>
      </xsl:when>
      <xsl:when test="$actualPosition = $quantity">
         <xsl:call-template name="printAttrDef">
            <xsl:with-param name="attrDef.Type" select="$attrDef.Type" />
            <xsl:with-param name="attrValue.LocalId" select="$attrValue.LocalId" />
            <xsl:with-param name="attrValue.LocalIdValue" select="concat($description.value, '&#10;', self::node()/short-description/node()[name()='P' or name()='p'][$actualPosition])" />
            <xsl:with-param name="actualBlanksToPrint" select="$actualBlanksToPrint" />
         </xsl:call-template>
      </xsl:when>
   </xsl:choose>
</xsl:template>

<!-- ############################################################## -->
<!-- Dieses Template dient zur Ausgabe der Beschreibung/Definition. -->
<!-- Manche Prozesse bzw. Prozess-Schritte haben mehrere            -->
<!-- "content"-Tags. Hierfuer gibt es eine spezielle Abarbeitung.   -->
<!-- ############################################################## -->
<xsl:template name="printContentPs">
   <xsl:param name="attrDef.Type" />
   <xsl:param name="attrValue.LocalId" />
   <xsl:param name="description.value" />
   <xsl:param name="actualBlanksToPrint" />
   <xsl:param name="actualPosition" />
   <xsl:param name="quantity" />
   
   <!-- ############################################################## -->
   <!-- Wenn mehrere "P" oder "p" -Tags existieren, wird dieses        -->
   <!-- Template noch mal aufgerufen. Dabei wird der Inhalt vom Tag    -->
   <!-- "content" mitgegeben. Dabei wird ein Zeilen-Umbruch            -->
   <!-- angehangen. Dieser Vorgang wird so lange wiederholt, bis der   -->
   <!-- letzte "content"-Tag bearbeitet wurde. Beim letzten            -->
   <!-- "content" wird dann das Template "printAttrDef" aufgerufen.    -->
   <!-- ############################################################## -->
   <xsl:choose>
      <xsl:when test="$actualPosition = 1">
         <xsl:call-template name="printContentPs">
            <xsl:with-param name="attrDef.Type" select="$attrDef.Type" />
            <xsl:with-param name="attrValue.LocalId" select="$attrValue.LocalId" />
            <xsl:with-param name="description.value" select="self::node()/content/node()[name()='P' or name()='p'][$actualPosition]" />
            <xsl:with-param name="actualBlanksToPrint" select="$actualBlanksToPrint" />
            <xsl:with-param name="actualPosition" select="$actualPosition + 1" />
            <xsl:with-param name="quantity" select="$quantity" />
         </xsl:call-template>
      </xsl:when>
      <xsl:when test="$actualPosition &lt; $quantity">
         <xsl:call-template name="printContentPs">
            <xsl:with-param name="attrDef.Type" select="$attrDef.Type" />
            <xsl:with-param name="attrValue.LocalId" select="$attrValue.LocalId" />
            <xsl:with-param name="description.value" select="concat($description.value, '&#10;',self::node()/content/node()[name()='P' or name()='p'][$actualPosition])" />
            <xsl:with-param name="actualBlanksToPrint" select="$actualBlanksToPrint" />
            <xsl:with-param name="actualPosition" select="$actualPosition + 1" />
            <xsl:with-param name="quantity" select="$quantity" />
         </xsl:call-template>
      </xsl:when>
      <xsl:when test="$actualPosition = $quantity">
         <xsl:call-template name="printAttrDef">
            <xsl:with-param name="attrDef.Type" select="$attrDef.Type" />
            <xsl:with-param name="attrValue.LocalId" select="$attrValue.LocalId" />
            <xsl:with-param name="attrValue.LocalIdValue" select="concat($description.value, '&#10;', self::node()/content/node()[name()='P' or name()='p'][$actualPosition])" />
            <xsl:with-param name="actualBlanksToPrint" select="$actualBlanksToPrint" />
         </xsl:call-template>
      </xsl:when>
   </xsl:choose>
</xsl:template>

<xsl:template name="printShortDescriptionContent">
   <xsl:param name="attrDef.Type" />
   <xsl:param name="attrValue.LocalId" />
   <xsl:param name="actualBlanksToPrint" />
   
   <xsl:call-template name="newLine" />
   <xsl:call-template name="loop">
      <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
   </xsl:call-template>
   
   <!-- ############### -->
   <!-- AttrDef         -->
   <!-- ############### -->
   <xsl:element name="AttrDef">
      <!-- ############### -->
      <!-- AttrDef.Type    -->
      <!-- ############### -->
      <xsl:attribute name="AttrDef.Type">
         <xsl:value-of select="$attrDef.Type" />
      </xsl:attribute>
      
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      
      <!-- ############### -->
      <!-- AttrValue       -->
      <!-- ############### -->
      <xsl:element name="AttrValue">
         <xsl:attribute name="LocaleId">
            <xsl:value-of select="$attrValue.LocalId" />
         </xsl:attribute>
         
         <xsl:choose>
            <xsl:when test="not(self::node()/short-description/node()[name()='P' or name()='p'])">
               <xsl:value-of select="self::node()/short-description" />
               <xsl:text>&#10;</xsl:text>
            </xsl:when>
            <xsl:when test="self::node()/short-description/node()[name()='P' or name()='p']">
               <xsl:choose>
                  <xsl:when test="count(self::node()/short-description/node()[name()='P' or name()='p']) = 1">
                     <xsl:value-of select="self::node()/short-description/node()[name()='P' or name()='p']" />
                     <xsl:text>&#10;</xsl:text>
                  </xsl:when>
                  <xsl:when test="count(self::node()/short-description/node()[name()='P' or name()='p']) > 1">
                     <xsl:for-each select="self::node()/short-description/node()[name()='P' or name()='p']">
                        <xsl:if test="position() &gt; 1">
                           <xsl:text>&#10;</xsl:text>
                        </xsl:if>
                        <xsl:value-of select="self::node()/short-description/node()[name()='P' or name()='p']" />
                     </xsl:for-each>
                     <xsl:text>&#10;</xsl:text>
                  </xsl:when>
              </xsl:choose>
            </xsl:when>
         </xsl:choose>
         
         <xsl:choose>
            <xsl:when test="not(self::node()/content/node()[name()='P' or name()='p'])">
               <xsl:value-of select="self::node()/short-description" />
            </xsl:when>
            <xsl:when test="self::node()/content/node()[name()='P' or name()='p']">
               <xsl:choose>
                  <xsl:when test="count(self::node()/content/node()[name()='P' or name()='p']) = 1">
                     <xsl:value-of select="self::node()/content/node()[name()='P' or name()='p']" />
                  </xsl:when>
                  <xsl:when test="count(self::node()/content/node()[name()='P' or name()='p']) > 1">
                     <xsl:for-each select="self::node()/content/node()[name()='P' or name()='p']">
                        <xsl:if test="position() &gt; 1">
                           <xsl:text>&#10;</xsl:text>
                        </xsl:if>
                        <xsl:value-of select="self::node()/content/node()[name()='P' or name()='p']" />
                     </xsl:for-each>
                  </xsl:when>
              </xsl:choose>
            </xsl:when>
         </xsl:choose>
      </xsl:element>
      
		<xsl:call-template name="newLine"/>
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
      </xsl:call-template>
   </xsl:element>
</xsl:template>

<!-- ############################################################## -->
<!-- Dieses Template dient zur Erzeugung der Modelle fuer die       -->
<!-- Prozesse mit Prozess-Schritten.                                -->
<!-- ############################################################## -->
<xsl:template name="printProcess">
   <xsl:param name="blanksToPrint" />
   
   <xsl:call-template name="newLine" />
   <xsl:call-template name="loop">
      <xsl:with-param name="blanksToPrint" select="$blanksToPrint" />
   </xsl:call-template>
   
   <xsl:element name="Model">
      <!-- ############### -->
      <!-- Model.ID        -->
      <!-- ############### -->
      <xsl:attribute name="Model.ID">
         <xsl:value-of select="concat('ModelProcessStep.', self::node()/@ID)" />
      </xsl:attribute>
      
      <!-- ############### -->
      <!-- Model.Type      -->
      <!-- ############### -->
      <xsl:attribute name="Model.Type">
         <xsl:value-of select="'MT_EEPC'" />
      </xsl:attribute>
      
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
      
      <!-- ############### -->
      <!-- GUID            -->
      <!-- ############### -->
      <xsl:element name="GUID">
         <xsl:value-of select="concat('[ModelProcessStep', self::node()/@ID, ']')" />
      </xsl:element>
      
      <!-- ############### -->
      <!-- AT_LUSER        -->
      <!-- ############### -->
      <!--
      <xsl:call-template name="printAttrDef">
         <xsl:with-param name="attrDef.Type" select="'AT_LUSER'" />
         <xsl:with-param name="attrValue.LocalId" select="$LocaleID" />
         <xsl:with-param name="attrValue.LocalIdValue" select="'system'" />
         <xsl:with-param name="actualBlanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
      -->
      <!-- ############### -->
      <!-- AT_LAST_CHNG_2  -->
      <!-- ############### -->
      <!--
      <xsl:call-template name="printAttrDef">
         <xsl:with-param name="attrDef.Type" select="'AT_LAST_CHNG_2'" />
         <xsl:with-param name="attrValue.LocalId" select="$LocaleID" />
         <xsl:with-param name="attrValue.LocalIdValue" select="$AT_LAST_CHNG_2.Value" />
         <xsl:with-param name="actualBlanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
      -->
      <!-- ############### -->
      <!-- AT_NAME         -->
      <!-- ############### -->
      <xsl:call-template name="printAttrDef">
         <xsl:with-param name="attrDef.Type" select="'AT_NAME'" />
         <xsl:with-param name="attrValue.LocalId" select="$LocaleID" />
         <xsl:with-param name="attrValue.LocalIdValue" select="self::node()/title" />
         <xsl:with-param name="actualBlanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
      
      <!-- ################## -->
      <!-- AT_CREAT_TIME_STMP -->
      <!-- ################## -->
      <!--
      <xsl:call-template name="printAttrDef">
         <xsl:with-param name="attrDef.Type" select="'AT_CREAT_TIME_STMP'" />
         <xsl:with-param name="attrValue.LocalId" select="$LocaleID" />
         <xsl:with-param name="attrValue.LocalIdValue" select="'10:28:51.000;11/04/2005'" />
         <xsl:with-param name="actualBlanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
      -->
      <!-- ############### -->
      <!-- AT_CREATOR      -->
      <!-- ############### -->
      <!--
      <xsl:call-template name="printAttrDef">
         <xsl:with-param name="attrDef.Type" select="'AT_CREATOR'" />
         <xsl:with-param name="attrValue.LocalId" select="$LocaleID" />
         <xsl:with-param name="attrValue.LocalIdValue" select="'system'" />
         <xsl:with-param name="actualBlanksToPrint" select="$blanksToPrint + 3" />
      </xsl:call-template>
      -->
      <!-- ############################################################## -->
      <!-- Hier werden die ObjOccs erzeugt.                               -->
      <!-- ############################################################## -->
      <xsl:for-each select="level2-item">
         <xsl:call-template name="printProcessStep" >
            <xsl:with-param name="posX" select="260" />
            <xsl:with-param name="posY" select="195" />
            <xsl:with-param name="sizeX" select="406" />
            <xsl:with-param name="sizeY" select="243" />
            <xsl:with-param name="actualBlanksToPrint" select="$blanksToPrint + 3" />
         </xsl:call-template>
      </xsl:for-each>
      
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$blanksToPrint" />
      </xsl:call-template>
   </xsl:element>
</xsl:template>

<!-- ############################################################## -->
<!-- Dieses Template dient zur Erzeugung der ObjOccs fuer die       -->
<!-- Modelle.                                                       -->
<!-- ############################################################## -->
<xsl:template name="printProcessStep">
   <xsl:param name="posX" />
   <xsl:param name="posY" />
   <xsl:param name="sizeX" />
   <xsl:param name="sizeY" />
   
   <xsl:param name="actualBlanksToPrint" />
   
   <xsl:variable name="actualRow" select="position()" />
   
   <xsl:call-template name="newLine" />
   <xsl:call-template name="loop">
      <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
   </xsl:call-template>
   
   <xsl:element name="ObjOcc">
      <!-- ############### -->
      <!-- ObjOcc.ID       -->
      <!-- ############### -->
      <xsl:attribute name="ObjOcc.ID">
         <xsl:value-of select="concat('ObjOccProcessStep.', self::node()/@ID)" />
      </xsl:attribute>
      
      <!-- ############### -->
      <!-- ObjDef.IdRef    -->
      <!-- ############### -->
      <xsl:attribute name="ObjDef.IdRef">
         <xsl:value-of select="concat('ObjDefProcessStep.', self::node()/@ID)" />
      </xsl:attribute>
      
      <!-- ############### -->
      <!-- SymbolNum       -->
      <!-- ############### -->
      <xsl:attribute name="SymbolNum">
         <xsl:value-of select="'ST_SOLAR_FUNC'" />
      </xsl:attribute>
      
      <!-- ############### -->
      <!-- Active          -->
      <!-- ############### -->
      <xsl:attribute name="Active">
         <xsl:value-of select="'YES'" />
      </xsl:attribute>
      
      <!-- ############### -->
      <!-- Shadow          -->
      <!-- ############### -->
      <xsl:attribute name="Shadow">
         <xsl:value-of select="'YES'" />
      </xsl:attribute>
      
      <!-- ############### -->
      <!-- Visible         -->
      <!-- ############### -->
      <xsl:attribute name="Visible">
         <xsl:value-of select="'YES'" />
      </xsl:attribute>
      
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      
      <!-- ############### -->
      <!-- Position        -->
      <!-- ############### -->
      <xsl:element name="Position">
         <!-- ############### -->
         <!-- Pos.X           -->
         <!-- ############### -->
         <xsl:attribute name="Pos.X">
            <xsl:value-of select="$posX" />
         </xsl:attribute>
         
         <!-- ############### -->
         <!-- Pos.Y           -->
         <!-- ############### -->
         <xsl:attribute name="Pos.Y">
            <xsl:value-of select="($actualRow - 1) * 455 + $posY" />
         </xsl:attribute>
      </xsl:element>
      
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      
      <!-- ############### -->
      <!-- Size            -->
      <!-- ############### -->
      <xsl:element name="Size">
         <!-- ############### -->
         <!-- Size.dX         -->
         <!-- ############### -->
         <xsl:attribute name="Size.dX">
            <xsl:value-of select="$sizeX" />
         </xsl:attribute>
         
         <!-- ############### -->
         <!-- Size.dY         -->
         <!-- ############### -->
         <xsl:attribute name="Size.dY">
            <xsl:value-of select="$sizeY" />
         </xsl:attribute>
      </xsl:element>
      
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      
      <!-- ############### -->
      <!-- AttrOcc         -->
      <!-- ############### -->
      <xsl:element name="AttrOcc">
         <!-- ############### -->
         <!-- AttrTypeNum     -->
         <!-- ############### -->
         <xsl:attribute name="AttrTypeNum">
            <xsl:value-of select="'AT_NAME'" />
         </xsl:attribute>
         
         <!-- ############### -->
         <!-- Port            -->
         <!-- ############### -->
         <xsl:attribute name="Port">
            <xsl:value-of select="'CENTER'" />
         </xsl:attribute>
         
         <!-- ############### -->
         <!-- OrderNum        -->
         <!-- ############### -->
         <xsl:attribute name="OrderNum">
            <xsl:value-of select="'0'" />
         </xsl:attribute>
         
         <!-- ############### -->
         <!-- Alignment       -->
         <!-- ############### -->
         <xsl:attribute name="Alignment">
            <xsl:value-of select="'CENTER'" />
         </xsl:attribute>
         
         <!-- ############### -->
         <!-- SymbolFlag      -->
         <!-- ############### -->
         <xsl:attribute name="SymbolFlag">
            <xsl:value-of select="'TEXT'" />
         </xsl:attribute>
         
         <!-- ############### -->
         <!-- OffsetX         -->
         <!-- ############### -->
         <xsl:attribute name="OffsetX">
            <xsl:value-of select="'0'" />
         </xsl:attribute>
         
         <!-- ############### -->
         <!-- OffsetY         -->
         <!-- ############### -->
         <xsl:attribute name="OffsetY">
            <xsl:value-of select="'0'" />
         </xsl:attribute>
      </xsl:element>
      
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
      </xsl:call-template>
   </xsl:element>
</xsl:template>

<!-- ############################################################## -->
<!-- Dieses Template dient zur Erzeugung der "AttrDef"-Tags.        -->
<!-- ############################################################## -->
<xsl:template name="printAttrDef">
   <xsl:param name="attrDef.Type" />
   <xsl:param name="attrValue.LocalId" />
   <xsl:param name="attrValue.LocalIdValue" />
   <xsl:param name="actualBlanksToPrint" />
   
   <xsl:call-template name="newLine" />
   <xsl:call-template name="loop">
      <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
   </xsl:call-template>
   
   <!-- ############### -->
   <!-- AttrDef         -->
   <!-- ############### -->
   <xsl:element name="AttrDef">
      <!-- ############### -->
      <!-- AttrDef.Type    -->
      <!-- ############### -->
      <xsl:attribute name="AttrDef.Type">
         <xsl:value-of select="$attrDef.Type" />
      </xsl:attribute>
      
      <xsl:call-template name="newLine" />
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint + 3" />
      </xsl:call-template>
      
      <!-- ############### -->
      <!-- AttrValue    -->
      <!-- ############### -->
      <xsl:element name="AttrValue">
         <xsl:attribute name="LocaleId">
            <xsl:value-of select="$attrValue.LocalId" />
         </xsl:attribute>
         <xsl:value-of select="$attrValue.LocalIdValue" />
      </xsl:element>
      
		<xsl:call-template name="newLine"/>
      <xsl:call-template name="loop">
         <xsl:with-param name="blanksToPrint" select="$actualBlanksToPrint" />
      </xsl:call-template>
   </xsl:element>
</xsl:template>

<!-- ###################################### -->
<!-- Dieses Template dient zur Ausgabe      -->
<!-- einer neuen Zeile                      -->
<!-- ###################################### -->
<xsl:template name="newLine">
   <xsl:text>&#10;</xsl:text>
</xsl:template>

<!-- ###################################### -->
<!-- Dieses Template dient zur Ausgabe von  -->
<!-- Leerzeichen. (Dient zum Einruecken)    -->
<!-- ###################################### -->
<xsl:template name="loop">
   <xsl:param name="blanksToPrint" />
   
   <xsl:choose>
      <xsl:when test="$blanksToPrint &gt; 0">
         <xsl:text> </xsl:text>
         <xsl:call-template name="loop">
            <xsl:with-param name="blanksToPrint" select="$blanksToPrint - 1" />
         </xsl:call-template>
      </xsl:when>
   </xsl:choose>
</xsl:template>

</xsl:stylesheet>