<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    version="1.0"
    xmlns:lxslt="http://xml.apache.org/xslt">

<xsl:import href="jomdarec.xsl"/>

<xsl:template name="create-imports">
import com.idsscheer.aris.common.datatypes.*;
import com.idsscheer.aris.common.datatypes.styledtext.*;
import com.idsscheer.aris.server.common.AGUIDGenerator;
import com.idsscheer.aris.server.dlcustom.IArisRecordExtension;
import com.idsscheer.aris.server.dlcustom.AArisRecord;
import com.idsscheer.aris.server.dlcustom.ADLOIDConversion;
</xsl:template>

<xsl:template name="base-class">AArisRecord</xsl:template>

<xsl:template name="create-datatype-spec">
<xsl:param name="pdatatype"/>
    <xsl:choose>
        <xsl:when test="$pdatatype='IOID'">IOID</xsl:when>
        <xsl:otherwise>
            <xsl:value-of select="$pdatatype" />
        </xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template name="create-init-if-new-field">
    <xsl:choose>
        <xsl:when test="@DATATYPE = 'IGUID' and @DEFAULT = 'AUTO'">
            <xsl:value-of select="concat('m_', @NAME, ' = AGUIDGenerator.theInstance().createNewGUID()')"/><xsl:text>;</xsl:text>
        </xsl:when>
    </xsl:choose>
</xsl:template>

<xsl:template name="create-field-getter-simple-return">
    <xsl:choose>
        <xsl:when test="@DATATYPE = 'IOID'">
            <xsl:value-of select="concat('ADLOIDConversion.toARIS(m_', @NAME, ')')"/>
        </xsl:when>
        <xsl:otherwise>
            <xsl:value-of select="concat('m_', @NAME)"/>
        </xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template name="create-field-setter-simple-assignment">
    <xsl:choose>
        <xsl:when test="@DATATYPE = 'IOID'">ADLOIDConversion.toDL(p)</xsl:when>
        <xsl:otherwise>p</xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template name="get-method-name-wo_prefix">
    <xsl:choose>
        <xsl:when test="@NAME='TextValue' and ../../@NAME='AttrTextDef'">StyledTextValue</xsl:when>
        <xsl:when test="@NAME='TextValue' and ../../@NAME='AttrTextAndLongDef'">StyledTextValue</xsl:when>
        <xsl:otherwise><xsl:value-of select="@NAME"/></xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template name="custom-extensions">
    <xsl:choose>
        <xsl:when test="@NAME='AttrTextDef'">
    // field TextValue
    public String getTextValue() {
        return getStyledTextValue().getPlainText();
    }
    public void setTextValue(String p) {
        setStyledTextValue(new AStyledDocument(p));
    }
        </xsl:when>
        <xsl:when test="@NAME='AttrTextAndLongDef'">
    // field TextValue
    public String getTextValue() {
        return getStyledTextValue().getPlainText();
    }
    public void setTextValue(String p) {
        setStyledTextValue(new AStyledDocument(p));
    }
        </xsl:when>
        <xsl:otherwise>
        </xsl:otherwise>
    </xsl:choose>
</xsl:template>

</xsl:stylesheet>
