<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    version="1.0"
    xmlns:lxslt="http://xml.apache.org/xslt">

<xsl:import href="jomdirec.xsl"/>

<xsl:template name="create-imports">
import com.idsscheer.aris.common.datatypes.*;
import com.idsscheer.aris.common.datatypes.styledtext.*;
import com.idsscheer.aris.server.dlcustom.IArisRecordExtension;
</xsl:template>

<xsl:template name="base-interface">IRecord,IArisRecordExtension</xsl:template>

<xsl:template name="create-datatype-spec">
<xsl:param name="pdatatype"/>
    <xsl:choose>
        <xsl:when test="$pdatatype='IOID'">IOID</xsl:when>
        <xsl:otherwise>
            <xsl:value-of select="$pdatatype" />
        </xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template name="custom-extensions">
    <xsl:choose>
        <xsl:when test="@NAME='AttrTextDef'">
    // plain TextValue
    String getTextValue();
    void setTextValue(String p);
        </xsl:when>
        <xsl:when test="@NAME='AttrTextAndLongDef'">
    // plain TextValue
    String getTextValue();
    void setTextValue(String p);
        </xsl:when>
        <xsl:otherwise>
        </xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template name="get-method-name-wo_prefix">
    <xsl:choose>
        <xsl:when test="@NAME='TextValue' and ../../@NAME='AttrTextDef'">StyledTextValue</xsl:when>
        <xsl:when test="@NAME='TextValue' and ../../@NAME='AttrTextAndLongDef'">StyledTextValue</xsl:when>
        <xsl:otherwise><xsl:value-of select="@NAME"/></xsl:otherwise>
    </xsl:choose>
</xsl:template>

</xsl:stylesheet>
