<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    version="1.0"
    xmlns:lxslt="http://xml.apache.org/xslt"
    xmlns:redirect="org.apache.xalan.xslt.extensions.Redirect"
    extension-element-prefixes="redirect">

<xsl:param name="output-dir"/>

<xsl:template match="metadata">
      <xsl:apply-templates select="object-type"/>
</xsl:template>

<xsl:template match="object-type">
  <redirect:write select="concat($output-dir, '/', translate(substring-before(/metadata/@RECORD-IMPL-PACKAGE, '.logic'), '.', '/'), '/I', ./@NAME, 'Rec.java')">
/**
 * generated file - do not edit
 */
<xsl:text>package </xsl:text><xsl:value-of select="substring-before(/metadata/@RECORD-IMPL-PACKAGE, '.logic')"/>;

import com.idsscheer.dl.IRecord;
import com.idsscheer.dl.IDLOID;
<xsl:call-template name="create-imports"/>

public interface <xsl:value-of select="concat('I', @NAME, 'Rec')"/>
    <xsl:choose>
        <xsl:when test="./extends-object-type">
            <xsl:text> extends </xsl:text>
            <xsl:for-each select="./extends-object-type">
                <xsl:if test="position() > 1"><xsl:text>, </xsl:text></xsl:if>
                <xsl:value-of select="concat('I', @NAME, 'Rec')"/>
            </xsl:for-each> {
        </xsl:when>
        <xsl:otherwise>
            <xsl:text> extends </xsl:text><xsl:call-template name="base-interface"/> {
        </xsl:otherwise>
    </xsl:choose>
    static final int TABLE_ID = <xsl:value-of select="@OTID"/>;
    <xsl:apply-templates select="fields"/>
    <xsl:call-template name="custom-extensions"/>
}
  </redirect:write>
</xsl:template>

<xsl:template name="base-interface">IRecord</xsl:template>

<xsl:template match="fields">
    <xsl:apply-templates select="field"/>
</xsl:template>


<xsl:template match="field">
<xsl:text>
    // field </xsl:text><xsl:value-of select="@NAME" /><xsl:text>
    </xsl:text>
        <xsl:call-template name="create-datatype-spec">
            <xsl:with-param name="pdatatype" select="@DATATYPE"/>
        </xsl:call-template><xsl:text> </xsl:text>
        <xsl:call-template name="create-method-prefix">
            <xsl:with-param name="pdatatype" select="@DATATYPE"/>
        </xsl:call-template>
        <xsl:call-template name="get-method-name-wo_prefix"/>();<xsl:text>
    </xsl:text><xsl:value-of select="concat('void', ' ', 'set')"/><xsl:call-template name="get-method-name-wo_prefix"/>(<xsl:call-template name="create-datatype-spec"><xsl:with-param name="pdatatype" select="@DATATYPE"/></xsl:call-template><xsl:text> p);
</xsl:text>
</xsl:template>


<xsl:template name="create-datatype-spec">
<xsl:param name="pdatatype"/>
    <xsl:choose>
        <xsl:when test="$pdatatype='IOID'">IDLOID</xsl:when>
        <xsl:otherwise>
            <xsl:value-of select="$pdatatype" />
        </xsl:otherwise>
    </xsl:choose>
</xsl:template>


<xsl:template name="create-method-prefix">
<xsl:param name="pdatatype"/>
    <xsl:choose>
        <xsl:when test="$pdatatype='boolean'">is</xsl:when>
        <xsl:otherwise>get</xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template name="create-imports">
</xsl:template>

<xsl:template name="custom-extensions">
</xsl:template>

<xsl:template name="get-method-name-wo_prefix"><xsl:value-of select="@NAME"/></xsl:template>

</xsl:stylesheet>
