CREATE DATABASE $(DATABASE-NAME) AUTOMATIC STORAGE YES ON '$(DATABASE-DIR)' DBPATH ON '$(DATABASE-PATH)' USING CODESET UTF-8 TERRITORY DE ;
UPDATE DB CFG FOR $(DATABASE-NAME) USING AUTO_MAINT ON;
UPDATE DB CFG FOR $(DATABASE-NAME) USING AUTO_TBL_MAINT ON;
UPDATE DB CFG FOR $(DATABASE-NAME) USING AUTO_RUNSTATS ON;
UPDATE ALERT CFG FOR DATABASE ON $(DATABASE-NAME) USING db.db_backup_req SET THRESHOLDSCHECKED YES;
UPDATE ALERT CFG FOR DATABASE ON $(DATABASE-NAME) USING db.tb_reorg_req SET THRESHOLDSCHECKED YES;
UPDATE ALERT CFG FOR DATABASE ON $(DATABASE-NAME) USING db.tb_runstats_req SET THRESHOLDSCHECKED YES;

CONNECT TO $(DATABASE-NAME);

CREATE BUFFERPOOL ARISBP IMMEDIATE  SIZE 250 AUTOMATIC PAGESIZE 8 K ;

CREATE  REGULAR  TABLESPACE ARISDATA PAGESIZE 8 K  MANAGED BY AUTOMATIC STORAGE EXTENTSIZE 8 OVERHEAD 12.67 PREFETCHSIZE 8 TRANSFERRATE 0.18 BUFFERPOOL  ARISBP  DROPPED TABLE RECOVERY OFF;
CREATE  REGULAR  TABLESPACE ARISINDEX PAGESIZE 8 K  MANAGED BY AUTOMATIC STORAGE EXTENTSIZE 8 OVERHEAD 12.67 PREFETCHSIZE 8 TRANSFERRATE 0.18 BUFFERPOOL  ARISBP  DROPPED TABLE RECOVERY OFF;
CREATE  LARGE  TABLESPACE ARISLOB PAGESIZE 4 K  MANAGED BY AUTOMATIC STORAGE EXTENTSIZE 8 OVERHEAD 12.67 PREFETCHSIZE 8 TRANSFERRATE 0.18 BUFFERPOOL  IBMDEFAULTBP ;
CREATE  SYSTEM TEMPORARY  TABLESPACE ARISTEMP PAGESIZE 8 K  MANAGED BY AUTOMATIC STORAGE EXTENTSIZE 8 OVERHEAD 12.67 PREFETCHSIZE 8 TRANSFERRATE 0.18 BUFFERPOOL  ARISBP ;

UPDATE DATABASE CONFIGURATION USING LOGSECOND 5 IMMEDIATE ;
UPDATE DATABASE CONFIGURATION USING LOGFILSIZ 5000 DEFERRED ;

CONNECT RESET;
