@ECHO OFF

SETLOCAL

REM
REM You may edit this section for customizing purposes.
REM

REM If you use named instances then append a "\" and the name of your instance
SET DB2_IDS_DB2_SERVER_NAME=${SERVER-NAME}

REM The login name
SET DB2_IDS_DB2_LOGIN_NAME=${LOGIN-NAME}

SET DB2_IDS_DATABASE_NAME=${DATABASE-NAME}

SET DB2_IDS_FILEGROUP_FILE_DIR=${DATABASE-DIR}

SET DB2_IDS_FILEGROUP_PRIM=%DB2_IDS_DATABASE_NAME%PRIM
SET DB2_IDS_FILEGROUP_PRIM_FILE=%DB2_IDS_FILEGROUP_FILE_DIR%\%DB2_IDS_DATABASE_NAME%PRIM.mdf
SET DB2_IDS_FILEGROUP_DATA=%DB2_IDS_DATABASE_NAME%DATA
SET DB2_IDS_FILEGROUP_DATA_FILE=%DB2_IDS_FILEGROUP_FILE_DIR%\%DB2_IDS_DATABASE_NAME%DATA.ndf
SET DB2_IDS_FILEGROUP_INDEX=%DB2_IDS_DATABASE_NAME%INDEX
SET DB2_IDS_FILEGROUP_INDEX_FILE=%DB2_IDS_FILEGROUP_FILE_DIR%\%DB2_IDS_DATABASE_NAME%INDEX.ndf
SET DB2_IDS_FILEGROUP_LOG=%DB2_IDS_DATABASE_NAME%LOG
SET DB2_IDS_FILEGROUP_LOG_FILE=%DB2_IDS_FILEGROUP_FILE_DIR%\%DB2_IDS_DATABASE_NAME%LOG.ldf

SET DB2_IDS_APP_USER=${APP-USER}
SET DB2_IDS_APP_PWD=${APP-PWD}
SET DB2_IDS_APP_ADMIN_SCHEMA=${ADMIN-SCHEMA}


REM
REM The remainder of this script is not indended to get customized.
REM

SET DB2_IDS_INSTALL_GOAL=%1

:goal

SET DB2_IDS_PARAMS= -b -m 1
SET DB2_IDS_PARAMS=%DB2_IDS_PARAMS% -S %DB2_IDS_DB2_SERVER_NAME%
SET DB2_IDS_PARAMS=%DB2_IDS_PARAMS% -v database = %DB2_IDS_DATABASE_NAME%
SET DB2_IDS_PARAMS=%DB2_IDS_PARAMS% -v fgprim = %DB2_IDS_FILEGROUP_PRIM%
SET DB2_IDS_PARAMS=%DB2_IDS_PARAMS% -v fgdata = %DB2_IDS_FILEGROUP_DATA%
SET DB2_IDS_PARAMS=%DB2_IDS_PARAMS% -v fgindex = %DB2_IDS_FILEGROUP_INDEX%
SET DB2_IDS_PARAMS=%DB2_IDS_PARAMS% -v fglog = %DB2_IDS_FILEGROUP_LOG%
SET DB2_IDS_PARAMS=%DB2_IDS_PARAMS% -v fgprimfile = "%DB2_IDS_FILEGROUP_PRIM_FILE%"
SET DB2_IDS_PARAMS=%DB2_IDS_PARAMS% -v fgdatafile = "%DB2_IDS_FILEGROUP_DATA_FILE%"
SET DB2_IDS_PARAMS=%DB2_IDS_PARAMS% -v fgindexfile = "%DB2_IDS_FILEGROUP_INDEX_FILE%"
SET DB2_IDS_PARAMS=%DB2_IDS_PARAMS% -v fglogfile = "%DB2_IDS_FILEGROUP_LOG_FILE%"
SET DB2_IDS_PARAMS=%DB2_IDS_PARAMS% -v username = %DB2_IDS_APP_USER%
SET DB2_IDS_PARAMS=%DB2_IDS_PARAMS% -v password = %DB2_IDS_APP_PWD%
SET DB2_IDS_PARAMS=%DB2_IDS_PARAMS% -v adminschema = %DB2_IDS_APP_ADMIN_SCHEMA%

SET DB2_IDS_PARAMS=%DB2_IDS_PARAMS% -v servername = %DB2_IDS_DB2_SERVER_NAME%
SET DB2_IDS_PARAMS=%DB2_IDS_PARAMS% -v loginname = %DB2_IDS_DB2_LOGIN_NAME%


IF "%DB2_IDS_INSTALL_GOAL%"=="install" GOTO install
IF "%DB2_IDS_INSTALL_GOAL%"=="" GOTO install
IF "%DB2_IDS_INSTALL_GOAL%"=="deinstall" GOTO deinstall

ECHO unknown installation goal: "%DB2_IDS_INSTALL_GOAL%"
GOTO end

:install

sqlcmd %DB2_IDS_PARAMS% -Q "EXIT(SELECT 100 + COUNT(*) FROM sys.databases WHERE name = N'%DB2_IDS_DATABASE_NAME%')" >nul
IF %errorlevel% EQU 101 GOTO deinstall_before_install
IF %errorlevel% EQU 100 GOTO install_without_deinstall
IF errorlevel 1 GOTO installerror

:deinstall_before_install
ECHO Deinstalling...
sqlcmd %DB2_IDS_PARAMS% -i deinstall.sql 
IF errorlevel 1 GOTO installerror
sqlcmd %DB2_IDS_PARAMS% -i drop_db.sql 
IF errorlevel 1 GOTO installerror

:install_without_deinstall
ECHO Installing...

IF NOT EXIST %DB2_IDS_FILEGROUP_FILE_DIR% MKDIR %DB2_IDS_FILEGROUP_FILE_DIR%

sqlcmd %DB2_IDS_PARAMS% -i create_db.sql 
IF errorlevel 1 GOTO installerror
sqlcmd %DB2_IDS_PARAMS% -i install.sql 
IF errorlevel 1 GOTO installerror
FOR %%f in (schema_*.sql) DO sqlcmd %DB2_IDS_PARAMS% -i %%f
IF errorlevel 1 GOTO installerror
ECHO INSTALLATION SUCCESSFUL
GOTO end

:installerror
ECHO INSTALLATION FAILED
GOTO end

:deinstall
ECHO Deinstalling...
sqlcmd %DB2_IDS_PARAMS% -i deinstall.sql 
IF errorlevel 1 GOTO deinstallerror
sqlcmd %DB2_IDS_PARAMS% -i drop_db.sql 
IF errorlevel 1 GOTO deinstallerror
ECHO DEINSTALLATION SUCCESSFUL
GOTO end

:deinstallerror
ECHO DEINSTALLATION FAILED
GOTO end

:end
