@ECHO OFF

SETLOCAL

REM
REM You may edit this section for customizing purposes.
REM

REM If you use named instances then append a "\" and the name of your instance
SET MSSQL_IDS_MSSQL_SERVER_NAME=${SERVER-NAME}

REM The login name
SET MSSQL_IDS_MSSQL_LOGIN_NAME=${LOGIN-NAME}

SET MSSQL_IDS_DATABASE_NAME=${DATABASE-NAME}

SET MSSQL_IDS_FILEGROUP_FILE_DIR=${DATABASE-DIR}

SET MSSQL_IDS_FILEGROUP_PRIM=%MSSQL_IDS_DATABASE_NAME%PRIM
SET MSSQL_IDS_FILEGROUP_PRIM_FILE=%MSSQL_IDS_FILEGROUP_FILE_DIR%\%MSSQL_IDS_DATABASE_NAME%PRIM.mdf
SET MSSQL_IDS_FILEGROUP_DATA=%MSSQL_IDS_DATABASE_NAME%DATA
SET MSSQL_IDS_FILEGROUP_DATA_FILE=%MSSQL_IDS_FILEGROUP_FILE_DIR%\%MSSQL_IDS_DATABASE_NAME%DATA.ndf
SET MSSQL_IDS_FILEGROUP_INDEX=%MSSQL_IDS_DATABASE_NAME%INDEX
SET MSSQL_IDS_FILEGROUP_INDEX_FILE=%MSSQL_IDS_FILEGROUP_FILE_DIR%\%MSSQL_IDS_DATABASE_NAME%INDEX.ndf
SET MSSQL_IDS_FILEGROUP_LOG=%MSSQL_IDS_DATABASE_NAME%LOG
SET MSSQL_IDS_FILEGROUP_LOG_FILE=%MSSQL_IDS_FILEGROUP_FILE_DIR%\%MSSQL_IDS_DATABASE_NAME%LOG.ldf

SET MSSQL_IDS_APP_USER=${APP-USER}
SET MSSQL_IDS_APP_PWD=${APP-PWD}
SET MSSQL_IDS_APP_ADMIN_SCHEMA=${ADMIN-SCHEMA}


REM
REM The remainder of this script is not indended to get customized.
REM

SET MSSQL_IDS_INSTALL_GOAL=%1

:goal

SET MSSQL_IDS_PARAMS= -b -m 1
SET MSSQL_IDS_PARAMS=%MSSQL_IDS_PARAMS% -S %MSSQL_IDS_MSSQL_SERVER_NAME%
SET MSSQL_IDS_PARAMS=%MSSQL_IDS_PARAMS% -v database = %MSSQL_IDS_DATABASE_NAME%
SET MSSQL_IDS_PARAMS=%MSSQL_IDS_PARAMS% -v fgprim = %MSSQL_IDS_FILEGROUP_PRIM%
SET MSSQL_IDS_PARAMS=%MSSQL_IDS_PARAMS% -v fgdata = %MSSQL_IDS_FILEGROUP_DATA%
SET MSSQL_IDS_PARAMS=%MSSQL_IDS_PARAMS% -v fgindex = %MSSQL_IDS_FILEGROUP_INDEX%
SET MSSQL_IDS_PARAMS=%MSSQL_IDS_PARAMS% -v fglog = %MSSQL_IDS_FILEGROUP_LOG%
SET MSSQL_IDS_PARAMS=%MSSQL_IDS_PARAMS% -v fgprimfile = "%MSSQL_IDS_FILEGROUP_PRIM_FILE%"
SET MSSQL_IDS_PARAMS=%MSSQL_IDS_PARAMS% -v fgdatafile = "%MSSQL_IDS_FILEGROUP_DATA_FILE%"
SET MSSQL_IDS_PARAMS=%MSSQL_IDS_PARAMS% -v fgindexfile = "%MSSQL_IDS_FILEGROUP_INDEX_FILE%"
SET MSSQL_IDS_PARAMS=%MSSQL_IDS_PARAMS% -v fglogfile = "%MSSQL_IDS_FILEGROUP_LOG_FILE%"
SET MSSQL_IDS_PARAMS=%MSSQL_IDS_PARAMS% -v username = %MSSQL_IDS_APP_USER%
SET MSSQL_IDS_PARAMS=%MSSQL_IDS_PARAMS% -v password = %MSSQL_IDS_APP_PWD%
SET MSSQL_IDS_PARAMS=%MSSQL_IDS_PARAMS% -v adminschema = %MSSQL_IDS_APP_ADMIN_SCHEMA%

SET MSSQL_IDS_PARAMS=%MSSQL_IDS_PARAMS% -v servername = %MSSQL_IDS_MSSQL_SERVER_NAME%
SET MSSQL_IDS_PARAMS=%MSSQL_IDS_PARAMS% -v loginname = %MSSQL_IDS_MSSQL_LOGIN_NAME%


IF "%MSSQL_IDS_INSTALL_GOAL%"=="install" GOTO install
IF "%MSSQL_IDS_INSTALL_GOAL%"=="" GOTO install
IF "%MSSQL_IDS_INSTALL_GOAL%"=="deinstall" GOTO deinstall

ECHO unknown installation goal: "%MSSQL_IDS_INSTALL_GOAL%"
GOTO end

:install

sqlcmd %MSSQL_IDS_PARAMS% -Q "EXIT(SELECT 100 + COUNT(*) FROM sys.databases WHERE name = N'%MSSQL_IDS_DATABASE_NAME%')" >nul
IF %errorlevel% EQU 101 GOTO deinstall_before_install
IF %errorlevel% EQU 100 GOTO install_without_deinstall
IF errorlevel 1 GOTO installerror

:deinstall_before_install
ECHO Deinstalling...
sqlcmd %MSSQL_IDS_PARAMS% -i deinstall.sql 
IF errorlevel 1 GOTO installerror
sqlcmd %MSSQL_IDS_PARAMS% -i drop_db.sql 
IF errorlevel 1 GOTO installerror

:install_without_deinstall
ECHO Installing...

IF NOT EXIST %MSSQL_IDS_FILEGROUP_FILE_DIR% MKDIR %MSSQL_IDS_FILEGROUP_FILE_DIR%

sqlcmd %MSSQL_IDS_PARAMS% -i create_db.sql 
IF errorlevel 1 GOTO installerror
sqlcmd %MSSQL_IDS_PARAMS% -i install.sql 
IF errorlevel 1 GOTO installerror
FOR %%f in (schema_*.sql) DO sqlcmd %MSSQL_IDS_PARAMS% -i %%f
IF errorlevel 1 GOTO installerror
ECHO INSTALLATION SUCCESSFUL
GOTO end

:installerror
ECHO INSTALLATION FAILED
GOTO end

:deinstall
ECHO Deinstalling...
sqlcmd %MSSQL_IDS_PARAMS% -i deinstall.sql 
IF errorlevel 1 GOTO deinstallerror
sqlcmd %MSSQL_IDS_PARAMS% -i drop_db.sql 
IF errorlevel 1 GOTO deinstallerror
ECHO DEINSTALLATION SUCCESSFUL
GOTO end

:deinstallerror
ECHO DEINSTALLATION FAILED
GOTO end

:end
