@echo off

SET LOG_FILE=.\oracle_install_${APP-NAME}.log

REM ***************************************************************************
REM Data needed to connect to an existing database.
REM
REM ***************************************************************************

REM The path to where sqlplus.exe can be found.
SET DL_ORA_BIN_PATH=${ORA-BIN-PATH}

SET TARGET_HOST=${ORA-HOST}
SET TARGET_PORT=${ORA-PORT}
SET TARGET_SERVICE_NAME=${ORA-SERVICE-NAME}

REM Note that this user must be endowed with DBA privileges such as user SYSTEM.
SET INSTALL_USER=${ORA-DBA-USER}
SET INSTALL_PWD=${ORA-DBA-PWD}

SET CONNECT_ADDRESS=(ADDRESS=(PROTOCOL=TCP)(HOST=%TARGET_HOST%)(PORT=%TARGET_PORT%))
SET CONNECT_IDENTIFIER=(DESCRIPTION=%CONNECT_ADDRESS%(CONNECT_DATA=(SERVICE_NAME=%TARGET_SERVICE_NAME%)))


REM ***************************************************************************
REM Additional data needed to install the ${APP-NAME} related database objects.
REM
REM ***************************************************************************

SET DL_TS_DATA=${TS-DATA}
SET DL_TS_INDEX=${TS-INDEX}
SET DL_TS_LOB=${TS-DATA}
SET DL_TS_TEMP=TEMP


REM ***************************************************************************
REM Needed Oracle users and their initial passwords.
REM 
REM There are two different Oracle users needed:
REM   o ${APP-USER}: This is the one and only Oracle user the application 
REM           connects to. The schema doesn't own any database objects.
REM   o ${ADMIN-SCHEMA}: This user is the owner of all database objects that
REM           are needed by the application. The schema is merely used as a
REM           pure schema. The application never connects to this user.
REM
REM ***************************************************************************

SET DLADM_SCHEMA=${ADMIN-SCHEMA}

SET DLAPP_USER=${APP-USER}
SET DLAPP_PWD=${APP-PWD}
