#!/bin/bash

LOG_FILE=./oracle_install_${APP-NAME}.log

# ***************************************************************************
# Data needed to connect to an existing database.
#
# ***************************************************************************

# The path to where sqlplus can be found.
DL_ORA_BIN_PATH=${ORA-BIN-PATH}

TARGET_HOST=${ORA-HOST}
TARGET_PORT=${ORA-PORT}
TARGET_SERVICE_NAME=${ORA-SERVICE-NAME}

# Note that this user must be endowed with DBA privileges such as user SYSTEM.
INSTALL_USER=${ORA-DBA-USER}
INSTALL_PWD=${ORA-DBA-PWD}

CONNECT_ADDRESS="(ADDRESS=(PROTOCOL=TCP)(HOST=${TARGET_HOST})(PORT=${TARGET_PORT}))"
CONNECT_IDENTIFIER="(DESCRIPTION=${CONNECT_ADDRESS}(CONNECT_DATA=(SERVICE_NAME=${TARGET_SERVICE_NAME})))"


# ***************************************************************************
# Additional data needed to install the ${APP-NAME} related database objects.
#
# ***************************************************************************

DL_TS_DATA=${TS-DATA}
DL_TS_INDEX=${TS-INDEX}
DL_TS_LOB=${TS-DATA}
DL_TS_TEMP=TEMP


# ***************************************************************************
# Needed Oracle users and their initial passwords.
# 
# There are three different Oracle users needed:
#   o ${APP-USER}: This is the one and only Oracle user the application 
#           connects to. The schema doesn't own any database objects.
#   o ${ADMIN-SCHEMA}: This user is the owner of all database objects that
#           are needed by the application. The schema is merely used as a
#           pure schema. The application never connects to this user.
#
# ***************************************************************************

DLADM_SCHEMA=${ADMIN-SCHEMA}

DLAPP_USER=${APP-USER}
DLAPP_PWD=${APP-PWD}
