set verify off

--
-- create procedure to update statistics
--

CREATE OR REPLACE PROCEDURE &1 . gather_db_stats(p_dbid IN NUMBER) AUTHID DEFINER IS
    CURSOR uc IS SELECT table_name from all_tables where owner = '&1' and table_name like 'DB$' || TO_CHAR(p_dbid) || '$%';
    CURSOR uca IS SELECT table_name from all_tables where owner = '&1' and table_name like 'DB$' || TO_CHAR(p_dbid) || '$A$%' and num_rows < 1000;
BEGIN
    FOR ur IN uc
    LOOP
        DBMS_STATS.GATHER_TABLE_STATS('&1', ur.table_name);
    END LOOP; 

    FOR ur IN uca
    LOOP
        DBMS_STATS.SET_TABLE_STATS('&1', ur.table_name, numrows => 1000);
    END LOOP;

    DBMS_STATS.SET_TABLE_STATS('&1','DB$' || TO_CHAR(p_dbid) || '$CURRENT_ARCH_SEQ', numrows => 1000);
    DBMS_STATS.SET_INDEX_STATS('&1','DB$' || TO_CHAR(p_dbid) || '$CASPK', numrows => 1000);

    UPDATE &1 .dblist SET statistics = 0 WHERE dbid = p_dbid;
    COMMIT;   
END gather_db_stats;
/

GRANT EXECUTE ON &1 .gather_db_stats TO &2 ;

EXIT

